package com.kingtom.kirin.api.support.mapper;

import com.kingtom.kirin.api.support.model.EnumObject;
import com.kingtom.kirin.app.conf.model.ConfInfo;
import com.kingtom.kirin.app.ddic.model.DdicItem;
import com.kingtom.kirin.core.common.base.IBaseEnum;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/6 17:23
 */
@Mapper
public interface SupportMapper {

    SupportMapper INSTANCT = Mappers.getMapper(SupportMapper.class);

    EnumObject convert(DdicItem ddicItem);

    @Mapping(source = "key", target = "name")
    @Mapping(source = "value", target = "key")
    EnumObject convert(ConfInfo confInfo);

    EnumObject convert(IBaseEnum enumItem);

}
