package com.kingtom.kirin.api.system.model;

import com.kingtom.kirin.core.common.utils.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/24 19:57
 */
@Data
public class SystemUserDTO implements Serializable {

    /** 基本的 */
    private String id;
    private String name;
    private String otherName;
    private String code;
    private Integer state;
    private String imageLogo;
    private String resType;
    private String resId;
    private String ext1;
    private String ext2;
    private String gmtCreate;
    private String gmtModified;
    private String sysId;

    /** ext3中的 */
    private String phone;
    private String birthday;
    private String sex;
    /** resAttr中的 */
    private String username;
    private String password;

    public static void main(String[] args) {
        SystemUserDTO d = new SystemUserDTO();
        System.out.println(JsonUtils.toJson(d));
    }
}
