package com.kingtom.kirin.app.affair.model;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 事项表(affair_info)(MyBatis-Generator)
* @author yangc
* @since 2023/10/20 02:29
*/
public class AffairInfo implements Serializable {
    /**
     * 主键(affair_info.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 事项名称(affair_info.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 事项全称(affair_info.full_name)(MyBatis-Generator)
     */
    private String fullName;

    /**
     * 事项分组名(affair_info.group_name)(MyBatis-Generator)
     */
    private String groupName;

    /**
     * 事项对接业务时的关键字（由业务识别）(affair_info.affair_token)(MyBatis-Generator)
     */
    private String affairToken;

    /**
     * 事项对接的URL(affair_info.affair_url)(MyBatis-Generator)
     */
    private String affairUrl;

    /**
     * 动作模式(affair_info.action_model)(MyBatis-Generator)
     */
    private String actionModel;

    /**
     * 重要程度(affair_info.important)(MyBatis-Generator)
     */
    private String important;

    /**
     * 紧急程度(affair_info.urgent)(MyBatis-Generator)
     */
    private String urgent;

    /**
     * 事项对接业务类型(affair_info.res_type)(MyBatis-Generator)
     */
    private String resType;

    /**
     * 事项对接业务ID(affair_info.res_id)(MyBatis-Generator)
     */
    private String resId;

    /**
     * 扩展字段1(affair_info.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(affair_info.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 创建时间(affair_info.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(affair_info.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(affair_info.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(affair_info.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(affair_info.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 事项名称(affair_info.name)(MyBatis-Generator)
     * @return 事项名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 事项名称(affair_info.name)(MyBatis-Generator)
     * @param name 事项名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 事项全称(affair_info.full_name)(MyBatis-Generator)
     * @return 事项全称
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置 事项全称(affair_info.full_name)(MyBatis-Generator)
     * @param fullName 事项全称
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    /**
     * 获取 事项分组名(affair_info.group_name)(MyBatis-Generator)
     * @return 事项分组名
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置 事项分组名(affair_info.group_name)(MyBatis-Generator)
     * @param groupName 事项分组名
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /**
     * 获取 事项对接业务时的关键字（由业务识别）(affair_info.affair_token)(MyBatis-Generator)
     * @return 事项对接业务时的关键字（由业务识别）
     */
    public String getAffairToken() {
        return affairToken;
    }

    /**
     * 设置 事项对接业务时的关键字（由业务识别）(affair_info.affair_token)(MyBatis-Generator)
     * @param affairToken 事项对接业务时的关键字（由业务识别）
     */
    public void setAffairToken(String affairToken) {
        this.affairToken = affairToken;
    }

    /**
     * 获取 事项对接的URL(affair_info.affair_url)(MyBatis-Generator)
     * @return 事项对接的URL
     */
    public String getAffairUrl() {
        return affairUrl;
    }

    /**
     * 设置 事项对接的URL(affair_info.affair_url)(MyBatis-Generator)
     * @param affairUrl 事项对接的URL
     */
    public void setAffairUrl(String affairUrl) {
        this.affairUrl = affairUrl;
    }

    /**
     * 获取 动作模式(affair_info.action_model)(MyBatis-Generator)
     * @return 动作模式
     */
    public String getActionModel() {
        return actionModel;
    }

    /**
     * 设置 动作模式(affair_info.action_model)(MyBatis-Generator)
     * @param actionModel 动作模式
     */
    public void setActionModel(String actionModel) {
        this.actionModel = actionModel;
    }

    /**
     * 获取 重要程度(affair_info.important)(MyBatis-Generator)
     * @return 重要程度
     */
    public String getImportant() {
        return important;
    }

    /**
     * 设置 重要程度(affair_info.important)(MyBatis-Generator)
     * @param important 重要程度
     */
    public void setImportant(String important) {
        this.important = important;
    }

    /**
     * 获取 紧急程度(affair_info.urgent)(MyBatis-Generator)
     * @return 紧急程度
     */
    public String getUrgent() {
        return urgent;
    }

    /**
     * 设置 紧急程度(affair_info.urgent)(MyBatis-Generator)
     * @param urgent 紧急程度
     */
    public void setUrgent(String urgent) {
        this.urgent = urgent;
    }

    /**
     * 获取 事项对接业务类型(affair_info.res_type)(MyBatis-Generator)
     * @return 事项对接业务类型
     */
    public String getResType() {
        return resType;
    }

    /**
     * 设置 事项对接业务类型(affair_info.res_type)(MyBatis-Generator)
     * @param resType 事项对接业务类型
     */
    public void setResType(String resType) {
        this.resType = resType;
    }

    /**
     * 获取 事项对接业务ID(affair_info.res_id)(MyBatis-Generator)
     * @return 事项对接业务ID
     */
    public String getResId() {
        return resId;
    }

    /**
     * 设置 事项对接业务ID(affair_info.res_id)(MyBatis-Generator)
     * @param resId 事项对接业务ID
     */
    public void setResId(String resId) {
        this.resId = resId;
    }

    /**
     * 获取 扩展字段1(affair_info.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(affair_info.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(affair_info.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(affair_info.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 创建时间(affair_info.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(affair_info.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(affair_info.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(affair_info.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(affair_info.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(affair_info.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 事项表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        AffairInfo other = (AffairInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getFullName() == null ? other.getFullName() == null : this.getFullName().equals(other.getFullName()))
            && (this.getGroupName() == null ? other.getGroupName() == null : this.getGroupName().equals(other.getGroupName()))
            && (this.getAffairToken() == null ? other.getAffairToken() == null : this.getAffairToken().equals(other.getAffairToken()))
            && (this.getAffairUrl() == null ? other.getAffairUrl() == null : this.getAffairUrl().equals(other.getAffairUrl()))
            && (this.getActionModel() == null ? other.getActionModel() == null : this.getActionModel().equals(other.getActionModel()))
            && (this.getImportant() == null ? other.getImportant() == null : this.getImportant().equals(other.getImportant()))
            && (this.getUrgent() == null ? other.getUrgent() == null : this.getUrgent().equals(other.getUrgent()))
            && (this.getResType() == null ? other.getResType() == null : this.getResType().equals(other.getResType()))
            && (this.getResId() == null ? other.getResId() == null : this.getResId().equals(other.getResId()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 事项表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getFullName() == null) ? 0 : getFullName().hashCode());
        result = prime * result + ((getGroupName() == null) ? 0 : getGroupName().hashCode());
        result = prime * result + ((getAffairToken() == null) ? 0 : getAffairToken().hashCode());
        result = prime * result + ((getAffairUrl() == null) ? 0 : getAffairUrl().hashCode());
        result = prime * result + ((getActionModel() == null) ? 0 : getActionModel().hashCode());
        result = prime * result + ((getImportant() == null) ? 0 : getImportant().hashCode());
        result = prime * result + ((getUrgent() == null) ? 0 : getUrgent().hashCode());
        result = prime * result + ((getResType() == null) ? 0 : getResType().hashCode());
        result = prime * result + ((getResId() == null) ? 0 : getResId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 事项表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", fullName=").append(fullName);
        sb.append(", groupName=").append(groupName);
        sb.append(", affairToken=").append(affairToken);
        sb.append(", affairUrl=").append(affairUrl);
        sb.append(", actionModel=").append(actionModel);
        sb.append(", important=").append(important);
        sb.append(", urgent=").append(urgent);
        sb.append(", resType=").append(resType);
        sb.append(", resId=").append(resId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}