package com.kingtom.kirin.app.affair.model;

import java.util.Arrays;
import java.util.stream.Collectors;

import com.kingtom.kirin.core.common.CommonConst;
import lombok.Data;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/22 15:46
 */
@Data
public class AffairInfoCurrentDO {

    private AffairInfo info;

    private AffairToken token;

    private AffairMember member;

    public Boolean findEnable() {
        return CommonConst.StateEnum.Enable.getKey().equals(member.getState());
    }

}
