package com.kingtom.kirin.app.affair.model;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 事项凭证表(affair_token)(MyBatis-Generator)
* @author yangc
* @since 2023/10/20 02:29
*/
public class AffairToken implements Serializable {
    /**
     * 主键(affair_token.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 事项ID(affair_token.affair_id)(MyBatis-Generator)
     */
    private String affairId;

    /**
     * 对接业务时身份专用信息（由业务识别）(affair_token.token)(MyBatis-Generator)
     */
    private String token;

    /**
     * 生效模式(affair_token.effect_model)(MyBatis-Generator)
     */
    private String effectModel;

    /**
     * 生效条件(affair_token.effect_condition)(MyBatis-Generator)
     */
    private String effectCondition;

    /**
     * 身份对应的实体类型(affair_token.res_type)(MyBatis-Generator)
     */
    private String resType;

    /**
     * 身份对应的实体ID(affair_token.res_id)(MyBatis-Generator)
     */
    private String resId;

    /**
     * 扩展字段1(affair_token.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(affair_token.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 状态(affair_token.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 创建时间(affair_token.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(affair_token.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(affair_token.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(affair_token.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(affair_token.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 事项ID(affair_token.affair_id)(MyBatis-Generator)
     * @return 事项ID
     */
    public String getAffairId() {
        return affairId;
    }

    /**
     * 设置 事项ID(affair_token.affair_id)(MyBatis-Generator)
     * @param affairId 事项ID
     */
    public void setAffairId(String affairId) {
        this.affairId = affairId;
    }

    /**
     * 获取 对接业务时身份专用信息（由业务识别）(affair_token.token)(MyBatis-Generator)
     * @return 对接业务时身份专用信息（由业务识别）
     */
    public String getToken() {
        return token;
    }

    /**
     * 设置 对接业务时身份专用信息（由业务识别）(affair_token.token)(MyBatis-Generator)
     * @param token 对接业务时身份专用信息（由业务识别）
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     * 获取 生效模式(affair_token.effect_model)(MyBatis-Generator)
     * @return 生效模式
     */
    public String getEffectModel() {
        return effectModel;
    }

    /**
     * 设置 生效模式(affair_token.effect_model)(MyBatis-Generator)
     * @param effectModel 生效模式
     */
    public void setEffectModel(String effectModel) {
        this.effectModel = effectModel;
    }

    /**
     * 获取 生效条件(affair_token.effect_condition)(MyBatis-Generator)
     * @return 生效条件
     */
    public String getEffectCondition() {
        return effectCondition;
    }

    /**
     * 设置 生效条件(affair_token.effect_condition)(MyBatis-Generator)
     * @param effectCondition 生效条件
     */
    public void setEffectCondition(String effectCondition) {
        this.effectCondition = effectCondition;
    }

    /**
     * 获取 身份对应的实体类型(affair_token.res_type)(MyBatis-Generator)
     * @return 身份对应的实体类型
     */
    public String getResType() {
        return resType;
    }

    /**
     * 设置 身份对应的实体类型(affair_token.res_type)(MyBatis-Generator)
     * @param resType 身份对应的实体类型
     */
    public void setResType(String resType) {
        this.resType = resType;
    }

    /**
     * 获取 身份对应的实体ID(affair_token.res_id)(MyBatis-Generator)
     * @return 身份对应的实体ID
     */
    public String getResId() {
        return resId;
    }

    /**
     * 设置 身份对应的实体ID(affair_token.res_id)(MyBatis-Generator)
     * @param resId 身份对应的实体ID
     */
    public void setResId(String resId) {
        this.resId = resId;
    }

    /**
     * 获取 扩展字段1(affair_token.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(affair_token.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(affair_token.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(affair_token.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 状态(affair_token.state)(MyBatis-Generator)
     * @return 状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 状态(affair_token.state)(MyBatis-Generator)
     * @param state 状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 创建时间(affair_token.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(affair_token.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(affair_token.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(affair_token.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(affair_token.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(affair_token.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 事项凭证表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        AffairToken other = (AffairToken) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAffairId() == null ? other.getAffairId() == null : this.getAffairId().equals(other.getAffairId()))
            && (this.getToken() == null ? other.getToken() == null : this.getToken().equals(other.getToken()))
            && (this.getEffectModel() == null ? other.getEffectModel() == null : this.getEffectModel().equals(other.getEffectModel()))
            && (this.getEffectCondition() == null ? other.getEffectCondition() == null : this.getEffectCondition().equals(other.getEffectCondition()))
            && (this.getResType() == null ? other.getResType() == null : this.getResType().equals(other.getResType()))
            && (this.getResId() == null ? other.getResId() == null : this.getResId().equals(other.getResId()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 事项凭证表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAffairId() == null) ? 0 : getAffairId().hashCode());
        result = prime * result + ((getToken() == null) ? 0 : getToken().hashCode());
        result = prime * result + ((getEffectModel() == null) ? 0 : getEffectModel().hashCode());
        result = prime * result + ((getEffectCondition() == null) ? 0 : getEffectCondition().hashCode());
        result = prime * result + ((getResType() == null) ? 0 : getResType().hashCode());
        result = prime * result + ((getResId() == null) ? 0 : getResId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 事项凭证表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", affairId=").append(affairId);
        sb.append(", token=").append(token);
        sb.append(", effectModel=").append(effectModel);
        sb.append(", effectCondition=").append(effectCondition);
        sb.append(", resType=").append(resType);
        sb.append(", resId=").append(resId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", state=").append(state);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}