package com.kingtom.kirin.app.affair.utils;

import com.kingtom.kirin.app.affair.model.AffairInfo;
import com.kingtom.kirin.app.affair.model.AffairMember;
import com.kingtom.kirin.app.affair.model.AffairToken;
import com.kingtom.kirin.app.ddic.mapper.DdicMapper;
import com.kingtom.kirin.app.ddic.model.DdicInfo;
import com.kingtom.kirin.app.ddic.model.DdicInfoExt3;
import com.kingtom.kirin.app.ddic.model.DdicItem;
import com.kingtom.kirin.core.common.json.JObject;
import com.kingtom.kirin.core.common.json.JObjectMapper;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/21 10:20
 */
@Mapper
public interface AffairMapper {

    AffairMapper INSTANCT = Mappers.getMapper(AffairMapper.class);

    AffairInfo copyBean(AffairInfo bean);

    AffairMember copyBean(AffairMember bean);

    AffairToken copyBean(AffairToken bean);

}
