package com.kingtom.kirin.app.conf.dao;

import com.kingtom.kirin.app.conf.model.ConfInfo;
import com.kingtom.kirin.app.conf.model.ConfInfoExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ConfInfoMapper {
    /**
     * 环境配置表 countByExample(MyBatis-Generator)
     */
    long countByExample(ConfInfoExample example);

    /**
     * 环境配置表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(ConfInfoExample example);

    /**
     * 环境配置表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 环境配置表 insert(MyBatis-Generator)
     */
    int insert(ConfInfo record);

    /**
     * 环境配置表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(ConfInfo record);

    /**
     * 环境配置表 selectByExample(MyBatis-Generator)
     */
    List<ConfInfo> selectByExample(ConfInfoExample example);

    /**
     * 环境配置表 selectByPrimaryKey(MyBatis-Generator)
     */
    ConfInfo selectByPrimaryKey(String id);

    /**
     * 环境配置表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") ConfInfo record, @Param("example") ConfInfoExample example);

    /**
     * 环境配置表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") ConfInfo record, @Param("example") ConfInfoExample example);

    /**
     * 环境配置表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(ConfInfo record);

    /**
     * 环境配置表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(ConfInfo record);
}