package com.kingtom.kirin.app.conf.model;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 环境配置表(conf_info)(MyBatis-Generator)
* @author yangc
* @since 2023/9/4 10:58
*/
public class ConfInfo implements Serializable {
    /**
     * 主键(conf_info.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 配置名称(conf_info.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 配置KEY(conf_info.key)(MyBatis-Generator)
     */
    private String key;

    /**
     * 配置值类型(conf_info.value_type)(MyBatis-Generator)
     */
    private String valueType;

    /**
     * 配置值内容(conf_info.value)(MyBatis-Generator)
     */
    private String value;

    /**
     * 配置状态(conf_info.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 配置描述(conf_info.des)(MyBatis-Generator)
     */
    private String des;

    /**
     * 系统配置标识(conf_info.sys_flag)(MyBatis-Generator)
     */
    private Integer sysFlag;

    /**
     * 扩展字段1(conf_info.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(conf_info.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(conf_info.ext3)(MyBatis-Generator)
     */
    private String ext3;

    /**
     * 扩展字段4(conf_info.ext4)(MyBatis-Generator)
     */
    private String ext4;

    /**
     * 扩展字段5(conf_info.ext5)(MyBatis-Generator)
     */
    private String ext5;

    /**
     * 文件创建时间(conf_info.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 文件修改时间(conf_info.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(conf_info.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(conf_info.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(conf_info.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 配置名称(conf_info.name)(MyBatis-Generator)
     * @return 配置名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 配置名称(conf_info.name)(MyBatis-Generator)
     * @param name 配置名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 配置KEY(conf_info.key)(MyBatis-Generator)
     * @return 配置KEY
     */
    public String getKey() {
        return key;
    }

    /**
     * 设置 配置KEY(conf_info.key)(MyBatis-Generator)
     * @param key 配置KEY
     */
    public void setKey(String key) {
        this.key = key;
    }

    /**
     * 获取 配置值类型(conf_info.value_type)(MyBatis-Generator)
     * @return 配置值类型
     */
    public String getValueType() {
        return valueType;
    }

    /**
     * 设置 配置值类型(conf_info.value_type)(MyBatis-Generator)
     * @param valueType 配置值类型
     */
    public void setValueType(String valueType) {
        this.valueType = valueType;
    }

    /**
     * 获取 配置值内容(conf_info.value)(MyBatis-Generator)
     * @return 配置值内容
     */
    public String getValue() {
        return value;
    }

    /**
     * 设置 配置值内容(conf_info.value)(MyBatis-Generator)
     * @param value 配置值内容
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 获取 配置状态(conf_info.state)(MyBatis-Generator)
     * @return 配置状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 配置状态(conf_info.state)(MyBatis-Generator)
     * @param state 配置状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 配置描述(conf_info.des)(MyBatis-Generator)
     * @return 配置描述
     */
    public String getDes() {
        return des;
    }

    /**
     * 设置 配置描述(conf_info.des)(MyBatis-Generator)
     * @param des 配置描述
     */
    public void setDes(String des) {
        this.des = des;
    }

    /**
     * 获取 系统配置标识(conf_info.sys_flag)(MyBatis-Generator)
     * @return 系统配置标识
     */
    public Integer getSysFlag() {
        return sysFlag;
    }

    /**
     * 设置 系统配置标识(conf_info.sys_flag)(MyBatis-Generator)
     * @param sysFlag 系统配置标识
     */
    public void setSysFlag(Integer sysFlag) {
        this.sysFlag = sysFlag;
    }

    /**
     * 获取 扩展字段1(conf_info.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(conf_info.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(conf_info.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(conf_info.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(conf_info.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public String getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(conf_info.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 扩展字段4(conf_info.ext4)(MyBatis-Generator)
     * @return 扩展字段4
     */
    public String getExt4() {
        return ext4;
    }

    /**
     * 设置 扩展字段4(conf_info.ext4)(MyBatis-Generator)
     * @param ext4 扩展字段4
     */
    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    /**
     * 获取 扩展字段5(conf_info.ext5)(MyBatis-Generator)
     * @return 扩展字段5
     */
    public String getExt5() {
        return ext5;
    }

    /**
     * 设置 扩展字段5(conf_info.ext5)(MyBatis-Generator)
     * @param ext5 扩展字段5
     */
    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    /**
     * 获取 文件创建时间(conf_info.gmt_create)(MyBatis-Generator)
     * @return 文件创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 文件创建时间(conf_info.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 文件创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 文件修改时间(conf_info.gmt_modified)(MyBatis-Generator)
     * @return 文件修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 文件修改时间(conf_info.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 文件修改时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(conf_info.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(conf_info.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 环境配置表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ConfInfo other = (ConfInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getKey() == null ? other.getKey() == null : this.getKey().equals(other.getKey()))
            && (this.getValueType() == null ? other.getValueType() == null : this.getValueType().equals(other.getValueType()))
            && (this.getValue() == null ? other.getValue() == null : this.getValue().equals(other.getValue()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getDes() == null ? other.getDes() == null : this.getDes().equals(other.getDes()))
            && (this.getSysFlag() == null ? other.getSysFlag() == null : this.getSysFlag().equals(other.getSysFlag()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 环境配置表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getKey() == null) ? 0 : getKey().hashCode());
        result = prime * result + ((getValueType() == null) ? 0 : getValueType().hashCode());
        result = prime * result + ((getValue() == null) ? 0 : getValue().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getDes() == null) ? 0 : getDes().hashCode());
        result = prime * result + ((getSysFlag() == null) ? 0 : getSysFlag().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 环境配置表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", key=").append(key);
        sb.append(", valueType=").append(valueType);
        sb.append(", value=").append(value);
        sb.append(", state=").append(state);
        sb.append(", des=").append(des);
        sb.append(", sysFlag=").append(sysFlag);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}