package com.kingtom.kirin.app.ddic.mapper;

import com.kingtom.kirin.app.ddic.model.DdicInfo;
import com.kingtom.kirin.app.ddic.model.DdicInfoExt3;
import com.kingtom.kirin.app.ddic.model.DdicItem;
import com.kingtom.kirin.core.common.json.JObject;
import com.kingtom.kirin.core.common.json.JObjectMapper;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/2 17:20
 */
@Mapper
public interface DdicMapper {

    DdicMapper INSTANCT = Mappers.getMapper(DdicMapper.class);

    default DdicInfo copyDepth(DdicInfo bean){
        DdicInfo r = DdicMapper.INSTANCT.copyBean(bean);
        if(r.getExt3() != null) {
            JObject<DdicInfoExt3> ext3 = JObjectMapper.INSTANCT.copyBean(r.getExt3());
            r.setExt3(ext3);
            DdicInfoExt3 e = DdicMapper.INSTANCT.copyBean(bean.getExt3().getE());
            r.getExt3().setE(e);
        }
        return r;
    };

    DdicInfo copyBean(DdicInfo info);

    DdicInfoExt3 copyBean(DdicInfoExt3 ext3);

    DdicItem copyDepth(DdicItem bean);
}
