package com.kingtom.kirin.app.ddic.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 数据字典表(ddic_info)(MyBatis-Generator)
* @author yangc
* @since 2023/9/2 05:10
*/
public class DdicInfo implements Serializable {
    /**
     * 主键(ddic_info.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 字典名称(ddic_info.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 字典简称(ddic_info.simple_name)(MyBatis-Generator)
     */
    private String simpleName;

    /**
     * 字典唯一码(ddic_info.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 字典数据状态(ddic_info.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 字典描述(ddic_info.des)(MyBatis-Generator)
     */
    private String des;

    /**
     * 系统字典标识(ddic_info.sys_flag)(MyBatis-Generator)
     */
    private Integer sysFlag;

    /**
     * 扩展字段1(ddic_info.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(ddic_info.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(ddic_info.ext3)(MyBatis-Generator)
     */
    private JObject<DdicInfoExt3> ext3;

    /**
     * 文件创建时间(ddic_info.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 文件修改时间(ddic_info.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(ddic_info.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(ddic_info.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(ddic_info.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 字典名称(ddic_info.name)(MyBatis-Generator)
     * @return 字典名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 字典名称(ddic_info.name)(MyBatis-Generator)
     * @param name 字典名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 字典简称(ddic_info.simple_name)(MyBatis-Generator)
     * @return 字典简称
     */
    public String getSimpleName() {
        return simpleName;
    }

    /**
     * 设置 字典简称(ddic_info.simple_name)(MyBatis-Generator)
     * @param simpleName 字典简称
     */
    public void setSimpleName(String simpleName) {
        this.simpleName = simpleName;
    }

    /**
     * 获取 字典唯一码(ddic_info.code)(MyBatis-Generator)
     * @return 字典唯一码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 字典唯一码(ddic_info.code)(MyBatis-Generator)
     * @param code 字典唯一码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取 字典数据状态(ddic_info.state)(MyBatis-Generator)
     * @return 字典数据状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 字典数据状态(ddic_info.state)(MyBatis-Generator)
     * @param state 字典数据状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 字典描述(ddic_info.des)(MyBatis-Generator)
     * @return 字典描述
     */
    public String getDes() {
        return des;
    }

    /**
     * 设置 字典描述(ddic_info.des)(MyBatis-Generator)
     * @param des 字典描述
     */
    public void setDes(String des) {
        this.des = des;
    }

    /**
     * 获取 系统字典标识(ddic_info.sys_flag)(MyBatis-Generator)
     * @return 系统字典标识
     */
    public Integer getSysFlag() {
        return sysFlag;
    }

    /**
     * 设置 系统字典标识(ddic_info.sys_flag)(MyBatis-Generator)
     * @param sysFlag 系统字典标识
     */
    public void setSysFlag(Integer sysFlag) {
        this.sysFlag = sysFlag;
    }

    /**
     * 获取 扩展字段1(ddic_info.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(ddic_info.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(ddic_info.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(ddic_info.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(ddic_info.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public JObject<DdicInfoExt3> getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(ddic_info.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<DdicInfoExt3> ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 文件创建时间(ddic_info.gmt_create)(MyBatis-Generator)
     * @return 文件创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 文件创建时间(ddic_info.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 文件创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 文件修改时间(ddic_info.gmt_modified)(MyBatis-Generator)
     * @return 文件修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 文件修改时间(ddic_info.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 文件修改时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(ddic_info.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(ddic_info.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 数据字典表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DdicInfo other = (DdicInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getSimpleName() == null ? other.getSimpleName() == null : this.getSimpleName().equals(other.getSimpleName()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getDes() == null ? other.getDes() == null : this.getDes().equals(other.getDes()))
            && (this.getSysFlag() == null ? other.getSysFlag() == null : this.getSysFlag().equals(other.getSysFlag()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 数据字典表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getSimpleName() == null) ? 0 : getSimpleName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getDes() == null) ? 0 : getDes().hashCode());
        result = prime * result + ((getSysFlag() == null) ? 0 : getSysFlag().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 数据字典表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", simpleName=").append(simpleName);
        sb.append(", code=").append(code);
        sb.append(", state=").append(state);
        sb.append(", des=").append(des);
        sb.append(", sysFlag=").append(sysFlag);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}