package com.kingtom.kirin.app.form.engine.core.def;

import java.io.Serializable;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单字段定义
 * @author King
 * @since 2023/10/11 17:38
 */
public class FormFieldDef implements Serializable,IFormElement {

    /**
     * 字段唯一编码
     */
    private String uniqueCode;
    /**
     * 字段名称
     */
    private String name;
    /**
     * 字段类型：参见FormConst.FormFieldTypeEnum
     */
    private String type;

    /**
     * 控件类型
     */
    private String handler;
    /**
     * 字段配置（由handler对应的控件进行识别）
     */
    private String configJson;

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHandler() {
        return handler;
    }

    public void setHandler(String handler) {
        this.handler = handler;
    }

    public String getConfigJson() {
        return configJson;
    }

    public void setConfigJson(String configJson) {
        this.configJson = configJson;
    }
}
