package com.kingtom.kirin.app.formwork.core;

import com.kingtom.kirin.app.formwork.model.FormworkInfo;
import com.kingtom.kirin.app.space.base.IFileSource;

import java.util.Map;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/25 18:04
 */
public interface IFormworkHandler {

    String handlerType();

    IFileSource doProcessFormwork(FormworkInfo info, IFileSource content, Map data);

}
