package com.kingtom.kirin.app.formwork.model;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 模板表(formwork_info)(MyBatis-Generator)
* @author yangc
* @since 2023/10/25 07:27
*/
public class FormworkInfo implements Serializable {
    /**
     * 主键(formwork_info.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 模板CODE(formwork_info.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 模板名称(formwork_info.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 模板全称(formwork_info.full_name)(MyBatis-Generator)
     */
    private String fullName;

    /**
     * 模板分组名(formwork_info.group_name)(MyBatis-Generator)
     */
    private String groupName;

    /**
     * 模版描述(formwork_info.des)(MyBatis-Generator)
     */
    private String des;

    /**
     * 模版类型(formwork_info.type)(MyBatis-Generator)
     */
    private String type;

    /**
     * 模版数据样例(formwork_info.data_demo)(MyBatis-Generator)
     */
    private String dataDemo;

    /**
     * 模版内容（如果有）(formwork_info.content)(MyBatis-Generator)
     */
    private String content;

    /**
     * 模版内容ID（如果有）(formwork_info.content_id)(MyBatis-Generator)
     */
    private String contentId;

    /**
     * 扩展字段1(formwork_info.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(formwork_info.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 状态(formwork_info.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 创建时间(formwork_info.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(formwork_info.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(formwork_info.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(formwork_info.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(formwork_info.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 模板CODE(formwork_info.code)(MyBatis-Generator)
     * @return 模板CODE
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 模板CODE(formwork_info.code)(MyBatis-Generator)
     * @param code 模板CODE
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取 模板名称(formwork_info.name)(MyBatis-Generator)
     * @return 模板名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 模板名称(formwork_info.name)(MyBatis-Generator)
     * @param name 模板名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 模板全称(formwork_info.full_name)(MyBatis-Generator)
     * @return 模板全称
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置 模板全称(formwork_info.full_name)(MyBatis-Generator)
     * @param fullName 模板全称
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    /**
     * 获取 模板分组名(formwork_info.group_name)(MyBatis-Generator)
     * @return 模板分组名
     */
    public String getGroupName() {
        return groupName;
    }

    /**
     * 设置 模板分组名(formwork_info.group_name)(MyBatis-Generator)
     * @param groupName 模板分组名
     */
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    /**
     * 获取 模版描述(formwork_info.des)(MyBatis-Generator)
     * @return 模版描述
     */
    public String getDes() {
        return des;
    }

    /**
     * 设置 模版描述(formwork_info.des)(MyBatis-Generator)
     * @param des 模版描述
     */
    public void setDes(String des) {
        this.des = des;
    }

    /**
     * 获取 模版类型(formwork_info.type)(MyBatis-Generator)
     * @return 模版类型
     */
    public String getType() {
        return type;
    }

    /**
     * 设置 模版类型(formwork_info.type)(MyBatis-Generator)
     * @param type 模版类型
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 获取 模版数据样例(formwork_info.data_demo)(MyBatis-Generator)
     * @return 模版数据样例
     */
    public String getDataDemo() {
        return dataDemo;
    }

    /**
     * 设置 模版数据样例(formwork_info.data_demo)(MyBatis-Generator)
     * @param dataDemo 模版数据样例
     */
    public void setDataDemo(String dataDemo) {
        this.dataDemo = dataDemo;
    }

    /**
     * 获取 模版内容（如果有）(formwork_info.content)(MyBatis-Generator)
     * @return 模版内容（如果有）
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置 模版内容（如果有）(formwork_info.content)(MyBatis-Generator)
     * @param content 模版内容（如果有）
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 获取 模版内容ID（如果有）(formwork_info.content_id)(MyBatis-Generator)
     * @return 模版内容ID（如果有）
     */
    public String getContentId() {
        return contentId;
    }

    /**
     * 设置 模版内容ID（如果有）(formwork_info.content_id)(MyBatis-Generator)
     * @param contentId 模版内容ID（如果有）
     */
    public void setContentId(String contentId) {
        this.contentId = contentId;
    }

    /**
     * 获取 扩展字段1(formwork_info.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(formwork_info.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(formwork_info.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(formwork_info.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 状态(formwork_info.state)(MyBatis-Generator)
     * @return 状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 状态(formwork_info.state)(MyBatis-Generator)
     * @param state 状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 创建时间(formwork_info.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(formwork_info.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(formwork_info.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(formwork_info.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(formwork_info.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(formwork_info.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 模板表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        FormworkInfo other = (FormworkInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getFullName() == null ? other.getFullName() == null : this.getFullName().equals(other.getFullName()))
            && (this.getGroupName() == null ? other.getGroupName() == null : this.getGroupName().equals(other.getGroupName()))
            && (this.getDes() == null ? other.getDes() == null : this.getDes().equals(other.getDes()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getDataDemo() == null ? other.getDataDemo() == null : this.getDataDemo().equals(other.getDataDemo()))
            && (this.getContent() == null ? other.getContent() == null : this.getContent().equals(other.getContent()))
            && (this.getContentId() == null ? other.getContentId() == null : this.getContentId().equals(other.getContentId()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 模板表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getFullName() == null) ? 0 : getFullName().hashCode());
        result = prime * result + ((getGroupName() == null) ? 0 : getGroupName().hashCode());
        result = prime * result + ((getDes() == null) ? 0 : getDes().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getDataDemo() == null) ? 0 : getDataDemo().hashCode());
        result = prime * result + ((getContent() == null) ? 0 : getContent().hashCode());
        result = prime * result + ((getContentId() == null) ? 0 : getContentId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 模板表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", code=").append(code);
        sb.append(", name=").append(name);
        sb.append(", fullName=").append(fullName);
        sb.append(", groupName=").append(groupName);
        sb.append(", des=").append(des);
        sb.append(", type=").append(type);
        sb.append(", dataDemo=").append(dataDemo);
        sb.append(", content=").append(content);
        sb.append(", contentId=").append(contentId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", state=").append(state);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}