package com.kingtom.kirin.app.org.bo;

import java.util.List;

import com.kingtom.kirin.app.org.model.OrgPerson;
import com.kingtom.kirin.app.org.model.OrgStruct;
import com.kingtom.kirin.app.org.model.OrgUnit;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/24
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrgPersonBO{

    private OrgPerson       person;

    private List<OrgStruct> posts;

    private List<OrgStruct> departments;

}
