package com.kingtom.kirin.app.space.base;

import cn.hutool.core.util.StrUtil;
import org.springframework.core.io.InputStreamSource;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 文件描述符
 * 1、文件基本信息（名称、类型）
 * 2、流接口
 * 3、http接口
 * @author King
 * @since 2023/6/10 19:18
 */
public interface IFileSource extends InputStreamSource {

    public default String getFileName(){ return "unkown";}

    public default String getContentType(){return null;}

    public default String getHttpUrl() {return null;}

    public default Boolean isCanHttpUrl() {return StrUtil.isNotBlank(getHttpUrl());}

}
