package com.kingtom.kirin.app.system.dao;

import java.util.List;

import com.kingtom.kirin.app.system.model.UserSecurity;
import com.kingtom.kirin.app.system.model.UserSecurityExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface UserSecurityMapper{
    /**
     * 账户认证令牌表 countByExample(MyBatis-Generator)
     */
    long countByExample(UserSecurityExample example);

    /**
     * 账户认证令牌表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(UserSecurityExample example);

    /**
     * 账户认证令牌表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 账户认证令牌表 insert(MyBatis-Generator)
     */
    int insert(UserSecurity record);

    /**
     * 账户认证令牌表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(UserSecurity record);

    /**
     * 账户认证令牌表 selectByExample(MyBatis-Generator)
     */
    List<UserSecurity> selectByExample(UserSecurityExample example);

    /**
     * 账户认证令牌表 selectByPrimaryKey(MyBatis-Generator)
     */
    UserSecurity selectByPrimaryKey(String id);

    /**
     * 账户认证令牌表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") UserSecurity record, @Param("example") UserSecurityExample example);

    /**
     * 账户认证令牌表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") UserSecurity record, @Param("example") UserSecurityExample example);

    /**
     * 账户认证令牌表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(UserSecurity record);

    /**
     * 账户认证令牌表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(UserSecurity record);
}