package com.kingtom.kirin.app.system.model;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/6/19 10:14
 */
@ConfigurationProperties(prefix = "app.system")
@Component
@Data
@Async
public class AppSystemProperties {

    private String name;
    private String company;
    private String superAdmin;
    private String superPassword;
    private String defaultPassword;
    private String protocol;
    private String address;
    private String port;
    private String app;
    private String webProtocol;
    private String webAddress;
    private String webPort;
    private String webApp;
    private String mobileProtocol;
    private String mobileAddress;
    private String mobilePort;
    private String mobileApp;

}
