package com.kingtom.kirin.app.system.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 用户表(system_user)(MyBatis-Generator)
* @author yangc
* @since 2023/8/24 05:38
*/
public class SystemUser implements Serializable {
    /**
     * 主键(system_user.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 用户名称(system_user.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 用户别名(system_user.other_name)(MyBatis-Generator)
     */
    private String otherName;

    /**
     * 用户码(system_user.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 状态(system_user.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 用户头像(system_user.image_logo)(MyBatis-Generator)
     */
    private String imageLogo;

    /**
     * 用户实体类型(system_user.res_type)(MyBatis-Generator)
     */
    private String resType;

    /**
     * 用户实体ID(system_user.res_id)(MyBatis-Generator)
     */
    private String resId;

    /**
     * 用户对应的实体信息(system_user.res_attr)(MyBatis-Generator)
     */
    private JObject<SystemUserResAttr> resAttr;

    /**
     * 扩展字段1(system_user.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(system_user.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(system_user.ext3)(MyBatis-Generator)
     */
    private JObject<SystemUserExt3> ext3;

    /**
     * 创建时间(system_user.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(system_user.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(system_user.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(system_user.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(system_user.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 用户名称(system_user.name)(MyBatis-Generator)
     * @return 用户名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 用户名称(system_user.name)(MyBatis-Generator)
     * @param name 用户名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 用户别名(system_user.other_name)(MyBatis-Generator)
     * @return 用户别名
     */
    public String getOtherName() {
        return otherName;
    }

    /**
     * 设置 用户别名(system_user.other_name)(MyBatis-Generator)
     * @param otherName 用户别名
     */
    public void setOtherName(String otherName) {
        this.otherName = otherName;
    }

    /**
     * 获取 用户码(system_user.code)(MyBatis-Generator)
     * @return 用户码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 用户码(system_user.code)(MyBatis-Generator)
     * @param code 用户码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取 状态(system_user.state)(MyBatis-Generator)
     * @return 状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 状态(system_user.state)(MyBatis-Generator)
     * @param state 状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 用户头像(system_user.image_logo)(MyBatis-Generator)
     * @return 用户头像
     */
    public String getImageLogo() {
        return imageLogo;
    }

    /**
     * 设置 用户头像(system_user.image_logo)(MyBatis-Generator)
     * @param imageLogo 用户头像
     */
    public void setImageLogo(String imageLogo) {
        this.imageLogo = imageLogo;
    }

    /**
     * 获取 用户实体类型(system_user.res_type)(MyBatis-Generator)
     * @return 用户实体类型
     */
    public String getResType() {
        return resType;
    }

    /**
     * 设置 用户实体类型(system_user.res_type)(MyBatis-Generator)
     * @param resType 用户实体类型
     */
    public void setResType(String resType) {
        this.resType = resType;
    }

    /**
     * 获取 用户实体ID(system_user.res_id)(MyBatis-Generator)
     * @return 用户实体ID
     */
    public String getResId() {
        return resId;
    }

    /**
     * 设置 用户实体ID(system_user.res_id)(MyBatis-Generator)
     * @param resId 用户实体ID
     */
    public void setResId(String resId) {
        this.resId = resId;
    }

    /**
     * 获取 用户对应的实体信息(system_user.res_attr)(MyBatis-Generator)
     * @return 用户对应的实体信息
     */
    public JObject<SystemUserResAttr> getResAttr() {
        return resAttr;
    }

    /**
     * 设置 用户对应的实体信息(system_user.res_attr)(MyBatis-Generator)
     * @param resAttr 用户对应的实体信息
     */
    public void setResAttr(JObject<SystemUserResAttr> resAttr) {
        this.resAttr = resAttr;
    }

    /**
     * 获取 扩展字段1(system_user.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(system_user.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(system_user.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(system_user.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(system_user.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public JObject<SystemUserExt3> getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(system_user.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<SystemUserExt3> ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(system_user.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(system_user.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(system_user.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(system_user.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(system_user.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(system_user.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 用户表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SystemUser other = (SystemUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getOtherName() == null ? other.getOtherName() == null : this.getOtherName().equals(other.getOtherName()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getImageLogo() == null ? other.getImageLogo() == null : this.getImageLogo().equals(other.getImageLogo()))
            && (this.getResType() == null ? other.getResType() == null : this.getResType().equals(other.getResType()))
            && (this.getResId() == null ? other.getResId() == null : this.getResId().equals(other.getResId()))
            && (this.getResAttr() == null ? other.getResAttr() == null : this.getResAttr().equals(other.getResAttr()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 用户表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getOtherName() == null) ? 0 : getOtherName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getImageLogo() == null) ? 0 : getImageLogo().hashCode());
        result = prime * result + ((getResType() == null) ? 0 : getResType().hashCode());
        result = prime * result + ((getResId() == null) ? 0 : getResId().hashCode());
        result = prime * result + ((getResAttr() == null) ? 0 : getResAttr().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 用户表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", otherName=").append(otherName);
        sb.append(", code=").append(code);
        sb.append(", state=").append(state);
        sb.append(", imageLogo=").append(imageLogo);
        sb.append(", resType=").append(resType);
        sb.append(", resId=").append(resId);
        sb.append(", resAttr=").append(resAttr);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}