package com.kingtom.kirin.app.wechat.service;

import com.kingtom.kirin.app.wechat.base.mini.config.WeChatMiniProperties;
import com.kingtom.kirin.app.wechat.base.mini.service.IWeChatMiniChannel;
import com.kingtom.kirin.app.wechat.base.pubnum.config.WeChatPubNumProperties;
import com.kingtom.kirin.app.wechat.base.pubnum.service.IWeChatPubNumChannel;
import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/11/3
 */
@Component
public class WeChatProperties{

    @Autowired
    private IWeChatMiniChannel miniChannel;

    @Autowired
    private IWeChatPubNumChannel pubNumChannel;

    public static WeChatMiniProperties miniConfig = null;

    public static WeChatPubNumProperties pubNumConfig = null;

    @PostConstruct
    public void init(){
        try{
            miniConfig = miniChannel.findConfig();
            pubNumConfig = pubNumChannel.findConfig();
        } catch(Exception e){

        }

    }

}
