package com.kingtom.kirin.api.affair.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/21 11:51
 */
@Data
public class AffairInfoDTO implements Serializable {

    private String id;
    private String name;
    private String fullName;
    private String groupName;
    private String affairToken;
    private String affairUrl;
    private String important;
    private String urgent;
    private String resType;
    private String resId;
    private String tokenId;
    private String memberId;
    private String gmtCreate;
    private String gmtModified;
    private String sysId;

    private static final long serialVersionUID = 1L;
}
