package com.kingtom.kirin.api.auth.dto;

import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/8/30
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AuthMenuDTO{

    private String id;

    private String name;

    private String otherName;

    private String code;

    private String parentId;

    private Integer hide;

    private Integer preset;

    private Integer orderNum;

    private String type;

    private String actionType;

    private String icon;

    private String routeUri;

    private String ext1;

    private String ext2;

    private String gmtCreate;

    private String gmtModified;

    private String sysId;

    private String testExt3;

    private List<String> path;

    private String parentName;

}
