package com.kingtom.kirin.api.conf.mapper;

import com.kingtom.kirin.api.conf.model.ConfInfoDTO;
import com.kingtom.kirin.app.conf.model.ConfInfo;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/1 18:14
 */
@Mapper
public interface ConfMapper {

    ConfMapper INSTANCT = Mappers.getMapper(ConfMapper.class);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    ConfInfo convert(ConfInfoDTO dto);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    ConfInfoDTO convert(ConfInfo bean);
}
