package com.kingtom.kirin.api.conf.model;

import com.kingtom.kirin.core.common.utils.JsonUtils;
import io.swagger.v3.core.util.Json;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/9/5 19:44
 */
@Data
public class ConfInfoDTO {
    private String id;
    private String name;
    private String key;
    private String valueType;
    private String value;
    private Integer state;
    private String des;
    private Integer sysFlag;
    private String ext1;
    private String ext2;
    private String gmtCreate;
    private String gmtModified;
    private String sysId;

    public static void main(String[] args) {
        ConfInfoDTO b = new ConfInfoDTO();
        System.out.println(JsonUtils.toJson(b));
    }
}
