package com.kingtom.kirin.api.space.mapper;

import com.kingtom.kirin.api.space.model.SpaceFileDTO;
import com.kingtom.kirin.app.space.model.SpaceFile;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/29 10:38
 */
@Mapper
public interface SpaceMapper {

    SpaceMapper INSTANCT = Mappers.getMapper(SpaceMapper.class);

    @Mapping(target = "gmtCreate", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @Mapping(target = "gmtModified", dateFormat = "yyyy-MM-dd HH:mm:ss")
    SpaceFileDTO convert(SpaceFile bean);

}
