package com.kingtom.kirin.api.system.model;

import com.kingtom.kirin.core.common.utils.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/24 19:45
 */
@Data
public class SystemInfoDTO implements Serializable {
    private String id;
    private String name;
    private String otherName;
    private String code;
    private Integer state;
    private String imageLogo;
    private String imageBackground;
//    private String systemType;
    private String description;
    private String gmtCreate;
    private String gmtModified;

    public static void main(String[] args) {
        SystemInfoDTO t = new SystemInfoDTO();
        System.out.println(JsonUtils.toJson(t));
    }

}
