package com.kingtom.kirin.app.affair.model;

import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 事项成员表(affair_member)(MyBatis-Generator)
* @author yangc
* @since 2023/10/20 02:30
*/
public class AffairMember implements Serializable {
    /**
     * 主键(affair_member.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 事项ID(affair_member.affair_id)(MyBatis-Generator)
     */
    private String affairId;

    /**
     * 事项凭证ID(affair_member.token_id)(MyBatis-Generator)
     */
    private String tokenId;

    /**
     * 具体用户ID(affair_member.user_id)(MyBatis-Generator)
     */
    private String userId;

    /**
     * 状态(affair_member.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 扩展字段1(affair_member.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(affair_member.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 创建时间(affair_member.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(affair_member.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(affair_member.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(affair_member.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(affair_member.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 事项ID(affair_member.affair_id)(MyBatis-Generator)
     * @return 事项ID
     */
    public String getAffairId() {
        return affairId;
    }

    /**
     * 设置 事项ID(affair_member.affair_id)(MyBatis-Generator)
     * @param affairId 事项ID
     */
    public void setAffairId(String affairId) {
        this.affairId = affairId;
    }

    /**
     * 获取 事项凭证ID(affair_member.token_id)(MyBatis-Generator)
     * @return 事项凭证ID
     */
    public String getTokenId() {
        return tokenId;
    }

    /**
     * 设置 事项凭证ID(affair_member.token_id)(MyBatis-Generator)
     * @param tokenId 事项凭证ID
     */
    public void setTokenId(String tokenId) {
        this.tokenId = tokenId;
    }

    /**
     * 获取 具体用户ID(affair_member.user_id)(MyBatis-Generator)
     * @return 具体用户ID
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置 具体用户ID(affair_member.user_id)(MyBatis-Generator)
     * @param userId 具体用户ID
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取 状态(affair_member.state)(MyBatis-Generator)
     * @return 状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 状态(affair_member.state)(MyBatis-Generator)
     * @param state 状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 扩展字段1(affair_member.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(affair_member.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(affair_member.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(affair_member.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 创建时间(affair_member.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(affair_member.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(affair_member.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(affair_member.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(affair_member.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(affair_member.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 事项成员表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        AffairMember other = (AffairMember) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAffairId() == null ? other.getAffairId() == null : this.getAffairId().equals(other.getAffairId()))
            && (this.getTokenId() == null ? other.getTokenId() == null : this.getTokenId().equals(other.getTokenId()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 事项成员表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAffairId() == null) ? 0 : getAffairId().hashCode());
        result = prime * result + ((getTokenId() == null) ? 0 : getTokenId().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 事项成员表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", affairId=").append(affairId);
        sb.append(", tokenId=").append(tokenId);
        sb.append(", userId=").append(userId);
        sb.append(", state=").append(state);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}