package com.kingtom.kirin.app.auth.dao;

import java.util.List;

import com.kingtom.kirin.app.auth.model.AuthMenu;
import com.kingtom.kirin.app.auth.model.AuthMenuExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface AuthMenuMapper{

    /**
     * 授权菜单表 countByExample(MyBatis-Generator)
     */
    long countByExample(AuthMenuExample example);

    /**
     * 授权菜单表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(AuthMenuExample example);

    /**
     * 授权菜单表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 授权菜单表 insert(MyBatis-Generator)
     */
    int insert(AuthMenu record);

    /**
     * 授权菜单表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(AuthMenu record);

    /**
     * 授权菜单表 selectByExample(MyBatis-Generator)
     */
    List<AuthMenu> selectByExample(AuthMenuExample example);

    /**
     * 授权菜单表 selectByPrimaryKey(MyBatis-Generator)
     */
    AuthMenu selectByPrimaryKey(String id);

    /**
     * 授权菜单表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") AuthMenu record, @Param("example") AuthMenuExample example);

    /**
     * 授权菜单表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") AuthMenu record, @Param("example") AuthMenuExample example);

    /**
     * 授权菜单表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(AuthMenu record);

    /**
     * 授权菜单表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(AuthMenu record);

}