package com.kingtom.kirin.app.auth.dao;

import java.util.List;

import com.kingtom.kirin.app.auth.model.AuthPermission;
import com.kingtom.kirin.app.auth.model.AuthPermissionExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface AuthPermissionMapper{

    /**
     * 授权权限表 countByExample(MyBatis-Generator)
     */
    long countByExample(AuthPermissionExample example);

    /**
     * 授权权限表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(AuthPermissionExample example);

    /**
     * 授权权限表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 授权权限表 insert(MyBatis-Generator)
     */
    int insert(AuthPermission record);

    /**
     * 授权权限表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(AuthPermission record);

    /**
     * 授权权限表 selectByExample(MyBatis-Generator)
     */
    List<AuthPermission> selectByExample(AuthPermissionExample example);

    /**
     * 授权权限表 selectByPrimaryKey(MyBatis-Generator)
     */
    AuthPermission selectByPrimaryKey(String id);

    /**
     * 授权权限表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") AuthPermission record,
            @Param("example") AuthPermissionExample example);

    /**
     * 授权权限表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") AuthPermission record, @Param("example") AuthPermissionExample example);

    /**
     * 授权权限表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(AuthPermission record);

    /**
     * 授权权限表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(AuthPermission record);

}