package com.kingtom.kirin.app.auth.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 授权角色表(auth_role)(MyBatis-Generator)
 * @author wany
 * @since 2023/10/20 17:22
*/
public class AuthRole implements Serializable {
    /**
     * id(auth_role.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 名称(auth_role.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 角色码(auth_role.code)(MyBatis-Generator)
     */
    private String code;

    /**
     * 绑定的资源信息(auth_role.source)(MyBatis-Generator)
     */
    private JObject<AuthRoleSource> source;

    /**
     * 是否显示(auth_role.display)(MyBatis-Generator)
     */
    private Integer display;

    /**
     * 角色状态(auth_role.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 扩展字段1(auth_role.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(auth_role.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(auth_role.ext3)(MyBatis-Generator)
     */
    private JObject<AuthRoleExt3> ext3;

    /**
     * 创建时间(auth_role.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(auth_role.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(auth_role.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 id(auth_role.id)(MyBatis-Generator)
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 id(auth_role.id)(MyBatis-Generator)
     * @param id id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 名称(auth_role.name)(MyBatis-Generator)
     * @return 名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 名称(auth_role.name)(MyBatis-Generator)
     * @param name 名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 角色码(auth_role.code)(MyBatis-Generator)
     * @return 角色码
     */
    public String getCode() {
        return code;
    }

    /**
     * 设置 角色码(auth_role.code)(MyBatis-Generator)
     * @param code 角色码
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * 获取 绑定的资源信息(auth_role.source)(MyBatis-Generator)
     * @return 绑定的资源信息
     */
    public JObject<AuthRoleSource> getSource() {
        return source;
    }

    /**
     * 设置 绑定的资源信息(auth_role.source)(MyBatis-Generator)
     * @param source 绑定的资源信息
     */
    public void setSource(JObject<AuthRoleSource> source) {
        this.source = source;
    }

    /**
     * 获取 是否显示(auth_role.display)(MyBatis-Generator)
     * @return 是否显示
     */
    public Integer getDisplay(){
        return display;
    }

    /**
     * 设置 是否显示(auth_role.display)(MyBatis-Generator)
     *
     * @param display 是否显示
     */
    public void setDisplay(Integer display){
        this.display = display;
    }

    /**
     * 获取 角色状态(auth_role.state)(MyBatis-Generator)
     * @return 角色状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 角色状态(auth_role.state)(MyBatis-Generator)
     * @param state 角色状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 扩展字段1(auth_role.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(auth_role.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(auth_role.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(auth_role.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(auth_role.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public JObject<AuthRoleExt3> getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(auth_role.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<AuthRoleExt3> ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(auth_role.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(auth_role.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(auth_role.gmt_modified)(MyBatis-Generator)
     * @return 更新时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 更新时间(auth_role.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(auth_role.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(auth_role.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 授权角色表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        AuthRole other = (AuthRole) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getSource() == null ? other.getSource() == null : this.getSource().equals(other.getSource())) &&
                (this.getDisplay() == null ? other.getDisplay() == null : this.getDisplay().equals(other.getDisplay()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 授权角色表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getSource() == null) ? 0 : getSource().hashCode());
        result = prime * result + ((getDisplay() == null) ? 0 : getDisplay().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 授权角色表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", code=").append(code);
        sb.append(", source=").append(source);
        sb.append(", display=").append(display);
        sb.append(", state=").append(state);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}