package com.kingtom.kirin.app.ddic;

import com.kingtom.kirin.app.conf.ConfConst;
import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/26 13:54
 */
public class DdicConst {

    public static final String DDIC_ITEM_ParentNo = "0";

    private DdicConst(){}

    public static enum DdicInfoShowModelEnum implements IBaseEnum<String> {
        SimpleName("simpleName", "简单名称"),
        Name("name", "名称");

        private String key;

        private String name;

        DdicInfoShowModelEnum(String k, String n) {
            key = k;
            name = n;
        }

        @Override
        public String getKey() {
            return key;
        }

        @Override
        public String getName() {
            return name;
        }

        public static DdicInfoShowModelEnum findEnumByKey(String k) {
            return IBaseEnum.findEnumByKey(DdicInfoShowModelEnum.class, k);
        }
    }

}
