package com.kingtom.kirin.app.ddic.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 数据字典项表(ddic_item)(MyBatis-Generator)
* @author yangc
* @since 2023/9/7 08:56
*/
public class DdicItem implements Serializable {
    /**
     * 主键(ddic_item.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 字典项值(ddic_item.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 字典项值全称(ddic_item.full_name)(MyBatis-Generator)
     */
    private String fullName;

    /**
     * 字典项值简称(ddic_item.simple_name)(MyBatis-Generator)
     */
    private String simpleName;

    /**
     * 字典项排序号(ddic_item.sort)(MyBatis-Generator)
     */
    private BigDecimal sort;

    /**
     * 字典ID(ddic_item.ddic_id)(MyBatis-Generator)
     */
    private String ddicId;

    /**
     * 字典项父项KEY(ddic_item.parent_key)(MyBatis-Generator)
     */
    private String parentKey;

    /**
     * 字典项层级(ddic_item.level)(MyBatis-Generator)
     */
    private Integer level;

    /**
     * 字典描述(ddic_item.des)(MyBatis-Generator)
     */
    private String des;

    /**
     * 字典项key(ddic_item.key)(MyBatis-Generator)
     */
    private String key;

    /**
     * 扩展字段1(ddic_item.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(ddic_item.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(ddic_item.ext3)(MyBatis-Generator)
     */
    private String ext3;

    /**
     * 扩展字段4(ddic_item.ext4)(MyBatis-Generator)
     */
    private String ext4;

    /**
     * 扩展字段5(ddic_item.ext5)(MyBatis-Generator)
     */
    private String ext5;

    /**
     * 创建时间(ddic_item.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 修改时间(ddic_item.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(ddic_item.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(ddic_item.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(ddic_item.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 字典项值(ddic_item.name)(MyBatis-Generator)
     * @return 字典项值
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 字典项值(ddic_item.name)(MyBatis-Generator)
     * @param name 字典项值
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 字典项值全称(ddic_item.full_name)(MyBatis-Generator)
     * @return 字典项值全称
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * 设置 字典项值全称(ddic_item.full_name)(MyBatis-Generator)
     * @param fullName 字典项值全称
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    /**
     * 获取 字典项值简称(ddic_item.simple_name)(MyBatis-Generator)
     * @return 字典项值简称
     */
    public String getSimpleName() {
        return simpleName;
    }

    /**
     * 设置 字典项值简称(ddic_item.simple_name)(MyBatis-Generator)
     * @param simpleName 字典项值简称
     */
    public void setSimpleName(String simpleName) {
        this.simpleName = simpleName;
    }

    /**
     * 获取 字典项排序号(ddic_item.sort)(MyBatis-Generator)
     * @return 字典项排序号
     */
    public BigDecimal getSort() {
        return sort;
    }

    /**
     * 设置 字典项排序号(ddic_item.sort)(MyBatis-Generator)
     * @param sort 字典项排序号
     */
    public void setSort(BigDecimal sort) {
        this.sort = sort == null?sort:sort.stripTrailingZeros();
    }

    /**
     * 获取 字典ID(ddic_item.ddic_id)(MyBatis-Generator)
     * @return 字典ID
     */
    public String getDdicId() {
        return ddicId;
    }

    /**
     * 设置 字典ID(ddic_item.ddic_id)(MyBatis-Generator)
     * @param ddicId 字典ID
     */
    public void setDdicId(String ddicId) {
        this.ddicId = ddicId;
    }

    /**
     * 获取 字典项父项KEY(ddic_item.parent_key)(MyBatis-Generator)
     * @return 字典项父项KEY
     */
    public String getParentKey() {
        return parentKey;
    }

    /**
     * 设置 字典项父项KEY(ddic_item.parent_key)(MyBatis-Generator)
     * @param parentKey 字典项父项KEY
     */
    public void setParentKey(String parentKey) {
        this.parentKey = parentKey;
    }

    /**
     * 获取 字典项层级(ddic_item.level)(MyBatis-Generator)
     * @return 字典项层级
     */
    public Integer getLevel() {
        return level;
    }

    /**
     * 设置 字典项层级(ddic_item.level)(MyBatis-Generator)
     * @param level 字典项层级
     */
    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 获取 字典描述(ddic_item.des)(MyBatis-Generator)
     * @return 字典描述
     */
    public String getDes() {
        return des;
    }

    /**
     * 设置 字典描述(ddic_item.des)(MyBatis-Generator)
     * @param des 字典描述
     */
    public void setDes(String des) {
        this.des = des;
    }

    /**
     * 获取 字典项key(ddic_item.key)(MyBatis-Generator)
     * @return 字典项key
     */
    public String getKey() {
        return key;
    }

    /**
     * 设置 字典项key(ddic_item.key)(MyBatis-Generator)
     * @param key 字典项key
     */
    public void setKey(String key) {
        this.key = key;
    }

    /**
     * 获取 扩展字段1(ddic_item.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(ddic_item.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(ddic_item.ext2)(MyBatis-Generator)
     * @return 扩展字段2
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段2(ddic_item.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(ddic_item.ext3)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public String getExt3() {
        return ext3;
    }

    /**
     * 设置 扩展字段3(ddic_item.ext3)(MyBatis-Generator)
     * @param ext3 扩展字段3
     */
    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 扩展字段4(ddic_item.ext4)(MyBatis-Generator)
     * @return 扩展字段4
     */
    public String getExt4() {
        return ext4;
    }

    /**
     * 设置 扩展字段4(ddic_item.ext4)(MyBatis-Generator)
     * @param ext4 扩展字段4
     */
    public void setExt4(String ext4) {
        this.ext4 = ext4;
    }

    /**
     * 获取 扩展字段5(ddic_item.ext5)(MyBatis-Generator)
     * @return 扩展字段5
     */
    public String getExt5() {
        return ext5;
    }

    /**
     * 设置 扩展字段5(ddic_item.ext5)(MyBatis-Generator)
     * @param ext5 扩展字段5
     */
    public void setExt5(String ext5) {
        this.ext5 = ext5;
    }

    /**
     * 获取 创建时间(ddic_item.gmt_create)(MyBatis-Generator)
     * @return 创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 创建时间(ddic_item.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 修改时间(ddic_item.gmt_modified)(MyBatis-Generator)
     * @return 修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 修改时间(ddic_item.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 修改时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(ddic_item.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(ddic_item.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 数据字典项表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DdicItem other = (DdicItem) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getFullName() == null ? other.getFullName() == null : this.getFullName().equals(other.getFullName()))
            && (this.getSimpleName() == null ? other.getSimpleName() == null : this.getSimpleName().equals(other.getSimpleName()))
            && (this.getSort() == null ? other.getSort() == null : this.getSort().equals(other.getSort()))
            && (this.getDdicId() == null ? other.getDdicId() == null : this.getDdicId().equals(other.getDdicId()))
            && (this.getParentKey() == null ? other.getParentKey() == null : this.getParentKey().equals(other.getParentKey()))
            && (this.getLevel() == null ? other.getLevel() == null : this.getLevel().equals(other.getLevel()))
            && (this.getDes() == null ? other.getDes() == null : this.getDes().equals(other.getDes()))
            && (this.getKey() == null ? other.getKey() == null : this.getKey().equals(other.getKey()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getExt4() == null ? other.getExt4() == null : this.getExt4().equals(other.getExt4()))
            && (this.getExt5() == null ? other.getExt5() == null : this.getExt5().equals(other.getExt5()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 数据字典项表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getFullName() == null) ? 0 : getFullName().hashCode());
        result = prime * result + ((getSimpleName() == null) ? 0 : getSimpleName().hashCode());
        result = prime * result + ((getSort() == null) ? 0 : getSort().hashCode());
        result = prime * result + ((getDdicId() == null) ? 0 : getDdicId().hashCode());
        result = prime * result + ((getParentKey() == null) ? 0 : getParentKey().hashCode());
        result = prime * result + ((getLevel() == null) ? 0 : getLevel().hashCode());
        result = prime * result + ((getDes() == null) ? 0 : getDes().hashCode());
        result = prime * result + ((getKey() == null) ? 0 : getKey().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getExt4() == null) ? 0 : getExt4().hashCode());
        result = prime * result + ((getExt5() == null) ? 0 : getExt5().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 数据字典项表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", fullName=").append(fullName);
        sb.append(", simpleName=").append(simpleName);
        sb.append(", sort=").append(sort);
        sb.append(", ddicId=").append(ddicId);
        sb.append(", parentKey=").append(parentKey);
        sb.append(", level=").append(level);
        sb.append(", des=").append(des);
        sb.append(", key=").append(key);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", ext4=").append(ext4);
        sb.append(", ext5=").append(ext5);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}