package com.kingtom.kirin.app.form.engine.core.def;

import java.io.Serializable;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单功能定义：基于视图
 * @author King
 * @since 2023/10/11 17:59
 */
public class FormFuncDef implements Serializable,IFormElement {

    /**
     * 唯一码
     */
    private String uniqueCode;
    /**
     * 功能名称
     */
    private String name;
    /**
     * 功能类型（对应FormConst.FormFuncTypeEnum）
     */
    private String type;

    /**
     * 功能处理器名称
     */
    private String handler;

    /**
     * 功能的具体配置，由handler决定
     */
    private String configJson;
    /**
     * 对应视图
     */
    private String viewUniqueCode;

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHandler() {
        return handler;
    }

    public void setHandler(String handler) {
        this.handler = handler;
    }

    public String getConfigJson() {
        return configJson;
    }

    public void setConfigJson(String configJson) {
        this.configJson = configJson;
    }

    public String getViewUniqueCode() {
        return viewUniqueCode;
    }

    public void setViewUniqueCode(String viewUniqueCode) {
        this.viewUniqueCode = viewUniqueCode;
    }
}
