package com.kingtom.kirin.app.form.engine.core.def;

import cn.hutool.core.collection.ListUtil;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单唯一性定义：业务唯一性
 * @author King
 * @since 2023/10/12 11:46
 */
public class FormIndexDef implements Serializable,IFormElement {

    /**
     * 唯一性约束唯一码
     */
    private String uniqueCode;
    /**
     * 唯一性约束名
     */
    private String name;
    /**
     * 唯一性约束涉及的字段
     */
    private List<String> fileds = ListUtil.toList();

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<String> getFileds() {
        return fileds;
    }

    public void setFileds(List<String> fileds) {
        this.fileds.clear();
        if(fileds != null) {
            this.fileds.addAll(fileds);
        }
    }
}
