package com.kingtom.kirin.app.form.engine.core.def;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 表单基本信息定义
 * @author King
 * @since 2023/10/12 11:00
 */
public class FormInfoDef implements IFormElement {

    /**
     * 唯一码（业务意义的码，不可重复）
     */
    private String uniqueCode;

    /**
     * 表单名称（可重复）
     */
    private String name;

    /**
     * 表单简称（可重复）
     */
    private String simpleName;

    /**
     * 表单描述
     */
    private String des;

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSimpleName() {
        return simpleName;
    }

    public void setSimpleName(String simpleName) {
        this.simpleName = simpleName;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }
}
