package com.kingtom.kirin.app.form.engine.core.def;

import cn.hutool.core.collection.ListUtil;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/11 17:58
 */
public class FormViewDef implements IFormElement{

    /**
     * 视图唯一码
     */
    private String       uniqueCode;
    /**
     * 视图名称
     */
    private String       name;
    /**
     * 是否为主视图（主视图包含所有字段）
     */
    private Boolean      mainFlag;
    /**
     * 包含的元素内容
     */
    private List<String> elements = ListUtil.toList();

    public String getUniqueCode() {
        return uniqueCode;
    }

    public void setUniqueCode(String uniqueCode) {
        this.uniqueCode = uniqueCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getMainFlag() {
        return mainFlag;
    }

    public void setMainFlag(Boolean mainFlag) {
        this.mainFlag = mainFlag;
    }

    public List<String> getElements() {
        return elements;
    }

    public void setElements(List<String> elements) {
        this.elements.clear();
        if (elements != null) {
            this.elements.addAll(elements);
        }
    }
}
