package com.kingtom.kirin.app.form.service;

import com.kingtom.kirin.app.form.model.FormInfo;
import com.kingtom.kirin.app.form.model.FormInstance;
import com.kingtom.kirin.core.common.base.Result;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/10/18 20:02
 */
public interface IFormStroageService {

    Result<FormInfo> createFormInfo();

    Result<FormInfo> deleteFormInfo();

    Result<FormInstance> createFormInstance();

    Result<FormInstance> deleteFormInstance();

}
