package com.kingtom.kirin.app.org.event;

import java.io.Serial;

import com.kingtom.kirin.app.org.model.OrgPerson;
import com.kingtom.kirin.app.system.event.SystemEvent;

/**
 * 组织模块</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/16
 */
public class OrgPersonCreateEvent extends SystemEvent{

    private OrgPerson person;

    @Serial
    private static final long serialVersionUID = -148895317653947873L;

    public OrgPersonCreateEvent(OrgPerson person){
        super(person);
        this.person = person;
    }

    public OrgPerson getPerson(){
        return person;
    }

}
