package com.kingtom.kirin.app.org.event;

import java.io.Serial;

import com.kingtom.kirin.app.org.model.OrgStruct;
import com.kingtom.kirin.app.system.event.SystemEvent;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/18
 */
public class OrgStructCreateEvent extends SystemEvent{

    @Serial
    private static final long serialVersionUID = -1012340622655109343L;

    private OrgStruct struct;

    public OrgStructCreateEvent(OrgStruct struct){
        super(struct);
        this.struct = struct;
    }

    public OrgStruct getStruct(){
        return struct;
    }

}
