package com.kingtom.kirin.app.org.event;

import java.io.Serial;

import com.kingtom.kirin.app.org.model.OrgStruct;
import com.kingtom.kirin.app.system.event.SystemEvent;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/18
 */
public class OrgStructUpdateEvent extends SystemEvent{

    @Serial
    private static final long serialVersionUID = 7071836461192462281L;

    private OrgStruct oldStruct;

    private OrgStruct nowStruct;

    public OrgStructUpdateEvent(OrgStruct oldStruct, OrgStruct nowStruct){
        super(nowStruct);
        this.oldStruct = oldStruct;
        this.nowStruct = nowStruct;
    }

    public OrgStruct getOldStruct(){
        return oldStruct;
    }

    public OrgStruct getNowStruct(){
        return nowStruct;
    }

}

