package com.kingtom.kirin.app.org.event;

import java.io.Serial;

import com.kingtom.kirin.app.org.model.OrgUnit;
import com.kingtom.kirin.app.system.event.SystemEvent;

/**
 * 组织模块</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/16
 */
public class OrgUnitCreateEvent extends SystemEvent{

    @Serial
    private static final long serialVersionUID = 3323248520686612243L;

    private OrgUnit unit;

    public OrgUnitCreateEvent(OrgUnit unit){
        super(unit);
        this.unit = unit;
    }

    public OrgUnit getUnit(){
        return unit;
    }

}