package com.kingtom.kirin.app.org.model;

import com.kingtom.kirin.core.common.json.JObject;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 人员表(org_person)(MyBatis-Generator)
 *
 * @author 86181
 * @since 2023/10/16 10:46
 */
public class OrgPerson implements Serializable{

    /**
     * 主键(org_person.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 人员名称(org_person.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 人员别名(org_person.other_name)(MyBatis-Generator)
     */
    private String otherName;

    /**
     * 人员英文名(org_person.en_name)(MyBatis-Generator)
     */
    private String enName;

    /**
     * 生日(org_person.birthday)(MyBatis-Generator)
     */
    private Date birthday;

    /**
     * 性别(org_person.sex)(MyBatis-Generator)
     */
    private Integer sex;

    /**
     * 证件类型(org_person.license_type)(MyBatis-Generator)
     */
    private String licenseType;

    /**
     * 唯一编码值(org_person.license_code)(MyBatis-Generator)
     */
    private String licenseCode;

    /**
     * 电话:主要的,作为账号(org_person.phone)(MyBatis-Generator)
     */
    private String phone;

    /**
     * 邮箱:主要的(org_person.email)(MyBatis-Generator)
     */
    private String email;

    /**
     * 状态：0启用；1停用;2删除(org_person.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 认证状态：0已认证；1未认证(org_person.auth_state)(MyBatis-Generator)
     */
    private Integer authState;

    /**
     * 国家/地区(org_person.national)(MyBatis-Generator)
     */
    private String national;

    /**
     * 民族(org_person.nation)(MyBatis-Generator)
     */
    private String nation;

    /**
     * 籍贯(org_person.native_place)(MyBatis-Generator)
     */
    private String nativePlace;

    /**
     * 地址(org_person.native_address)(MyBatis-Generator)
     */
    private String nativeAddress;

    /**
     * 居住地(org_person.residential_address)(MyBatis-Generator)
     */
    private String residentialAddress;

    /**
     * 签发机关(org_person.license_pub_org)(MyBatis-Generator)
     */
    private String licensePubOrg;

    /**
     * 证件有效期开始时间(org_person.license_start_time)(MyBatis-Generator)
     */
    private Date licenseStartTime;

    /**
     * 证件有效期到期时间(org_person.license_end_time)(MyBatis-Generator)
     */
    private Date licenseEndTime;

    /**
     * 扩展信息(org_person.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展信息(org_person.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展信息(org_person.ext3)(MyBatis-Generator)
     */
    private JObject<OrgPersonExt3> ext3;

    /**
     * 创建时间(org_person.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(org_person.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(org_person.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(org_person.id)(MyBatis-Generator)
     *
     * @return 主键
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 主键(org_person.id)(MyBatis-Generator)
     *
     * @param id 主键
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 人员名称(org_person.name)(MyBatis-Generator)
     *
     * @return 人员名称
     */
    public String getName(){
        return name;
    }

    /**
     * 设置 人员名称(org_person.name)(MyBatis-Generator)
     *
     * @param name 人员名称
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取 人员别名(org_person.other_name)(MyBatis-Generator)
     *
     * @return 人员别名
     */
    public String getOtherName(){
        return otherName;
    }

    /**
     * 设置 人员别名(org_person.other_name)(MyBatis-Generator)
     *
     * @param otherName 人员别名
     */
    public void setOtherName(String otherName){
        this.otherName = otherName;
    }

    /**
     * 获取 人员英文名(org_person.en_name)(MyBatis-Generator)
     *
     * @return 人员英文名
     */
    public String getEnName(){
        return enName;
    }

    /**
     * 设置 人员英文名(org_person.en_name)(MyBatis-Generator)
     *
     * @param enName 人员英文名
     */
    public void setEnName(String enName){
        this.enName = enName;
    }

    /**
     * 获取 生日(org_person.birthday)(MyBatis-Generator)
     *
     * @return 生日
     */
    public Date getBirthday(){
        return birthday;
    }

    /**
     * 设置 生日(org_person.birthday)(MyBatis-Generator)
     *
     * @param birthday 生日
     */
    public void setBirthday(Date birthday){
        this.birthday = birthday;
    }

    /**
     * 获取 性别(org_person.sex)(MyBatis-Generator)
     *
     * @return 性别
     */
    public Integer getSex(){
        return sex;
    }

    /**
     * 设置 性别(org_person.sex)(MyBatis-Generator)
     *
     * @param sex 性别
     */
    public void setSex(Integer sex){
        this.sex = sex;
    }

    /**
     * 获取 证件类型(org_person.license_type)(MyBatis-Generator)
     *
     * @return 证件类型
     */
    public String getLicenseType(){
        return licenseType;
    }

    /**
     * 设置 证件类型(org_person.license_type)(MyBatis-Generator)
     *
     * @param licenseType 证件类型
     */
    public void setLicenseType(String licenseType){
        this.licenseType = licenseType;
    }

    /**
     * 获取 唯一编码值(org_person.license_code)(MyBatis-Generator)
     *
     * @return 唯一编码值
     */
    public String getLicenseCode(){
        return licenseCode;
    }

    /**
     * 设置 唯一编码值(org_person.license_code)(MyBatis-Generator)
     *
     * @param licenseCode 唯一编码值
     */
    public void setLicenseCode(String licenseCode){
        this.licenseCode = licenseCode;
    }

    /**
     * 获取 电话:主要的,作为账号(org_person.phone)(MyBatis-Generator)
     *
     * @return 电话:主要的,作为账号
     */
    public String getPhone(){
        return phone;
    }

    /**
     * 设置 电话:主要的,作为账号(org_person.phone)(MyBatis-Generator)
     *
     * @param phone 电话:主要的,作为账号
     */
    public void setPhone(String phone){
        this.phone = phone;
    }

    /**
     * 获取 邮箱:主要的(org_person.email)(MyBatis-Generator)
     *
     * @return 邮箱:主要的
     */
    public String getEmail(){
        return email;
    }

    /**
     * 设置 邮箱:主要的(org_person.email)(MyBatis-Generator)
     *
     * @param email 邮箱:主要的
     */
    public void setEmail(String email){
        this.email = email;
    }

    /**
     * 获取 状态：0启用；1停用;2删除(org_person.state)(MyBatis-Generator)
     *
     * @return 状态：0启用；1停用;2删除
     */
    public Integer getState(){
        return state;
    }

    /**
     * 设置 状态：0启用；1停用;2删除(org_person.state)(MyBatis-Generator)
     *
     * @param state 状态：0启用；1停用;2删除
     */
    public void setState(Integer state){
        this.state = state;
    }

    /**
     * 获取 认证状态：0已认证；1未认证(org_person.auth_state)(MyBatis-Generator)
     *
     * @return 认证状态：0已认证；1未认证
     */
    public Integer getAuthState(){
        return authState;
    }

    /**
     * 设置 认证状态：0已认证；1未认证(org_person.auth_state)(MyBatis-Generator)
     *
     * @param authState 认证状态：0已认证；1未认证
     */
    public void setAuthState(Integer authState){
        this.authState = authState;
    }

    /**
     * 获取 国家/地区(org_person.national)(MyBatis-Generator)
     *
     * @return 国家/地区
     */
    public String getNational(){
        return national;
    }

    /**
     * 设置 国家/地区(org_person.national)(MyBatis-Generator)
     *
     * @param national 国家/地区
     */
    public void setNational(String national){
        this.national = national;
    }

    /**
     * 获取 民族(org_person.nation)(MyBatis-Generator)
     *
     * @return 民族
     */
    public String getNation(){
        return nation;
    }

    /**
     * 设置 民族(org_person.nation)(MyBatis-Generator)
     *
     * @param nation 民族
     */
    public void setNation(String nation){
        this.nation = nation;
    }

    /**
     * 获取 籍贯(org_person.native_place)(MyBatis-Generator)
     *
     * @return 籍贯
     */
    public String getNativePlace(){
        return nativePlace;
    }

    /**
     * 设置 籍贯(org_person.native_place)(MyBatis-Generator)
     *
     * @param nativePlace 籍贯
     */
    public void setNativePlace(String nativePlace){
        this.nativePlace = nativePlace;
    }

    /**
     * 获取 地址(org_person.native_address)(MyBatis-Generator)
     *
     * @return 地址
     */
    public String getNativeAddress(){
        return nativeAddress;
    }

    /**
     * 设置 地址(org_person.native_address)(MyBatis-Generator)
     *
     * @param nativeAddress 地址
     */
    public void setNativeAddress(String nativeAddress){
        this.nativeAddress = nativeAddress;
    }

    /**
     * 获取 居住地(org_person.residential_address)(MyBatis-Generator)
     *
     * @return 居住地
     */
    public String getResidentialAddress(){
        return residentialAddress;
    }

    /**
     * 设置 居住地(org_person.residential_address)(MyBatis-Generator)
     *
     * @param residentialAddress 居住地
     */
    public void setResidentialAddress(String residentialAddress){
        this.residentialAddress = residentialAddress;
    }

    /**
     * 获取 签发机关(org_person.license_pub_org)(MyBatis-Generator)
     *
     * @return 签发机关
     */
    public String getLicensePubOrg(){
        return licensePubOrg;
    }

    /**
     * 设置 签发机关(org_person.license_pub_org)(MyBatis-Generator)
     *
     * @param licensePubOrg 签发机关
     */
    public void setLicensePubOrg(String licensePubOrg){
        this.licensePubOrg = licensePubOrg;
    }

    /**
     * 获取 证件有效期开始时间(org_person.license_start_time)(MyBatis-Generator)
     *
     * @return 证件有效期开始时间
     */
    public Date getLicenseStartTime(){
        return licenseStartTime;
    }

    /**
     * 设置 证件有效期开始时间(org_person.license_start_time)(MyBatis-Generator)
     *
     * @param licenseStartTime 证件有效期开始时间
     */
    public void setLicenseStartTime(Date licenseStartTime){
        this.licenseStartTime = licenseStartTime;
    }

    /**
     * 获取 证件有效期到期时间(org_person.license_end_time)(MyBatis-Generator)
     *
     * @return 证件有效期到期时间
     */
    public Date getLicenseEndTime(){
        return licenseEndTime;
    }

    /**
     * 设置 证件有效期到期时间(org_person.license_end_time)(MyBatis-Generator)
     *
     * @param licenseEndTime 证件有效期到期时间
     */
    public void setLicenseEndTime(Date licenseEndTime){
        this.licenseEndTime = licenseEndTime;
    }

    /**
     * 获取 扩展信息(org_person.ext1)(MyBatis-Generator)
     *
     * @return 扩展信息
     */
    public String getExt1(){
        return ext1;
    }

    /**
     * 设置 扩展信息(org_person.ext1)(MyBatis-Generator)
     *
     * @param ext1 扩展信息
     */
    public void setExt1(String ext1){
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展信息(org_person.ext2)(MyBatis-Generator)
     *
     * @return 扩展信息
     */
    public String getExt2(){
        return ext2;
    }

    /**
     * 设置 扩展信息(org_person.ext2)(MyBatis-Generator)
     *
     * @param ext2 扩展信息
     */
    public void setExt2(String ext2){
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展信息(org_person.ext3)(MyBatis-Generator)
     *
     * @return 扩展信息
     */
    public JObject<OrgPersonExt3> getExt3(){
        return ext3;
    }

    /**
     * 设置 扩展信息(org_person.ext3)(MyBatis-Generator)
     *
     * @param ext3 扩展信息
     */
    public void setExt3(JObject<OrgPersonExt3> ext3){
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(org_person.gmt_create)(MyBatis-Generator)
     *
     * @return 创建时间
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * 设置 创建时间(org_person.gmt_create)(MyBatis-Generator)
     *
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(org_person.gmt_modified)(MyBatis-Generator)
     *
     * @return 更新时间
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * 设置 更新时间(org_person.gmt_modified)(MyBatis-Generator)
     *
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(org_person.sys_id)(MyBatis-Generator)
     *
     * @return 系统ID
     */
    public String getSysId(){
        return sysId;
    }

    /**
     * 设置 系统ID(org_person.sys_id)(MyBatis-Generator)
     *
     * @param sysId 系统ID
     */
    public void setSysId(String sysId){
        this.sysId = sysId;
    }

    /**
     * 人员表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if(that == null){
            return false;
        }
        if(getClass() != that.getClass()){
            return false;
        }
        OrgPerson other = (OrgPerson) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId())) &&
                (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName())) &&
                (this.getOtherName() == null ? other.getOtherName() == null :
                        this.getOtherName().equals(other.getOtherName())) &&
                (this.getEnName() == null ? other.getEnName() == null : this.getEnName().equals(other.getEnName())) &&
                (this.getBirthday() == null ? other.getBirthday() == null :
                        this.getBirthday().equals(other.getBirthday())) &&
                (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex())) &&
                (this.getLicenseType() == null ? other.getLicenseType() == null :
                        this.getLicenseType().equals(other.getLicenseType())) &&
                (this.getLicenseCode() == null ? other.getLicenseCode() == null :
                        this.getLicenseCode().equals(other.getLicenseCode())) &&
                (this.getPhone() == null ? other.getPhone() == null : this.getPhone().equals(other.getPhone())) &&
                (this.getEmail() == null ? other.getEmail() == null : this.getEmail().equals(other.getEmail())) &&
                (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState())) &&
                (this.getAuthState() == null ? other.getAuthState() == null :
                        this.getAuthState().equals(other.getAuthState())) &&
                (this.getNational() == null ? other.getNational() == null :
                        this.getNational().equals(other.getNational())) &&
                (this.getNation() == null ? other.getNation() == null : this.getNation().equals(other.getNation())) &&
                (this.getNativePlace() == null ? other.getNativePlace() == null :
                        this.getNativePlace().equals(other.getNativePlace())) &&
                (this.getNativeAddress() == null ? other.getNativeAddress() == null :
                        this.getNativeAddress().equals(other.getNativeAddress())) &&
                (this.getResidentialAddress() == null ? other.getResidentialAddress() == null :
                        this.getResidentialAddress().equals(other.getResidentialAddress())) &&
                (this.getLicensePubOrg() == null ? other.getLicensePubOrg() == null :
                        this.getLicensePubOrg().equals(other.getLicensePubOrg())) &&
                (this.getLicenseStartTime() == null ? other.getLicenseStartTime() == null :
                        this.getLicenseStartTime().equals(other.getLicenseStartTime())) &&
                (this.getLicenseEndTime() == null ? other.getLicenseEndTime() == null :
                        this.getLicenseEndTime().equals(other.getLicenseEndTime())) &&
                (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1())) &&
                (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2())) &&
                (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3())) &&
                (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                        this.getGmtCreate().equals(other.getGmtCreate())) &&
                (this.getGmtModified() == null ? other.getGmtModified() == null :
                        this.getGmtModified().equals(other.getGmtModified())) &&
                (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 人员表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode(){
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getOtherName() == null) ? 0 : getOtherName().hashCode());
        result = prime * result + ((getEnName() == null) ? 0 : getEnName().hashCode());
        result = prime * result + ((getBirthday() == null) ? 0 : getBirthday().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getLicenseType() == null) ? 0 : getLicenseType().hashCode());
        result = prime * result + ((getLicenseCode() == null) ? 0 : getLicenseCode().hashCode());
        result = prime * result + ((getPhone() == null) ? 0 : getPhone().hashCode());
        result = prime * result + ((getEmail() == null) ? 0 : getEmail().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getAuthState() == null) ? 0 : getAuthState().hashCode());
        result = prime * result + ((getNational() == null) ? 0 : getNational().hashCode());
        result = prime * result + ((getNation() == null) ? 0 : getNation().hashCode());
        result = prime * result + ((getNativePlace() == null) ? 0 : getNativePlace().hashCode());
        result = prime * result + ((getNativeAddress() == null) ? 0 : getNativeAddress().hashCode());
        result = prime * result + ((getResidentialAddress() == null) ? 0 : getResidentialAddress().hashCode());
        result = prime * result + ((getLicensePubOrg() == null) ? 0 : getLicensePubOrg().hashCode());
        result = prime * result + ((getLicenseStartTime() == null) ? 0 : getLicenseStartTime().hashCode());
        result = prime * result + ((getLicenseEndTime() == null) ? 0 : getLicenseEndTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 人员表 toString(MyBatis-Generator)
     */
    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", otherName=").append(otherName);
        sb.append(", enName=").append(enName);
        sb.append(", birthday=").append(birthday);
        sb.append(", sex=").append(sex);
        sb.append(", licenseType=").append(licenseType);
        sb.append(", licenseCode=").append(licenseCode);
        sb.append(", phone=").append(phone);
        sb.append(", email=").append(email);
        sb.append(", state=").append(state);
        sb.append(", authState=").append(authState);
        sb.append(", national=").append(national);
        sb.append(", nation=").append(nation);
        sb.append(", nativePlace=").append(nativePlace);
        sb.append(", nativeAddress=").append(nativeAddress);
        sb.append(", residentialAddress=").append(residentialAddress);
        sb.append(", licensePubOrg=").append(licensePubOrg);
        sb.append(", licenseStartTime=").append(licenseStartTime);
        sb.append(", licenseEndTime=").append(licenseEndTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

}