package com.kingtom.kirin.app.org.model;

import com.kingtom.kirin.core.common.json.JObject;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class OrgPersonExample{

    /**
     * orderByClause
     */
    protected String orderByClause;

    /**
     * distinct
     */
    protected boolean distinct;

    /**
     * oredCriteria
     */
    protected List<Criteria> oredCriteria;

    /**
     * 人员表 OrgPersonExample(MyBatis-Generator)
     */
    public OrgPersonExample(){
        oredCriteria = new ArrayList<>();
    }

    /**
     * 人员表 setOrderByClause(MyBatis-Generator)
     */
    public void setOrderByClause(String orderByClause){
        this.orderByClause = orderByClause;
    }

    /**
     * 人员表 getOrderByClause(MyBatis-Generator)
     */
    public String getOrderByClause(){
        return orderByClause;
    }

    /**
     * 人员表 setDistinct(MyBatis-Generator)
     */
    public void setDistinct(boolean distinct){
        this.distinct = distinct;
    }

    /**
     * 人员表 isDistinct(MyBatis-Generator)
     */
    public boolean isDistinct(){
        return distinct;
    }

    /**
     * 人员表 getOredCriteria(MyBatis-Generator)
     */
    public List<Criteria> getOredCriteria(){
        return oredCriteria;
    }

    /**
     * 人员表 or(MyBatis-Generator)
     */
    public void or(Criteria criteria){
        oredCriteria.add(criteria);
    }

    /**
     * 人员表 or(MyBatis-Generator)
     */
    public Criteria or(){
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * 人员表 createCriteria(MyBatis-Generator)
     */
    public Criteria createCriteria(){
        Criteria criteria = createCriteriaInternal();
        if(oredCriteria.size() == 0){
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * 人员表 createCriteriaInternal(MyBatis-Generator)
     */
    protected Criteria createCriteriaInternal(){
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * 人员表 clear(MyBatis-Generator)
     */
    public void clear(){
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * 人员表 GeneratedCriteria(MyBatis-Generator)
     */
    protected abstract static class GeneratedCriteria{

        protected List<Criterion> criteria;

        protected GeneratedCriteria(){
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid(){
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria(){
            return criteria;
        }

        public List<Criterion> getCriteria(){
            return criteria;
        }

        protected void addCriterion(String condition){
            if(condition == null){
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property){
            if(value == null){
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property){
            if(value1 == null || value2 == null){
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull(){
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull(){
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value){
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value){
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value){
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value){
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value){
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value){
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value){
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value){
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values){
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values){
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2){
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2){
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull(){
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull(){
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value){
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value){
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value){
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value){
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value){
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value){
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value){
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value){
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values){
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values){
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2){
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2){
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andOtherNameIsNull(){
            addCriterion("other_name is null");
            return (Criteria) this;
        }

        public Criteria andOtherNameIsNotNull(){
            addCriterion("other_name is not null");
            return (Criteria) this;
        }

        public Criteria andOtherNameEqualTo(String value){
            addCriterion("other_name =", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotEqualTo(String value){
            addCriterion("other_name <>", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameGreaterThan(String value){
            addCriterion("other_name >", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameGreaterThanOrEqualTo(String value){
            addCriterion("other_name >=", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLessThan(String value){
            addCriterion("other_name <", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLessThanOrEqualTo(String value){
            addCriterion("other_name <=", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLike(String value){
            addCriterion("other_name like", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotLike(String value){
            addCriterion("other_name not like", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameIn(List<String> values){
            addCriterion("other_name in", values, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotIn(List<String> values){
            addCriterion("other_name not in", values, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameBetween(String value1, String value2){
            addCriterion("other_name between", value1, value2, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotBetween(String value1, String value2){
            addCriterion("other_name not between", value1, value2, "otherName");
            return (Criteria) this;
        }

        public Criteria andEnNameIsNull(){
            addCriterion("en_name is null");
            return (Criteria) this;
        }

        public Criteria andEnNameIsNotNull(){
            addCriterion("en_name is not null");
            return (Criteria) this;
        }

        public Criteria andEnNameEqualTo(String value){
            addCriterion("en_name =", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotEqualTo(String value){
            addCriterion("en_name <>", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameGreaterThan(String value){
            addCriterion("en_name >", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameGreaterThanOrEqualTo(String value){
            addCriterion("en_name >=", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameLessThan(String value){
            addCriterion("en_name <", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameLessThanOrEqualTo(String value){
            addCriterion("en_name <=", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameLike(String value){
            addCriterion("en_name like", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotLike(String value){
            addCriterion("en_name not like", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameIn(List<String> values){
            addCriterion("en_name in", values, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotIn(List<String> values){
            addCriterion("en_name not in", values, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameBetween(String value1, String value2){
            addCriterion("en_name between", value1, value2, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotBetween(String value1, String value2){
            addCriterion("en_name not between", value1, value2, "enName");
            return (Criteria) this;
        }

        public Criteria andBirthdayIsNull(){
            addCriterion("birthday is null");
            return (Criteria) this;
        }

        public Criteria andBirthdayIsNotNull(){
            addCriterion("birthday is not null");
            return (Criteria) this;
        }

        public Criteria andBirthdayEqualTo(Date value){
            addCriterion("birthday =", value, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayNotEqualTo(Date value){
            addCriterion("birthday <>", value, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayGreaterThan(Date value){
            addCriterion("birthday >", value, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayGreaterThanOrEqualTo(Date value){
            addCriterion("birthday >=", value, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayLessThan(Date value){
            addCriterion("birthday <", value, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayLessThanOrEqualTo(Date value){
            addCriterion("birthday <=", value, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayIn(List<Date> values){
            addCriterion("birthday in", values, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayNotIn(List<Date> values){
            addCriterion("birthday not in", values, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayBetween(Date value1, Date value2){
            addCriterion("birthday between", value1, value2, "birthday");
            return (Criteria) this;
        }

        public Criteria andBirthdayNotBetween(Date value1, Date value2){
            addCriterion("birthday not between", value1, value2, "birthday");
            return (Criteria) this;
        }

        public Criteria andSexIsNull(){
            addCriterion("sex is null");
            return (Criteria) this;
        }

        public Criteria andSexIsNotNull(){
            addCriterion("sex is not null");
            return (Criteria) this;
        }

        public Criteria andSexEqualTo(Integer value){
            addCriterion("sex =", value, "sex");
            return (Criteria) this;
        }

        public Criteria andSexNotEqualTo(Integer value){
            addCriterion("sex <>", value, "sex");
            return (Criteria) this;
        }

        public Criteria andSexGreaterThan(Integer value){
            addCriterion("sex >", value, "sex");
            return (Criteria) this;
        }

        public Criteria andSexGreaterThanOrEqualTo(Integer value){
            addCriterion("sex >=", value, "sex");
            return (Criteria) this;
        }

        public Criteria andSexLessThan(Integer value){
            addCriterion("sex <", value, "sex");
            return (Criteria) this;
        }

        public Criteria andSexLessThanOrEqualTo(Integer value){
            addCriterion("sex <=", value, "sex");
            return (Criteria) this;
        }

        public Criteria andSexIn(List<Integer> values){
            addCriterion("sex in", values, "sex");
            return (Criteria) this;
        }

        public Criteria andSexNotIn(List<Integer> values){
            addCriterion("sex not in", values, "sex");
            return (Criteria) this;
        }

        public Criteria andSexBetween(Integer value1, Integer value2){
            addCriterion("sex between", value1, value2, "sex");
            return (Criteria) this;
        }

        public Criteria andSexNotBetween(Integer value1, Integer value2){
            addCriterion("sex not between", value1, value2, "sex");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeIsNull(){
            addCriterion("license_type is null");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeIsNotNull(){
            addCriterion("license_type is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeEqualTo(String value){
            addCriterion("license_type =", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotEqualTo(String value){
            addCriterion("license_type <>", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeGreaterThan(String value){
            addCriterion("license_type >", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeGreaterThanOrEqualTo(String value){
            addCriterion("license_type >=", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeLessThan(String value){
            addCriterion("license_type <", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeLessThanOrEqualTo(String value){
            addCriterion("license_type <=", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeLike(String value){
            addCriterion("license_type like", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotLike(String value){
            addCriterion("license_type not like", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeIn(List<String> values){
            addCriterion("license_type in", values, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotIn(List<String> values){
            addCriterion("license_type not in", values, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeBetween(String value1, String value2){
            addCriterion("license_type between", value1, value2, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotBetween(String value1, String value2){
            addCriterion("license_type not between", value1, value2, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeIsNull(){
            addCriterion("license_code is null");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeIsNotNull(){
            addCriterion("license_code is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeEqualTo(String value){
            addCriterion("license_code =", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeNotEqualTo(String value){
            addCriterion("license_code <>", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeGreaterThan(String value){
            addCriterion("license_code >", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeGreaterThanOrEqualTo(String value){
            addCriterion("license_code >=", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeLessThan(String value){
            addCriterion("license_code <", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeLessThanOrEqualTo(String value){
            addCriterion("license_code <=", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeLike(String value){
            addCriterion("license_code like", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeNotLike(String value){
            addCriterion("license_code not like", value, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeIn(List<String> values){
            addCriterion("license_code in", values, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeNotIn(List<String> values){
            addCriterion("license_code not in", values, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeBetween(String value1, String value2){
            addCriterion("license_code between", value1, value2, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andLicenseCodeNotBetween(String value1, String value2){
            addCriterion("license_code not between", value1, value2, "licenseCode");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNull(){
            addCriterion("phone is null");
            return (Criteria) this;
        }

        public Criteria andPhoneIsNotNull(){
            addCriterion("phone is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneEqualTo(String value){
            addCriterion("phone =", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotEqualTo(String value){
            addCriterion("phone <>", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThan(String value){
            addCriterion("phone >", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneGreaterThanOrEqualTo(String value){
            addCriterion("phone >=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThan(String value){
            addCriterion("phone <", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLessThanOrEqualTo(String value){
            addCriterion("phone <=", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneLike(String value){
            addCriterion("phone like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotLike(String value){
            addCriterion("phone not like", value, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneIn(List<String> values){
            addCriterion("phone in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotIn(List<String> values){
            addCriterion("phone not in", values, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneBetween(String value1, String value2){
            addCriterion("phone between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andPhoneNotBetween(String value1, String value2){
            addCriterion("phone not between", value1, value2, "phone");
            return (Criteria) this;
        }

        public Criteria andEmailIsNull(){
            addCriterion("email is null");
            return (Criteria) this;
        }

        public Criteria andEmailIsNotNull(){
            addCriterion("email is not null");
            return (Criteria) this;
        }

        public Criteria andEmailEqualTo(String value){
            addCriterion("email =", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotEqualTo(String value){
            addCriterion("email <>", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThan(String value){
            addCriterion("email >", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailGreaterThanOrEqualTo(String value){
            addCriterion("email >=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThan(String value){
            addCriterion("email <", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLessThanOrEqualTo(String value){
            addCriterion("email <=", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailLike(String value){
            addCriterion("email like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotLike(String value){
            addCriterion("email not like", value, "email");
            return (Criteria) this;
        }

        public Criteria andEmailIn(List<String> values){
            addCriterion("email in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotIn(List<String> values){
            addCriterion("email not in", values, "email");
            return (Criteria) this;
        }

        public Criteria andEmailBetween(String value1, String value2){
            addCriterion("email between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andEmailNotBetween(String value1, String value2){
            addCriterion("email not between", value1, value2, "email");
            return (Criteria) this;
        }

        public Criteria andStateIsNull(){
            addCriterion("state is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull(){
            addCriterion("state is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Integer value){
            addCriterion("state =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Integer value){
            addCriterion("state <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Integer value){
            addCriterion("state >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Integer value){
            addCriterion("state >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Integer value){
            addCriterion("state <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Integer value){
            addCriterion("state <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Integer> values){
            addCriterion("state in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Integer> values){
            addCriterion("state not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Integer value1, Integer value2){
            addCriterion("state between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Integer value1, Integer value2){
            addCriterion("state not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andAuthStateIsNull(){
            addCriterion("auth_state is null");
            return (Criteria) this;
        }

        public Criteria andAuthStateIsNotNull(){
            addCriterion("auth_state is not null");
            return (Criteria) this;
        }

        public Criteria andAuthStateEqualTo(Integer value){
            addCriterion("auth_state =", value, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateNotEqualTo(Integer value){
            addCriterion("auth_state <>", value, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateGreaterThan(Integer value){
            addCriterion("auth_state >", value, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateGreaterThanOrEqualTo(Integer value){
            addCriterion("auth_state >=", value, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateLessThan(Integer value){
            addCriterion("auth_state <", value, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateLessThanOrEqualTo(Integer value){
            addCriterion("auth_state <=", value, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateIn(List<Integer> values){
            addCriterion("auth_state in", values, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateNotIn(List<Integer> values){
            addCriterion("auth_state not in", values, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateBetween(Integer value1, Integer value2){
            addCriterion("auth_state between", value1, value2, "authState");
            return (Criteria) this;
        }

        public Criteria andAuthStateNotBetween(Integer value1, Integer value2){
            addCriterion("auth_state not between", value1, value2, "authState");
            return (Criteria) this;
        }

        public Criteria andNationalIsNull(){
            addCriterion("national is null");
            return (Criteria) this;
        }

        public Criteria andNationalIsNotNull(){
            addCriterion("national is not null");
            return (Criteria) this;
        }

        public Criteria andNationalEqualTo(String value){
            addCriterion("national =", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotEqualTo(String value){
            addCriterion("national <>", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalGreaterThan(String value){
            addCriterion("national >", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalGreaterThanOrEqualTo(String value){
            addCriterion("national >=", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalLessThan(String value){
            addCriterion("national <", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalLessThanOrEqualTo(String value){
            addCriterion("national <=", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalLike(String value){
            addCriterion("national like", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotLike(String value){
            addCriterion("national not like", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalIn(List<String> values){
            addCriterion("national in", values, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotIn(List<String> values){
            addCriterion("national not in", values, "national");
            return (Criteria) this;
        }

        public Criteria andNationalBetween(String value1, String value2){
            addCriterion("national between", value1, value2, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotBetween(String value1, String value2){
            addCriterion("national not between", value1, value2, "national");
            return (Criteria) this;
        }

        public Criteria andNationIsNull(){
            addCriterion("nation is null");
            return (Criteria) this;
        }

        public Criteria andNationIsNotNull(){
            addCriterion("nation is not null");
            return (Criteria) this;
        }

        public Criteria andNationEqualTo(String value){
            addCriterion("nation =", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationNotEqualTo(String value){
            addCriterion("nation <>", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationGreaterThan(String value){
            addCriterion("nation >", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationGreaterThanOrEqualTo(String value){
            addCriterion("nation >=", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationLessThan(String value){
            addCriterion("nation <", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationLessThanOrEqualTo(String value){
            addCriterion("nation <=", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationLike(String value){
            addCriterion("nation like", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationNotLike(String value){
            addCriterion("nation not like", value, "nation");
            return (Criteria) this;
        }

        public Criteria andNationIn(List<String> values){
            addCriterion("nation in", values, "nation");
            return (Criteria) this;
        }

        public Criteria andNationNotIn(List<String> values){
            addCriterion("nation not in", values, "nation");
            return (Criteria) this;
        }

        public Criteria andNationBetween(String value1, String value2){
            addCriterion("nation between", value1, value2, "nation");
            return (Criteria) this;
        }

        public Criteria andNationNotBetween(String value1, String value2){
            addCriterion("nation not between", value1, value2, "nation");
            return (Criteria) this;
        }

        public Criteria andNativePlaceIsNull(){
            addCriterion("native_place is null");
            return (Criteria) this;
        }

        public Criteria andNativePlaceIsNotNull(){
            addCriterion("native_place is not null");
            return (Criteria) this;
        }

        public Criteria andNativePlaceEqualTo(String value){
            addCriterion("native_place =", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceNotEqualTo(String value){
            addCriterion("native_place <>", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceGreaterThan(String value){
            addCriterion("native_place >", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceGreaterThanOrEqualTo(String value){
            addCriterion("native_place >=", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceLessThan(String value){
            addCriterion("native_place <", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceLessThanOrEqualTo(String value){
            addCriterion("native_place <=", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceLike(String value){
            addCriterion("native_place like", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceNotLike(String value){
            addCriterion("native_place not like", value, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceIn(List<String> values){
            addCriterion("native_place in", values, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceNotIn(List<String> values){
            addCriterion("native_place not in", values, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceBetween(String value1, String value2){
            addCriterion("native_place between", value1, value2, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativePlaceNotBetween(String value1, String value2){
            addCriterion("native_place not between", value1, value2, "nativePlace");
            return (Criteria) this;
        }

        public Criteria andNativeAddressIsNull(){
            addCriterion("native_address is null");
            return (Criteria) this;
        }

        public Criteria andNativeAddressIsNotNull(){
            addCriterion("native_address is not null");
            return (Criteria) this;
        }

        public Criteria andNativeAddressEqualTo(String value){
            addCriterion("native_address =", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressNotEqualTo(String value){
            addCriterion("native_address <>", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressGreaterThan(String value){
            addCriterion("native_address >", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressGreaterThanOrEqualTo(String value){
            addCriterion("native_address >=", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressLessThan(String value){
            addCriterion("native_address <", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressLessThanOrEqualTo(String value){
            addCriterion("native_address <=", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressLike(String value){
            addCriterion("native_address like", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressNotLike(String value){
            addCriterion("native_address not like", value, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressIn(List<String> values){
            addCriterion("native_address in", values, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressNotIn(List<String> values){
            addCriterion("native_address not in", values, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressBetween(String value1, String value2){
            addCriterion("native_address between", value1, value2, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andNativeAddressNotBetween(String value1, String value2){
            addCriterion("native_address not between", value1, value2, "nativeAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressIsNull(){
            addCriterion("residential_address is null");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressIsNotNull(){
            addCriterion("residential_address is not null");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressEqualTo(String value){
            addCriterion("residential_address =", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressNotEqualTo(String value){
            addCriterion("residential_address <>", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressGreaterThan(String value){
            addCriterion("residential_address >", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressGreaterThanOrEqualTo(String value){
            addCriterion("residential_address >=", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressLessThan(String value){
            addCriterion("residential_address <", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressLessThanOrEqualTo(String value){
            addCriterion("residential_address <=", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressLike(String value){
            addCriterion("residential_address like", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressNotLike(String value){
            addCriterion("residential_address not like", value, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressIn(List<String> values){
            addCriterion("residential_address in", values, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressNotIn(List<String> values){
            addCriterion("residential_address not in", values, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressBetween(String value1, String value2){
            addCriterion("residential_address between", value1, value2, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andResidentialAddressNotBetween(String value1, String value2){
            addCriterion("residential_address not between", value1, value2, "residentialAddress");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgIsNull(){
            addCriterion("license_pub_org is null");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgIsNotNull(){
            addCriterion("license_pub_org is not null");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgEqualTo(String value){
            addCriterion("license_pub_org =", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotEqualTo(String value){
            addCriterion("license_pub_org <>", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgGreaterThan(String value){
            addCriterion("license_pub_org >", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgGreaterThanOrEqualTo(String value){
            addCriterion("license_pub_org >=", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgLessThan(String value){
            addCriterion("license_pub_org <", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgLessThanOrEqualTo(String value){
            addCriterion("license_pub_org <=", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgLike(String value){
            addCriterion("license_pub_org like", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotLike(String value){
            addCriterion("license_pub_org not like", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgIn(List<String> values){
            addCriterion("license_pub_org in", values, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotIn(List<String> values){
            addCriterion("license_pub_org not in", values, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgBetween(String value1, String value2){
            addCriterion("license_pub_org between", value1, value2, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotBetween(String value1, String value2){
            addCriterion("license_pub_org not between", value1, value2, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeIsNull(){
            addCriterion("license_start_time is null");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeIsNotNull(){
            addCriterion("license_start_time is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeEqualTo(Date value){
            addCriterion("license_start_time =", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeNotEqualTo(Date value){
            addCriterion("license_start_time <>", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeGreaterThan(Date value){
            addCriterion("license_start_time >", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeGreaterThanOrEqualTo(Date value){
            addCriterion("license_start_time >=", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeLessThan(Date value){
            addCriterion("license_start_time <", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeLessThanOrEqualTo(Date value){
            addCriterion("license_start_time <=", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeIn(List<Date> values){
            addCriterion("license_start_time in", values, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeNotIn(List<Date> values){
            addCriterion("license_start_time not in", values, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeBetween(Date value1, Date value2){
            addCriterion("license_start_time between", value1, value2, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeNotBetween(Date value1, Date value2){
            addCriterion("license_start_time not between", value1, value2, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeIsNull(){
            addCriterion("license_end_time is null");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeIsNotNull(){
            addCriterion("license_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeEqualTo(Date value){
            addCriterion("license_end_time =", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeNotEqualTo(Date value){
            addCriterion("license_end_time <>", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeGreaterThan(Date value){
            addCriterion("license_end_time >", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeGreaterThanOrEqualTo(Date value){
            addCriterion("license_end_time >=", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeLessThan(Date value){
            addCriterion("license_end_time <", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeLessThanOrEqualTo(Date value){
            addCriterion("license_end_time <=", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeIn(List<Date> values){
            addCriterion("license_end_time in", values, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeNotIn(List<Date> values){
            addCriterion("license_end_time not in", values, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeBetween(Date value1, Date value2){
            addCriterion("license_end_time between", value1, value2, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeNotBetween(Date value1, Date value2){
            addCriterion("license_end_time not between", value1, value2, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull(){
            addCriterion("ext1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull(){
            addCriterion("ext1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value){
            addCriterion("ext1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value){
            addCriterion("ext1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value){
            addCriterion("ext1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value){
            addCriterion("ext1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value){
            addCriterion("ext1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value){
            addCriterion("ext1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value){
            addCriterion("ext1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value){
            addCriterion("ext1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values){
            addCriterion("ext1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values){
            addCriterion("ext1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2){
            addCriterion("ext1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2){
            addCriterion("ext1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull(){
            addCriterion("ext2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull(){
            addCriterion("ext2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value){
            addCriterion("ext2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value){
            addCriterion("ext2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value){
            addCriterion("ext2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value){
            addCriterion("ext2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value){
            addCriterion("ext2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value){
            addCriterion("ext2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value){
            addCriterion("ext2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value){
            addCriterion("ext2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values){
            addCriterion("ext2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values){
            addCriterion("ext2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2){
            addCriterion("ext2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2){
            addCriterion("ext2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull(){
            addCriterion("ext3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull(){
            addCriterion("ext3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(JObject<OrgPersonExt3> value){
            addCriterion("ext3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(JObject<OrgPersonExt3> value){
            addCriterion("ext3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(JObject<OrgPersonExt3> value){
            addCriterion("ext3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(JObject<OrgPersonExt3> value){
            addCriterion("ext3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(JObject<OrgPersonExt3> value){
            addCriterion("ext3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(JObject<OrgPersonExt3> value){
            addCriterion("ext3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<JObject<OrgPersonExt3>> values){
            addCriterion("ext3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<JObject<OrgPersonExt3>> values){
            addCriterion("ext3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(JObject<OrgPersonExt3> value1, JObject<OrgPersonExt3> value2){
            addCriterion("ext3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(JObject<OrgPersonExt3> value1, JObject<OrgPersonExt3> value2){
            addCriterion("ext3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIsNull(){
            addCriterion("gmt_create is null");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIsNotNull(){
            addCriterion("gmt_create is not null");
            return (Criteria) this;
        }

        public Criteria andGmtCreateEqualTo(Date value){
            addCriterion("gmt_create =", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotEqualTo(Date value){
            addCriterion("gmt_create <>", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateGreaterThan(Date value){
            addCriterion("gmt_create >", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateGreaterThanOrEqualTo(Date value){
            addCriterion("gmt_create >=", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateLessThan(Date value){
            addCriterion("gmt_create <", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateLessThanOrEqualTo(Date value){
            addCriterion("gmt_create <=", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIn(List<Date> values){
            addCriterion("gmt_create in", values, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotIn(List<Date> values){
            addCriterion("gmt_create not in", values, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateBetween(Date value1, Date value2){
            addCriterion("gmt_create between", value1, value2, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotBetween(Date value1, Date value2){
            addCriterion("gmt_create not between", value1, value2, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIsNull(){
            addCriterion("gmt_modified is null");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIsNotNull(){
            addCriterion("gmt_modified is not null");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedEqualTo(Date value){
            addCriterion("gmt_modified =", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotEqualTo(Date value){
            addCriterion("gmt_modified <>", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedGreaterThan(Date value){
            addCriterion("gmt_modified >", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedGreaterThanOrEqualTo(Date value){
            addCriterion("gmt_modified >=", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedLessThan(Date value){
            addCriterion("gmt_modified <", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedLessThanOrEqualTo(Date value){
            addCriterion("gmt_modified <=", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIn(List<Date> values){
            addCriterion("gmt_modified in", values, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotIn(List<Date> values){
            addCriterion("gmt_modified not in", values, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedBetween(Date value1, Date value2){
            addCriterion("gmt_modified between", value1, value2, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotBetween(Date value1, Date value2){
            addCriterion("gmt_modified not between", value1, value2, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andSysIdIsNull(){
            addCriterion("sys_id is null");
            return (Criteria) this;
        }

        public Criteria andSysIdIsNotNull(){
            addCriterion("sys_id is not null");
            return (Criteria) this;
        }

        public Criteria andSysIdEqualTo(String value){
            addCriterion("sys_id =", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotEqualTo(String value){
            addCriterion("sys_id <>", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdGreaterThan(String value){
            addCriterion("sys_id >", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdGreaterThanOrEqualTo(String value){
            addCriterion("sys_id >=", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdLessThan(String value){
            addCriterion("sys_id <", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdLessThanOrEqualTo(String value){
            addCriterion("sys_id <=", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdLike(String value){
            addCriterion("sys_id like", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotLike(String value){
            addCriterion("sys_id not like", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdIn(List<String> values){
            addCriterion("sys_id in", values, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotIn(List<String> values){
            addCriterion("sys_id not in", values, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdBetween(String value1, String value2){
            addCriterion("sys_id between", value1, value2, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotBetween(String value1, String value2){
            addCriterion("sys_id not between", value1, value2, "sysId");
            return (Criteria) this;
        }

    }

    /**
     * 人员表 Criteria(MyBatis-Generator)
     */
    public static class Criteria extends GeneratedCriteria{

        protected Criteria(){
            super();
        }

    }

    /**
     * 人员表 Criterion(MyBatis-Generator)
     */
    public static class Criterion{

        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition(){
            return condition;
        }

        public Object getValue(){
            return value;
        }

        public Object getSecondValue(){
            return secondValue;
        }

        public boolean isNoValue(){
            return noValue;
        }

        public boolean isSingleValue(){
            return singleValue;
        }

        public boolean isBetweenValue(){
            return betweenValue;
        }

        public boolean isListValue(){
            return listValue;
        }

        public String getTypeHandler(){
            return typeHandler;
        }

        protected Criterion(String condition){
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler){
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if(value instanceof List<?>){
                this.listValue = true;
            } else{
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value){
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler){
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue){
            this(condition, value, secondValue, null);
        }

    }

}