package com.kingtom.kirin.app.org.model;

import com.kingtom.kirin.core.common.json.JObject;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

public class OrgUnitExample{

    /**
     * orderByClause
     */
    protected String orderByClause;

    /**
     * distinct
     */
    protected boolean distinct;

    /**
     * oredCriteria
     */
    protected List<Criteria> oredCriteria;

    /**
     * 组织表 OrgUnitExample(MyBatis-Generator)
     */
    public OrgUnitExample(){
        oredCriteria = new ArrayList<>();
    }

    /**
     * 组织表 setOrderByClause(MyBatis-Generator)
     */
    public void setOrderByClause(String orderByClause){
        this.orderByClause = orderByClause;
    }

    /**
     * 组织表 getOrderByClause(MyBatis-Generator)
     */
    public String getOrderByClause(){
        return orderByClause;
    }

    /**
     * 组织表 setDistinct(MyBatis-Generator)
     */
    public void setDistinct(boolean distinct){
        this.distinct = distinct;
    }

    /**
     * 组织表 isDistinct(MyBatis-Generator)
     */
    public boolean isDistinct(){
        return distinct;
    }

    /**
     * 组织表 getOredCriteria(MyBatis-Generator)
     */
    public List<Criteria> getOredCriteria(){
        return oredCriteria;
    }

    /**
     * 组织表 or(MyBatis-Generator)
     */
    public void or(Criteria criteria){
        oredCriteria.add(criteria);
    }

    /**
     * 组织表 or(MyBatis-Generator)
     */
    public Criteria or(){
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * 组织表 createCriteria(MyBatis-Generator)
     */
    public Criteria createCriteria(){
        Criteria criteria = createCriteriaInternal();
        if(oredCriteria.size() == 0){
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * 组织表 createCriteriaInternal(MyBatis-Generator)
     */
    protected Criteria createCriteriaInternal(){
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * 组织表 clear(MyBatis-Generator)
     */
    public void clear(){
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * 组织表 GeneratedCriteria(MyBatis-Generator)
     */
    protected abstract static class GeneratedCriteria{

        protected List<Criterion> criteria;

        protected GeneratedCriteria(){
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid(){
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria(){
            return criteria;
        }

        public List<Criterion> getCriteria(){
            return criteria;
        }

        protected void addCriterion(String condition){
            if(condition == null){
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property){
            if(value == null){
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property){
            if(value1 == null || value2 == null){
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull(){
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull(){
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value){
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value){
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value){
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value){
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value){
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value){
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value){
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value){
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values){
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values){
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2){
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2){
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull(){
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull(){
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value){
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value){
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value){
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value){
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value){
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value){
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value){
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value){
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values){
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values){
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2){
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2){
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andOtherNameIsNull(){
            addCriterion("other_name is null");
            return (Criteria) this;
        }

        public Criteria andOtherNameIsNotNull(){
            addCriterion("other_name is not null");
            return (Criteria) this;
        }

        public Criteria andOtherNameEqualTo(String value){
            addCriterion("other_name =", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotEqualTo(String value){
            addCriterion("other_name <>", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameGreaterThan(String value){
            addCriterion("other_name >", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameGreaterThanOrEqualTo(String value){
            addCriterion("other_name >=", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLessThan(String value){
            addCriterion("other_name <", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLessThanOrEqualTo(String value){
            addCriterion("other_name <=", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLike(String value){
            addCriterion("other_name like", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotLike(String value){
            addCriterion("other_name not like", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameIn(List<String> values){
            addCriterion("other_name in", values, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotIn(List<String> values){
            addCriterion("other_name not in", values, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameBetween(String value1, String value2){
            addCriterion("other_name between", value1, value2, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotBetween(String value1, String value2){
            addCriterion("other_name not between", value1, value2, "otherName");
            return (Criteria) this;
        }

        public Criteria andEnNameIsNull(){
            addCriterion("en_name is null");
            return (Criteria) this;
        }

        public Criteria andEnNameIsNotNull(){
            addCriterion("en_name is not null");
            return (Criteria) this;
        }

        public Criteria andEnNameEqualTo(String value){
            addCriterion("en_name =", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotEqualTo(String value){
            addCriterion("en_name <>", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameGreaterThan(String value){
            addCriterion("en_name >", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameGreaterThanOrEqualTo(String value){
            addCriterion("en_name >=", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameLessThan(String value){
            addCriterion("en_name <", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameLessThanOrEqualTo(String value){
            addCriterion("en_name <=", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameLike(String value){
            addCriterion("en_name like", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotLike(String value){
            addCriterion("en_name not like", value, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameIn(List<String> values){
            addCriterion("en_name in", values, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotIn(List<String> values){
            addCriterion("en_name not in", values, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameBetween(String value1, String value2){
            addCriterion("en_name between", value1, value2, "enName");
            return (Criteria) this;
        }

        public Criteria andEnNameNotBetween(String value1, String value2){
            addCriterion("en_name not between", value1, value2, "enName");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull(){
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull(){
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value){
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value){
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value){
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value){
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value){
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value){
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value){
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value){
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values){
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values){
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2){
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2){
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andUsciIsNull(){
            addCriterion("usci is null");
            return (Criteria) this;
        }

        public Criteria andUsciIsNotNull(){
            addCriterion("usci is not null");
            return (Criteria) this;
        }

        public Criteria andUsciEqualTo(String value){
            addCriterion("usci =", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciNotEqualTo(String value){
            addCriterion("usci <>", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciGreaterThan(String value){
            addCriterion("usci >", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciGreaterThanOrEqualTo(String value){
            addCriterion("usci >=", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciLessThan(String value){
            addCriterion("usci <", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciLessThanOrEqualTo(String value){
            addCriterion("usci <=", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciLike(String value){
            addCriterion("usci like", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciNotLike(String value){
            addCriterion("usci not like", value, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciIn(List<String> values){
            addCriterion("usci in", values, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciNotIn(List<String> values){
            addCriterion("usci not in", values, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciBetween(String value1, String value2){
            addCriterion("usci between", value1, value2, "usci");
            return (Criteria) this;
        }

        public Criteria andUsciNotBetween(String value1, String value2){
            addCriterion("usci not between", value1, value2, "usci");
            return (Criteria) this;
        }

        public Criteria andTaxIdIsNull(){
            addCriterion("tax_id is null");
            return (Criteria) this;
        }

        public Criteria andTaxIdIsNotNull(){
            addCriterion("tax_id is not null");
            return (Criteria) this;
        }

        public Criteria andTaxIdEqualTo(String value){
            addCriterion("tax_id =", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdNotEqualTo(String value){
            addCriterion("tax_id <>", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdGreaterThan(String value){
            addCriterion("tax_id >", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdGreaterThanOrEqualTo(String value){
            addCriterion("tax_id >=", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdLessThan(String value){
            addCriterion("tax_id <", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdLessThanOrEqualTo(String value){
            addCriterion("tax_id <=", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdLike(String value){
            addCriterion("tax_id like", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdNotLike(String value){
            addCriterion("tax_id not like", value, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdIn(List<String> values){
            addCriterion("tax_id in", values, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdNotIn(List<String> values){
            addCriterion("tax_id not in", values, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdBetween(String value1, String value2){
            addCriterion("tax_id between", value1, value2, "taxId");
            return (Criteria) this;
        }

        public Criteria andTaxIdNotBetween(String value1, String value2){
            addCriterion("tax_id not between", value1, value2, "taxId");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIsNull(){
            addCriterion("org_code is null");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIsNotNull(){
            addCriterion("org_code is not null");
            return (Criteria) this;
        }

        public Criteria andOrgCodeEqualTo(String value){
            addCriterion("org_code =", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotEqualTo(String value){
            addCriterion("org_code <>", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeGreaterThan(String value){
            addCriterion("org_code >", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeGreaterThanOrEqualTo(String value){
            addCriterion("org_code >=", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLessThan(String value){
            addCriterion("org_code <", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLessThanOrEqualTo(String value){
            addCriterion("org_code <=", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeLike(String value){
            addCriterion("org_code like", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotLike(String value){
            addCriterion("org_code not like", value, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeIn(List<String> values){
            addCriterion("org_code in", values, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotIn(List<String> values){
            addCriterion("org_code not in", values, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeBetween(String value1, String value2){
            addCriterion("org_code between", value1, value2, "orgCode");
            return (Criteria) this;
        }

        public Criteria andOrgCodeNotBetween(String value1, String value2){
            addCriterion("org_code not between", value1, value2, "orgCode");
            return (Criteria) this;
        }

        public Criteria andPhonesIsNull(){
            addCriterion("phones is null");
            return (Criteria) this;
        }

        public Criteria andPhonesIsNotNull(){
            addCriterion("phones is not null");
            return (Criteria) this;
        }

        public Criteria andPhonesEqualTo(JObject<List<String>> value){
            addCriterion("phones =", value, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesNotEqualTo(JObject<List<String>> value){
            addCriterion("phones <>", value, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesGreaterThan(JObject<List<String>> value){
            addCriterion("phones >", value, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesGreaterThanOrEqualTo(JObject<List<String>> value){
            addCriterion("phones >=", value, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesLessThan(JObject<List<String>> value){
            addCriterion("phones <", value, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesLessThanOrEqualTo(JObject<List<String>> value){
            addCriterion("phones <=", value, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesIn(List<JObject<List<String>>> values){
            addCriterion("phones in", values, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesNotIn(List<JObject<List<String>>> values){
            addCriterion("phones not in", values, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("phones between", value1, value2, "phones");
            return (Criteria) this;
        }

        public Criteria andPhonesNotBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("phones not between", value1, value2, "phones");
            return (Criteria) this;
        }

        public Criteria andEmailsIsNull(){
            addCriterion("emails is null");
            return (Criteria) this;
        }

        public Criteria andEmailsIsNotNull(){
            addCriterion("emails is not null");
            return (Criteria) this;
        }

        public Criteria andEmailsEqualTo(JObject<List<String>> value){
            addCriterion("emails =", value, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsNotEqualTo(JObject<List<String>> value){
            addCriterion("emails <>", value, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsGreaterThan(JObject<List<String>> value){
            addCriterion("emails >", value, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsGreaterThanOrEqualTo(JObject<List<String>> value){
            addCriterion("emails >=", value, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsLessThan(JObject<List<String>> value){
            addCriterion("emails <", value, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsLessThanOrEqualTo(JObject<List<String>> value){
            addCriterion("emails <=", value, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsIn(List<JObject<List<String>>> values){
            addCriterion("emails in", values, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsNotIn(List<JObject<List<String>>> values){
            addCriterion("emails not in", values, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("emails between", value1, value2, "emails");
            return (Criteria) this;
        }

        public Criteria andEmailsNotBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("emails not between", value1, value2, "emails");
            return (Criteria) this;
        }

        public Criteria andNationalIsNull(){
            addCriterion("national is null");
            return (Criteria) this;
        }

        public Criteria andNationalIsNotNull(){
            addCriterion("national is not null");
            return (Criteria) this;
        }

        public Criteria andNationalEqualTo(String value){
            addCriterion("national =", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotEqualTo(String value){
            addCriterion("national <>", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalGreaterThan(String value){
            addCriterion("national >", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalGreaterThanOrEqualTo(String value){
            addCriterion("national >=", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalLessThan(String value){
            addCriterion("national <", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalLessThanOrEqualTo(String value){
            addCriterion("national <=", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalLike(String value){
            addCriterion("national like", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotLike(String value){
            addCriterion("national not like", value, "national");
            return (Criteria) this;
        }

        public Criteria andNationalIn(List<String> values){
            addCriterion("national in", values, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotIn(List<String> values){
            addCriterion("national not in", values, "national");
            return (Criteria) this;
        }

        public Criteria andNationalBetween(String value1, String value2){
            addCriterion("national between", value1, value2, "national");
            return (Criteria) this;
        }

        public Criteria andNationalNotBetween(String value1, String value2){
            addCriterion("national not between", value1, value2, "national");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull(){
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull(){
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value){
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value){
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value){
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value){
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value){
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value){
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value){
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value){
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values){
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values){
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2){
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2){
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNull(){
            addCriterion("longitude is null");
            return (Criteria) this;
        }

        public Criteria andLongitudeIsNotNull(){
            addCriterion("longitude is not null");
            return (Criteria) this;
        }

        public Criteria andLongitudeEqualTo(BigDecimal value){
            addCriterion("longitude =", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotEqualTo(BigDecimal value){
            addCriterion("longitude <>", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThan(BigDecimal value){
            addCriterion("longitude >", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeGreaterThanOrEqualTo(BigDecimal value){
            addCriterion("longitude >=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThan(BigDecimal value){
            addCriterion("longitude <", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeLessThanOrEqualTo(BigDecimal value){
            addCriterion("longitude <=", value, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeIn(List<BigDecimal> values){
            addCriterion("longitude in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotIn(List<BigDecimal> values){
            addCriterion("longitude not in", values, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeBetween(BigDecimal value1, BigDecimal value2){
            addCriterion("longitude between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLongitudeNotBetween(BigDecimal value1, BigDecimal value2){
            addCriterion("longitude not between", value1, value2, "longitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNull(){
            addCriterion("latitude is null");
            return (Criteria) this;
        }

        public Criteria andLatitudeIsNotNull(){
            addCriterion("latitude is not null");
            return (Criteria) this;
        }

        public Criteria andLatitudeEqualTo(BigDecimal value){
            addCriterion("latitude =", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotEqualTo(BigDecimal value){
            addCriterion("latitude <>", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThan(BigDecimal value){
            addCriterion("latitude >", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeGreaterThanOrEqualTo(BigDecimal value){
            addCriterion("latitude >=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThan(BigDecimal value){
            addCriterion("latitude <", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeLessThanOrEqualTo(BigDecimal value){
            addCriterion("latitude <=", value, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeIn(List<BigDecimal> values){
            addCriterion("latitude in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotIn(List<BigDecimal> values){
            addCriterion("latitude not in", values, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeBetween(BigDecimal value1, BigDecimal value2){
            addCriterion("latitude between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andLatitudeNotBetween(BigDecimal value1, BigDecimal value2){
            addCriterion("latitude not between", value1, value2, "latitude");
            return (Criteria) this;
        }

        public Criteria andWebsiteIsNull(){
            addCriterion("website is null");
            return (Criteria) this;
        }

        public Criteria andWebsiteIsNotNull(){
            addCriterion("website is not null");
            return (Criteria) this;
        }

        public Criteria andWebsiteEqualTo(String value){
            addCriterion("website =", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteNotEqualTo(String value){
            addCriterion("website <>", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteGreaterThan(String value){
            addCriterion("website >", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteGreaterThanOrEqualTo(String value){
            addCriterion("website >=", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteLessThan(String value){
            addCriterion("website <", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteLessThanOrEqualTo(String value){
            addCriterion("website <=", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteLike(String value){
            addCriterion("website like", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteNotLike(String value){
            addCriterion("website not like", value, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteIn(List<String> values){
            addCriterion("website in", values, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteNotIn(List<String> values){
            addCriterion("website not in", values, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteBetween(String value1, String value2){
            addCriterion("website between", value1, value2, "website");
            return (Criteria) this;
        }

        public Criteria andWebsiteNotBetween(String value1, String value2){
            addCriterion("website not between", value1, value2, "website");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull(){
            addCriterion("description is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull(){
            addCriterion("description is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value){
            addCriterion("description =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value){
            addCriterion("description <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value){
            addCriterion("description >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value){
            addCriterion("description >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value){
            addCriterion("description <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value){
            addCriterion("description <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value){
            addCriterion("description like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value){
            addCriterion("description not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values){
            addCriterion("description in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values){
            addCriterion("description not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2){
            addCriterion("description between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2){
            addCriterion("description not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andStateIsNull(){
            addCriterion("state is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull(){
            addCriterion("state is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Integer value){
            addCriterion("state =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Integer value){
            addCriterion("state <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Integer value){
            addCriterion("state >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Integer value){
            addCriterion("state >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Integer value){
            addCriterion("state <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Integer value){
            addCriterion("state <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Integer> values){
            addCriterion("state in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Integer> values){
            addCriterion("state not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Integer value1, Integer value2){
            addCriterion("state between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Integer value1, Integer value2){
            addCriterion("state not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andLegalPersonIsNull(){
            addCriterion("legal_person is null");
            return (Criteria) this;
        }

        public Criteria andLegalPersonIsNotNull(){
            addCriterion("legal_person is not null");
            return (Criteria) this;
        }

        public Criteria andLegalPersonEqualTo(String value){
            addCriterion("legal_person =", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotEqualTo(String value){
            addCriterion("legal_person <>", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonGreaterThan(String value){
            addCriterion("legal_person >", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonGreaterThanOrEqualTo(String value){
            addCriterion("legal_person >=", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonLessThan(String value){
            addCriterion("legal_person <", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonLessThanOrEqualTo(String value){
            addCriterion("legal_person <=", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonLike(String value){
            addCriterion("legal_person like", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotLike(String value){
            addCriterion("legal_person not like", value, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonIn(List<String> values){
            addCriterion("legal_person in", values, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotIn(List<String> values){
            addCriterion("legal_person not in", values, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonBetween(String value1, String value2){
            addCriterion("legal_person between", value1, value2, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andLegalPersonNotBetween(String value1, String value2){
            addCriterion("legal_person not between", value1, value2, "legalPerson");
            return (Criteria) this;
        }

        public Criteria andIndustryIsNull(){
            addCriterion("industry is null");
            return (Criteria) this;
        }

        public Criteria andIndustryIsNotNull(){
            addCriterion("industry is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryEqualTo(String value){
            addCriterion("industry =", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotEqualTo(String value){
            addCriterion("industry <>", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryGreaterThan(String value){
            addCriterion("industry >", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryGreaterThanOrEqualTo(String value){
            addCriterion("industry >=", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLessThan(String value){
            addCriterion("industry <", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLessThanOrEqualTo(String value){
            addCriterion("industry <=", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLike(String value){
            addCriterion("industry like", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotLike(String value){
            addCriterion("industry not like", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryIn(List<String> values){
            addCriterion("industry in", values, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotIn(List<String> values){
            addCriterion("industry not in", values, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryBetween(String value1, String value2){
            addCriterion("industry between", value1, value2, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotBetween(String value1, String value2){
            addCriterion("industry not between", value1, value2, "industry");
            return (Criteria) this;
        }

        public Criteria andScaleIsNull(){
            addCriterion("scale is null");
            return (Criteria) this;
        }

        public Criteria andScaleIsNotNull(){
            addCriterion("scale is not null");
            return (Criteria) this;
        }

        public Criteria andScaleEqualTo(String value){
            addCriterion("scale =", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleNotEqualTo(String value){
            addCriterion("scale <>", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleGreaterThan(String value){
            addCriterion("scale >", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleGreaterThanOrEqualTo(String value){
            addCriterion("scale >=", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleLessThan(String value){
            addCriterion("scale <", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleLessThanOrEqualTo(String value){
            addCriterion("scale <=", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleLike(String value){
            addCriterion("scale like", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleNotLike(String value){
            addCriterion("scale not like", value, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleIn(List<String> values){
            addCriterion("scale in", values, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleNotIn(List<String> values){
            addCriterion("scale not in", values, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleBetween(String value1, String value2){
            addCriterion("scale between", value1, value2, "scale");
            return (Criteria) this;
        }

        public Criteria andScaleNotBetween(String value1, String value2){
            addCriterion("scale not between", value1, value2, "scale");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeIsNull(){
            addCriterion("license_type is null");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeIsNotNull(){
            addCriterion("license_type is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeEqualTo(String value){
            addCriterion("license_type =", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotEqualTo(String value){
            addCriterion("license_type <>", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeGreaterThan(String value){
            addCriterion("license_type >", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeGreaterThanOrEqualTo(String value){
            addCriterion("license_type >=", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeLessThan(String value){
            addCriterion("license_type <", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeLessThanOrEqualTo(String value){
            addCriterion("license_type <=", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeLike(String value){
            addCriterion("license_type like", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotLike(String value){
            addCriterion("license_type not like", value, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeIn(List<String> values){
            addCriterion("license_type in", values, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotIn(List<String> values){
            addCriterion("license_type not in", values, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeBetween(String value1, String value2){
            addCriterion("license_type between", value1, value2, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseTypeNotBetween(String value1, String value2){
            addCriterion("license_type not between", value1, value2, "licenseType");
            return (Criteria) this;
        }

        public Criteria andLicenseNoIsNull(){
            addCriterion("license_no is null");
            return (Criteria) this;
        }

        public Criteria andLicenseNoIsNotNull(){
            addCriterion("license_no is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseNoEqualTo(String value){
            addCriterion("license_no =", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoNotEqualTo(String value){
            addCriterion("license_no <>", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoGreaterThan(String value){
            addCriterion("license_no >", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoGreaterThanOrEqualTo(String value){
            addCriterion("license_no >=", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoLessThan(String value){
            addCriterion("license_no <", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoLessThanOrEqualTo(String value){
            addCriterion("license_no <=", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoLike(String value){
            addCriterion("license_no like", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoNotLike(String value){
            addCriterion("license_no not like", value, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoIn(List<String> values){
            addCriterion("license_no in", values, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoNotIn(List<String> values){
            addCriterion("license_no not in", values, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoBetween(String value1, String value2){
            addCriterion("license_no between", value1, value2, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicenseNoNotBetween(String value1, String value2){
            addCriterion("license_no not between", value1, value2, "licenseNo");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgIsNull(){
            addCriterion("license_pub_org is null");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgIsNotNull(){
            addCriterion("license_pub_org is not null");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgEqualTo(String value){
            addCriterion("license_pub_org =", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotEqualTo(String value){
            addCriterion("license_pub_org <>", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgGreaterThan(String value){
            addCriterion("license_pub_org >", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgGreaterThanOrEqualTo(String value){
            addCriterion("license_pub_org >=", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgLessThan(String value){
            addCriterion("license_pub_org <", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgLessThanOrEqualTo(String value){
            addCriterion("license_pub_org <=", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgLike(String value){
            addCriterion("license_pub_org like", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotLike(String value){
            addCriterion("license_pub_org not like", value, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgIn(List<String> values){
            addCriterion("license_pub_org in", values, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotIn(List<String> values){
            addCriterion("license_pub_org not in", values, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgBetween(String value1, String value2){
            addCriterion("license_pub_org between", value1, value2, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicensePubOrgNotBetween(String value1, String value2){
            addCriterion("license_pub_org not between", value1, value2, "licensePubOrg");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaIsNull(){
            addCriterion("license_reg_area is null");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaIsNotNull(){
            addCriterion("license_reg_area is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaEqualTo(String value){
            addCriterion("license_reg_area =", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaNotEqualTo(String value){
            addCriterion("license_reg_area <>", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaGreaterThan(String value){
            addCriterion("license_reg_area >", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaGreaterThanOrEqualTo(String value){
            addCriterion("license_reg_area >=", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaLessThan(String value){
            addCriterion("license_reg_area <", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaLessThanOrEqualTo(String value){
            addCriterion("license_reg_area <=", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaLike(String value){
            addCriterion("license_reg_area like", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaNotLike(String value){
            addCriterion("license_reg_area not like", value, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaIn(List<String> values){
            addCriterion("license_reg_area in", values, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaNotIn(List<String> values){
            addCriterion("license_reg_area not in", values, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaBetween(String value1, String value2){
            addCriterion("license_reg_area between", value1, value2, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegAreaNotBetween(String value1, String value2){
            addCriterion("license_reg_area not between", value1, value2, "licenseRegArea");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeIsNull(){
            addCriterion("license_reg_time is null");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeIsNotNull(){
            addCriterion("license_reg_time is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeEqualTo(Date value){
            addCriterion("license_reg_time =", value, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeNotEqualTo(Date value){
            addCriterion("license_reg_time <>", value, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeGreaterThan(Date value){
            addCriterion("license_reg_time >", value, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeGreaterThanOrEqualTo(Date value){
            addCriterion("license_reg_time >=", value, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeLessThan(Date value){
            addCriterion("license_reg_time <", value, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeLessThanOrEqualTo(Date value){
            addCriterion("license_reg_time <=", value, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeIn(List<Date> values){
            addCriterion("license_reg_time in", values, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeNotIn(List<Date> values){
            addCriterion("license_reg_time not in", values, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeBetween(Date value1, Date value2){
            addCriterion("license_reg_time between", value1, value2, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegTimeNotBetween(Date value1, Date value2){
            addCriterion("license_reg_time not between", value1, value2, "licenseRegTime");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalIsNull(){
            addCriterion("license_reg_capital is null");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalIsNotNull(){
            addCriterion("license_reg_capital is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalEqualTo(String value){
            addCriterion("license_reg_capital =", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalNotEqualTo(String value){
            addCriterion("license_reg_capital <>", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalGreaterThan(String value){
            addCriterion("license_reg_capital >", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalGreaterThanOrEqualTo(String value){
            addCriterion("license_reg_capital >=", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalLessThan(String value){
            addCriterion("license_reg_capital <", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalLessThanOrEqualTo(String value){
            addCriterion("license_reg_capital <=", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalLike(String value){
            addCriterion("license_reg_capital like", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalNotLike(String value){
            addCriterion("license_reg_capital not like", value, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalIn(List<String> values){
            addCriterion("license_reg_capital in", values, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalNotIn(List<String> values){
            addCriterion("license_reg_capital not in", values, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalBetween(String value1, String value2){
            addCriterion("license_reg_capital between", value1, value2, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseRegCapitalNotBetween(String value1, String value2){
            addCriterion("license_reg_capital not between", value1, value2, "licenseRegCapital");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeIsNull(){
            addCriterion("license_bus_scope is null");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeIsNotNull(){
            addCriterion("license_bus_scope is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeEqualTo(String value){
            addCriterion("license_bus_scope =", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeNotEqualTo(String value){
            addCriterion("license_bus_scope <>", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeGreaterThan(String value){
            addCriterion("license_bus_scope >", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeGreaterThanOrEqualTo(String value){
            addCriterion("license_bus_scope >=", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeLessThan(String value){
            addCriterion("license_bus_scope <", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeLessThanOrEqualTo(String value){
            addCriterion("license_bus_scope <=", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeLike(String value){
            addCriterion("license_bus_scope like", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeNotLike(String value){
            addCriterion("license_bus_scope not like", value, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeIn(List<String> values){
            addCriterion("license_bus_scope in", values, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeNotIn(List<String> values){
            addCriterion("license_bus_scope not in", values, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeBetween(String value1, String value2){
            addCriterion("license_bus_scope between", value1, value2, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseBusScopeNotBetween(String value1, String value2){
            addCriterion("license_bus_scope not between", value1, value2, "licenseBusScope");
            return (Criteria) this;
        }

        public Criteria andLicenseStateIsNull(){
            addCriterion("license_state is null");
            return (Criteria) this;
        }

        public Criteria andLicenseStateIsNotNull(){
            addCriterion("license_state is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseStateEqualTo(String value){
            addCriterion("license_state =", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateNotEqualTo(String value){
            addCriterion("license_state <>", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateGreaterThan(String value){
            addCriterion("license_state >", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateGreaterThanOrEqualTo(String value){
            addCriterion("license_state >=", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateLessThan(String value){
            addCriterion("license_state <", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateLessThanOrEqualTo(String value){
            addCriterion("license_state <=", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateLike(String value){
            addCriterion("license_state like", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateNotLike(String value){
            addCriterion("license_state not like", value, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateIn(List<String> values){
            addCriterion("license_state in", values, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateNotIn(List<String> values){
            addCriterion("license_state not in", values, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateBetween(String value1, String value2){
            addCriterion("license_state between", value1, value2, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseStateNotBetween(String value1, String value2){
            addCriterion("license_state not between", value1, value2, "licenseState");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeIsNull(){
            addCriterion("license_create_time is null");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeIsNotNull(){
            addCriterion("license_create_time is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeEqualTo(Date value){
            addCriterion("license_create_time =", value, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeNotEqualTo(Date value){
            addCriterion("license_create_time <>", value, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeGreaterThan(Date value){
            addCriterion("license_create_time >", value, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeGreaterThanOrEqualTo(Date value){
            addCriterion("license_create_time >=", value, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeLessThan(Date value){
            addCriterion("license_create_time <", value, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeLessThanOrEqualTo(Date value){
            addCriterion("license_create_time <=", value, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeIn(List<Date> values){
            addCriterion("license_create_time in", values, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeNotIn(List<Date> values){
            addCriterion("license_create_time not in", values, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeBetween(Date value1, Date value2){
            addCriterion("license_create_time between", value1, value2, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseCreateTimeNotBetween(Date value1, Date value2){
            addCriterion("license_create_time not between", value1, value2, "licenseCreateTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeIsNull(){
            addCriterion("license_start_time is null");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeIsNotNull(){
            addCriterion("license_start_time is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeEqualTo(Date value){
            addCriterion("license_start_time =", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeNotEqualTo(Date value){
            addCriterion("license_start_time <>", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeGreaterThan(Date value){
            addCriterion("license_start_time >", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeGreaterThanOrEqualTo(Date value){
            addCriterion("license_start_time >=", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeLessThan(Date value){
            addCriterion("license_start_time <", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeLessThanOrEqualTo(Date value){
            addCriterion("license_start_time <=", value, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeIn(List<Date> values){
            addCriterion("license_start_time in", values, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeNotIn(List<Date> values){
            addCriterion("license_start_time not in", values, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeBetween(Date value1, Date value2){
            addCriterion("license_start_time between", value1, value2, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseStartTimeNotBetween(Date value1, Date value2){
            addCriterion("license_start_time not between", value1, value2, "licenseStartTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeIsNull(){
            addCriterion("license_end_time is null");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeIsNotNull(){
            addCriterion("license_end_time is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeEqualTo(Date value){
            addCriterion("license_end_time =", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeNotEqualTo(Date value){
            addCriterion("license_end_time <>", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeGreaterThan(Date value){
            addCriterion("license_end_time >", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeGreaterThanOrEqualTo(Date value){
            addCriterion("license_end_time >=", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeLessThan(Date value){
            addCriterion("license_end_time <", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeLessThanOrEqualTo(Date value){
            addCriterion("license_end_time <=", value, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeIn(List<Date> values){
            addCriterion("license_end_time in", values, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeNotIn(List<Date> values){
            addCriterion("license_end_time not in", values, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeBetween(Date value1, Date value2){
            addCriterion("license_end_time between", value1, value2, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseEndTimeNotBetween(Date value1, Date value2){
            addCriterion("license_end_time not between", value1, value2, "licenseEndTime");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceIsNull(){
            addCriterion("license_resource is null");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceIsNotNull(){
            addCriterion("license_resource is not null");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceEqualTo(String value){
            addCriterion("license_resource =", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceNotEqualTo(String value){
            addCriterion("license_resource <>", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceGreaterThan(String value){
            addCriterion("license_resource >", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceGreaterThanOrEqualTo(String value){
            addCriterion("license_resource >=", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceLessThan(String value){
            addCriterion("license_resource <", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceLessThanOrEqualTo(String value){
            addCriterion("license_resource <=", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceLike(String value){
            addCriterion("license_resource like", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceNotLike(String value){
            addCriterion("license_resource not like", value, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceIn(List<String> values){
            addCriterion("license_resource in", values, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceNotIn(List<String> values){
            addCriterion("license_resource not in", values, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceBetween(String value1, String value2){
            addCriterion("license_resource between", value1, value2, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLicenseResourceNotBetween(String value1, String value2){
            addCriterion("license_resource not between", value1, value2, "licenseResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceIsNull(){
            addCriterion("logo_resource is null");
            return (Criteria) this;
        }

        public Criteria andLogoResourceIsNotNull(){
            addCriterion("logo_resource is not null");
            return (Criteria) this;
        }

        public Criteria andLogoResourceEqualTo(JObject<List<String>> value){
            addCriterion("logo_resource =", value, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceNotEqualTo(JObject<List<String>> value){
            addCriterion("logo_resource <>", value, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceGreaterThan(JObject<List<String>> value){
            addCriterion("logo_resource >", value, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceGreaterThanOrEqualTo(JObject<List<String>> value){
            addCriterion("logo_resource >=", value, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceLessThan(JObject<List<String>> value){
            addCriterion("logo_resource <", value, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceLessThanOrEqualTo(JObject<List<String>> value){
            addCriterion("logo_resource <=", value, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceIn(List<JObject<List<String>>> values){
            addCriterion("logo_resource in", values, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceNotIn(List<JObject<List<String>>> values){
            addCriterion("logo_resource not in", values, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("logo_resource between", value1, value2, "logoResource");
            return (Criteria) this;
        }

        public Criteria andLogoResourceNotBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("logo_resource not between", value1, value2, "logoResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceIsNull(){
            addCriterion("image_resource is null");
            return (Criteria) this;
        }

        public Criteria andImageResourceIsNotNull(){
            addCriterion("image_resource is not null");
            return (Criteria) this;
        }

        public Criteria andImageResourceEqualTo(JObject<List<String>> value){
            addCriterion("image_resource =", value, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceNotEqualTo(JObject<List<String>> value){
            addCriterion("image_resource <>", value, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceGreaterThan(JObject<List<String>> value){
            addCriterion("image_resource >", value, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceGreaterThanOrEqualTo(JObject<List<String>> value){
            addCriterion("image_resource >=", value, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceLessThan(JObject<List<String>> value){
            addCriterion("image_resource <", value, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceLessThanOrEqualTo(JObject<List<String>> value){
            addCriterion("image_resource <=", value, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceIn(List<JObject<List<String>>> values){
            addCriterion("image_resource in", values, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceNotIn(List<JObject<List<String>>> values){
            addCriterion("image_resource not in", values, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("image_resource between", value1, value2, "imageResource");
            return (Criteria) this;
        }

        public Criteria andImageResourceNotBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("image_resource not between", value1, value2, "imageResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceIsNull(){
            addCriterion("login_resource is null");
            return (Criteria) this;
        }

        public Criteria andLoginResourceIsNotNull(){
            addCriterion("login_resource is not null");
            return (Criteria) this;
        }

        public Criteria andLoginResourceEqualTo(JObject<List<String>> value){
            addCriterion("login_resource =", value, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceNotEqualTo(JObject<List<String>> value){
            addCriterion("login_resource <>", value, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceGreaterThan(JObject<List<String>> value){
            addCriterion("login_resource >", value, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceGreaterThanOrEqualTo(JObject<List<String>> value){
            addCriterion("login_resource >=", value, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceLessThan(JObject<List<String>> value){
            addCriterion("login_resource <", value, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceLessThanOrEqualTo(JObject<List<String>> value){
            addCriterion("login_resource <=", value, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceIn(List<JObject<List<String>>> values){
            addCriterion("login_resource in", values, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceNotIn(List<JObject<List<String>>> values){
            addCriterion("login_resource not in", values, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("login_resource between", value1, value2, "loginResource");
            return (Criteria) this;
        }

        public Criteria andLoginResourceNotBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("login_resource not between", value1, value2, "loginResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceIsNull(){
            addCriterion("trademark_resource is null");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceIsNotNull(){
            addCriterion("trademark_resource is not null");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceEqualTo(JObject<List<String>> value){
            addCriterion("trademark_resource =", value, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceNotEqualTo(JObject<List<String>> value){
            addCriterion("trademark_resource <>", value, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceGreaterThan(JObject<List<String>> value){
            addCriterion("trademark_resource >", value, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceGreaterThanOrEqualTo(JObject<List<String>> value){
            addCriterion("trademark_resource >=", value, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceLessThan(JObject<List<String>> value){
            addCriterion("trademark_resource <", value, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceLessThanOrEqualTo(JObject<List<String>> value){
            addCriterion("trademark_resource <=", value, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceIn(List<JObject<List<String>>> values){
            addCriterion("trademark_resource in", values, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceNotIn(List<JObject<List<String>>> values){
            addCriterion("trademark_resource not in", values, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("trademark_resource between", value1, value2, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andTrademarkResourceNotBetween(JObject<List<String>> value1, JObject<List<String>> value2){
            addCriterion("trademark_resource not between", value1, value2, "trademarkResource");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull(){
            addCriterion("ext1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull(){
            addCriterion("ext1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value){
            addCriterion("ext1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value){
            addCriterion("ext1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value){
            addCriterion("ext1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value){
            addCriterion("ext1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value){
            addCriterion("ext1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value){
            addCriterion("ext1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value){
            addCriterion("ext1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value){
            addCriterion("ext1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values){
            addCriterion("ext1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values){
            addCriterion("ext1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2){
            addCriterion("ext1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2){
            addCriterion("ext1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull(){
            addCriterion("ext2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull(){
            addCriterion("ext2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value){
            addCriterion("ext2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value){
            addCriterion("ext2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value){
            addCriterion("ext2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value){
            addCriterion("ext2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value){
            addCriterion("ext2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value){
            addCriterion("ext2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value){
            addCriterion("ext2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value){
            addCriterion("ext2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values){
            addCriterion("ext2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values){
            addCriterion("ext2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2){
            addCriterion("ext2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2){
            addCriterion("ext2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull(){
            addCriterion("ext3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull(){
            addCriterion("ext3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(JObject<Map<String, Object>> value){
            addCriterion("ext3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(JObject<Map<String, Object>> value){
            addCriterion("ext3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(JObject<Map<String, Object>> value){
            addCriterion("ext3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(JObject<Map<String, Object>> value){
            addCriterion("ext3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(JObject<Map<String, Object>> value){
            addCriterion("ext3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(JObject<Map<String, Object>> value){
            addCriterion("ext3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<JObject<Map<String, Object>>> values){
            addCriterion("ext3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<JObject<Map<String, Object>>> values){
            addCriterion("ext3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(JObject<Map<String, Object>> value1, JObject<Map<String, Object>> value2){
            addCriterion("ext3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(JObject<Map<String, Object>> value1, JObject<Map<String, Object>> value2){
            addCriterion("ext3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIsNull(){
            addCriterion("gmt_create is null");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIsNotNull(){
            addCriterion("gmt_create is not null");
            return (Criteria) this;
        }

        public Criteria andGmtCreateEqualTo(Date value){
            addCriterion("gmt_create =", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotEqualTo(Date value){
            addCriterion("gmt_create <>", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateGreaterThan(Date value){
            addCriterion("gmt_create >", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateGreaterThanOrEqualTo(Date value){
            addCriterion("gmt_create >=", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateLessThan(Date value){
            addCriterion("gmt_create <", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateLessThanOrEqualTo(Date value){
            addCriterion("gmt_create <=", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIn(List<Date> values){
            addCriterion("gmt_create in", values, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotIn(List<Date> values){
            addCriterion("gmt_create not in", values, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateBetween(Date value1, Date value2){
            addCriterion("gmt_create between", value1, value2, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotBetween(Date value1, Date value2){
            addCriterion("gmt_create not between", value1, value2, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIsNull(){
            addCriterion("gmt_modified is null");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIsNotNull(){
            addCriterion("gmt_modified is not null");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedEqualTo(Date value){
            addCriterion("gmt_modified =", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotEqualTo(Date value){
            addCriterion("gmt_modified <>", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedGreaterThan(Date value){
            addCriterion("gmt_modified >", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedGreaterThanOrEqualTo(Date value){
            addCriterion("gmt_modified >=", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedLessThan(Date value){
            addCriterion("gmt_modified <", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedLessThanOrEqualTo(Date value){
            addCriterion("gmt_modified <=", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIn(List<Date> values){
            addCriterion("gmt_modified in", values, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotIn(List<Date> values){
            addCriterion("gmt_modified not in", values, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedBetween(Date value1, Date value2){
            addCriterion("gmt_modified between", value1, value2, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotBetween(Date value1, Date value2){
            addCriterion("gmt_modified not between", value1, value2, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andSysIdIsNull(){
            addCriterion("sys_id is null");
            return (Criteria) this;
        }

        public Criteria andSysIdIsNotNull(){
            addCriterion("sys_id is not null");
            return (Criteria) this;
        }

        public Criteria andSysIdEqualTo(String value){
            addCriterion("sys_id =", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotEqualTo(String value){
            addCriterion("sys_id <>", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdGreaterThan(String value){
            addCriterion("sys_id >", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdGreaterThanOrEqualTo(String value){
            addCriterion("sys_id >=", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdLessThan(String value){
            addCriterion("sys_id <", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdLessThanOrEqualTo(String value){
            addCriterion("sys_id <=", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdLike(String value){
            addCriterion("sys_id like", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotLike(String value){
            addCriterion("sys_id not like", value, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdIn(List<String> values){
            addCriterion("sys_id in", values, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotIn(List<String> values){
            addCriterion("sys_id not in", values, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdBetween(String value1, String value2){
            addCriterion("sys_id between", value1, value2, "sysId");
            return (Criteria) this;
        }

        public Criteria andSysIdNotBetween(String value1, String value2){
            addCriterion("sys_id not between", value1, value2, "sysId");
            return (Criteria) this;
        }

    }

    /**
     * 组织表 Criteria(MyBatis-Generator)
     */
    public static class Criteria extends GeneratedCriteria{

        protected Criteria(){
            super();
        }

    }

    /**
     * 组织表 Criterion(MyBatis-Generator)
     */
    public static class Criterion{

        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition(){
            return condition;
        }

        public Object getValue(){
            return value;
        }

        public Object getSecondValue(){
            return secondValue;
        }

        public boolean isNoValue(){
            return noValue;
        }

        public boolean isSingleValue(){
            return singleValue;
        }

        public boolean isBetweenValue(){
            return betweenValue;
        }

        public boolean isListValue(){
            return listValue;
        }

        public String getTypeHandler(){
            return typeHandler;
        }

        protected Criterion(String condition){
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler){
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if(value instanceof List<?>){
                this.listValue = true;
            } else{
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value){
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler){
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue){
            this(condition, value, secondValue, null);
        }

    }

}