package com.kingtom.kirin.app.security;

import com.kingtom.kirin.core.common.base.IBaseEnum;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/11/6
 */
public class SecurityConst{

    public static enum KeyTypeEnum implements IBaseEnum<String>{
        PublicKey("公钥"),
        PrivateKey("私钥"),
        SecretKey("密钥");

        private String key;

        private String name;

        private KeyTypeEnum(String name){
            this.key = name();
            this.name = name;
        }

        @Override
        public String getKey(){
            return key;
        }

        @Override
        public String getName(){
            return name;
        }
    }

}
