package com.kingtom.kirin.app.space.dao;

import com.kingtom.kirin.app.space.model.SpaceFile;
import com.kingtom.kirin.app.space.model.SpaceFileExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SpaceFileMapper {
    /**
     * 空间文件表 countByExample(MyBatis-Generator)
     */
    long countByExample(SpaceFileExample example);

    /**
     * 空间文件表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(SpaceFileExample example);

    /**
     * 空间文件表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 空间文件表 insert(MyBatis-Generator)
     */
    int insert(SpaceFile record);

    /**
     * 空间文件表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(SpaceFile record);

    /**
     * 空间文件表 selectByExample(MyBatis-Generator)
     */
    List<SpaceFile> selectByExample(SpaceFileExample example);

    /**
     * 空间文件表 selectByPrimaryKey(MyBatis-Generator)
     */
    SpaceFile selectByPrimaryKey(String id);

    /**
     * 空间文件表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") SpaceFile record, @Param("example") SpaceFileExample example);

    /**
     * 空间文件表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") SpaceFile record, @Param("example") SpaceFileExample example);

    /**
     * 空间文件表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(SpaceFile record);

    /**
     * 空间文件表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(SpaceFile record);
}