package com.kingtom.kirin.app.space.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.io.Serializable;
import java.util.Date;

/**
* <p>
* Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
* Company: 成都诚唐科技有限公司<p>
* 空间文件表(space_file)(MyBatis-Generator)
* @author yangc
* @since 2023/8/24 03:37
*/
public class SpaceFile implements Serializable {
    /**
     * 主键(space_file.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 文件名称(space_file.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * 文件保存名(space_file.save_name)(MyBatis-Generator)
     */
    private String saveName;

    /**
     * 文件类型(space_file.file_type)(MyBatis-Generator)
     */
    private String fileType;

    /**
     * 文件用途关键字(space_file.use_key)(MyBatis-Generator)
     */
    private String useKey;

    /**
     * 文件编码(space_file.encode)(MyBatis-Generator)
     */
    private String encode;

    /**
     * 文件原始大小(space_file.size)(MyBatis-Generator)
     */
    private Long size;

    /**
     * 文件存储大小(space_file.save_size)(MyBatis-Generator)
     */
    private Long saveSize;

    /**
     * 文件上传者类型(space_file.owner_type)(MyBatis-Generator)
     */
    private String ownerType;

    /**
     * 文件上传者(space_file.owner_id)(MyBatis-Generator)
     */
    private String ownerId;

    /**
     * 文件所属资源类型(space_file.res_type)(MyBatis-Generator)
     */
    private String resType;

    /**
     * 文件所属ID(space_file.res_id)(MyBatis-Generator)
     */
    private String resId;

    /**
     * 文件存储分区(space_file.storage_area)(MyBatis-Generator)
     */
    private String storageArea;

    /**
     * 文件存储加密方式(space_file.storage_encode)(MyBatis-Generator)
     */
    private String storageEncode;

    /**
     * 文件状态(space_file.state)(MyBatis-Generator)
     */
    private Integer state;

    /**
     * 扩展字段1(space_file.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段3(space_file.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * null(space_file.ext3)(MyBatis-Generator)
     */
    private JObject<SpaceFileExt3> ext3;

    /**
     * 文件创建时间(space_file.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 文件修改时间(space_file.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(space_file.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 主键(space_file.id)(MyBatis-Generator)
     * @return 主键
     */
    public String getId() {
        return id;
    }

    /**
     * 设置 主键(space_file.id)(MyBatis-Generator)
     * @param id 主键
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取 文件名称(space_file.name)(MyBatis-Generator)
     * @return 文件名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置 文件名称(space_file.name)(MyBatis-Generator)
     * @param name 文件名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取 文件保存名(space_file.save_name)(MyBatis-Generator)
     * @return 文件保存名
     */
    public String getSaveName() {
        return saveName;
    }

    /**
     * 设置 文件保存名(space_file.save_name)(MyBatis-Generator)
     * @param saveName 文件保存名
     */
    public void setSaveName(String saveName) {
        this.saveName = saveName;
    }

    /**
     * 获取 文件类型(space_file.file_type)(MyBatis-Generator)
     * @return 文件类型
     */
    public String getFileType() {
        return fileType;
    }

    /**
     * 设置 文件类型(space_file.file_type)(MyBatis-Generator)
     * @param fileType 文件类型
     */
    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    /**
     * 获取 文件用途关键字(space_file.use_key)(MyBatis-Generator)
     * @return 文件用途关键字
     */
    public String getUseKey() {
        return useKey;
    }

    /**
     * 设置 文件用途关键字(space_file.use_key)(MyBatis-Generator)
     * @param useKey 文件用途关键字
     */
    public void setUseKey(String useKey) {
        this.useKey = useKey;
    }

    /**
     * 获取 文件编码(space_file.encode)(MyBatis-Generator)
     * @return 文件编码
     */
    public String getEncode() {
        return encode;
    }

    /**
     * 设置 文件编码(space_file.encode)(MyBatis-Generator)
     * @param encode 文件编码
     */
    public void setEncode(String encode) {
        this.encode = encode;
    }

    /**
     * 获取 文件原始大小(space_file.size)(MyBatis-Generator)
     * @return 文件原始大小
     */
    public Long getSize() {
        return size;
    }

    /**
     * 设置 文件原始大小(space_file.size)(MyBatis-Generator)
     * @param size 文件原始大小
     */
    public void setSize(Long size) {
        this.size = size;
    }

    /**
     * 获取 文件存储大小(space_file.save_size)(MyBatis-Generator)
     * @return 文件存储大小
     */
    public Long getSaveSize() {
        return saveSize;
    }

    /**
     * 设置 文件存储大小(space_file.save_size)(MyBatis-Generator)
     * @param saveSize 文件存储大小
     */
    public void setSaveSize(Long saveSize) {
        this.saveSize = saveSize;
    }

    /**
     * 获取 文件上传者类型(space_file.owner_type)(MyBatis-Generator)
     * @return 文件上传者类型
     */
    public String getOwnerType() {
        return ownerType;
    }

    /**
     * 设置 文件上传者类型(space_file.owner_type)(MyBatis-Generator)
     * @param ownerType 文件上传者类型
     */
    public void setOwnerType(String ownerType) {
        this.ownerType = ownerType;
    }

    /**
     * 获取 文件上传者(space_file.owner_id)(MyBatis-Generator)
     * @return 文件上传者
     */
    public String getOwnerId() {
        return ownerId;
    }

    /**
     * 设置 文件上传者(space_file.owner_id)(MyBatis-Generator)
     * @param ownerId 文件上传者
     */
    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    /**
     * 获取 文件所属资源类型(space_file.res_type)(MyBatis-Generator)
     * @return 文件所属资源类型
     */
    public String getResType() {
        return resType;
    }

    /**
     * 设置 文件所属资源类型(space_file.res_type)(MyBatis-Generator)
     * @param resType 文件所属资源类型
     */
    public void setResType(String resType) {
        this.resType = resType;
    }

    /**
     * 获取 文件所属ID(space_file.res_id)(MyBatis-Generator)
     * @return 文件所属ID
     */
    public String getResId() {
        return resId;
    }

    /**
     * 设置 文件所属ID(space_file.res_id)(MyBatis-Generator)
     * @param resId 文件所属ID
     */
    public void setResId(String resId) {
        this.resId = resId;
    }

    /**
     * 获取 文件存储分区(space_file.storage_area)(MyBatis-Generator)
     * @return 文件存储分区
     */
    public String getStorageArea() {
        return storageArea;
    }

    /**
     * 设置 文件存储分区(space_file.storage_area)(MyBatis-Generator)
     * @param storageArea 文件存储分区
     */
    public void setStorageArea(String storageArea) {
        this.storageArea = storageArea;
    }

    /**
     * 获取 文件存储加密方式(space_file.storage_encode)(MyBatis-Generator)
     * @return 文件存储加密方式
     */
    public String getStorageEncode() {
        return storageEncode;
    }

    /**
     * 设置 文件存储加密方式(space_file.storage_encode)(MyBatis-Generator)
     * @param storageEncode 文件存储加密方式
     */
    public void setStorageEncode(String storageEncode) {
        this.storageEncode = storageEncode;
    }

    /**
     * 获取 文件状态(space_file.state)(MyBatis-Generator)
     * @return 文件状态
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置 文件状态(space_file.state)(MyBatis-Generator)
     * @param state 文件状态
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取 扩展字段1(space_file.ext1)(MyBatis-Generator)
     * @return 扩展字段1
     */
    public String getExt1() {
        return ext1;
    }

    /**
     * 设置 扩展字段1(space_file.ext1)(MyBatis-Generator)
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段3(space_file.ext2)(MyBatis-Generator)
     * @return 扩展字段3
     */
    public String getExt2() {
        return ext2;
    }

    /**
     * 设置 扩展字段3(space_file.ext2)(MyBatis-Generator)
     * @param ext2 扩展字段3
     */
    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    /**
     * 获取 null(space_file.ext3)(MyBatis-Generator)
     * @return null
     */
    public JObject<SpaceFileExt3> getExt3() {
        return ext3;
    }

    /**
     * 设置 null(space_file.ext3)(MyBatis-Generator)
     * @param ext3 null
     */
    public void setExt3(JObject<SpaceFileExt3> ext3) {
        this.ext3 = ext3;
    }

    /**
     * 获取 文件创建时间(space_file.gmt_create)(MyBatis-Generator)
     * @return 文件创建时间
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }

    /**
     * 设置 文件创建时间(space_file.gmt_create)(MyBatis-Generator)
     * @param gmtCreate 文件创建时间
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 文件修改时间(space_file.gmt_modified)(MyBatis-Generator)
     * @return 文件修改时间
     */
    public Date getGmtModified() {
        return gmtModified;
    }

    /**
     * 设置 文件修改时间(space_file.gmt_modified)(MyBatis-Generator)
     * @param gmtModified 文件修改时间
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(space_file.sys_id)(MyBatis-Generator)
     * @return 系统ID
     */
    public String getSysId() {
        return sysId;
    }

    /**
     * 设置 系统ID(space_file.sys_id)(MyBatis-Generator)
     * @param sysId 系统ID
     */
    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    /**
     * 空间文件表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        SpaceFile other = (SpaceFile) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getSaveName() == null ? other.getSaveName() == null : this.getSaveName().equals(other.getSaveName()))
            && (this.getFileType() == null ? other.getFileType() == null : this.getFileType().equals(other.getFileType()))
            && (this.getUseKey() == null ? other.getUseKey() == null : this.getUseKey().equals(other.getUseKey()))
            && (this.getEncode() == null ? other.getEncode() == null : this.getEncode().equals(other.getEncode()))
            && (this.getSize() == null ? other.getSize() == null : this.getSize().equals(other.getSize()))
            && (this.getSaveSize() == null ? other.getSaveSize() == null : this.getSaveSize().equals(other.getSaveSize()))
            && (this.getOwnerType() == null ? other.getOwnerType() == null : this.getOwnerType().equals(other.getOwnerType()))
            && (this.getOwnerId() == null ? other.getOwnerId() == null : this.getOwnerId().equals(other.getOwnerId()))
            && (this.getResType() == null ? other.getResType() == null : this.getResType().equals(other.getResType()))
            && (this.getResId() == null ? other.getResId() == null : this.getResId().equals(other.getResId()))
            && (this.getStorageArea() == null ? other.getStorageArea() == null : this.getStorageArea().equals(other.getStorageArea()))
            && (this.getStorageEncode() == null ? other.getStorageEncode() == null : this.getStorageEncode().equals(other.getStorageEncode()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()))
            && (this.getGmtCreate() == null ? other.getGmtCreate() == null : this.getGmtCreate().equals(other.getGmtCreate()))
            && (this.getGmtModified() == null ? other.getGmtModified() == null : this.getGmtModified().equals(other.getGmtModified()))
            && (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 空间文件表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getSaveName() == null) ? 0 : getSaveName().hashCode());
        result = prime * result + ((getFileType() == null) ? 0 : getFileType().hashCode());
        result = prime * result + ((getUseKey() == null) ? 0 : getUseKey().hashCode());
        result = prime * result + ((getEncode() == null) ? 0 : getEncode().hashCode());
        result = prime * result + ((getSize() == null) ? 0 : getSize().hashCode());
        result = prime * result + ((getSaveSize() == null) ? 0 : getSaveSize().hashCode());
        result = prime * result + ((getOwnerType() == null) ? 0 : getOwnerType().hashCode());
        result = prime * result + ((getOwnerId() == null) ? 0 : getOwnerId().hashCode());
        result = prime * result + ((getResType() == null) ? 0 : getResType().hashCode());
        result = prime * result + ((getResId() == null) ? 0 : getResId().hashCode());
        result = prime * result + ((getStorageArea() == null) ? 0 : getStorageArea().hashCode());
        result = prime * result + ((getStorageEncode() == null) ? 0 : getStorageEncode().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 空间文件表 toString(MyBatis-Generator)
     */
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", saveName=").append(saveName);
        sb.append(", fileType=").append(fileType);
        sb.append(", useKey=").append(useKey);
        sb.append(", encode=").append(encode);
        sb.append(", size=").append(size);
        sb.append(", saveSize=").append(saveSize);
        sb.append(", ownerType=").append(ownerType);
        sb.append(", ownerId=").append(ownerId);
        sb.append(", resType=").append(resType);
        sb.append(", resId=").append(resId);
        sb.append(", storageArea=").append(storageArea);
        sb.append(", storageEncode=").append(storageEncode);
        sb.append(", state=").append(state);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}