package com.kingtom.kirin.app.system.dao;

import com.kingtom.kirin.app.system.model.SystemInfo;
import com.kingtom.kirin.app.system.model.SystemInfoExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SystemInfoMapper {
    /**
     * 系统信息表 countByExample(MyBatis-Generator)
     */
    long countByExample(SystemInfoExample example);

    /**
     * 系统信息表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(SystemInfoExample example);

    /**
     * 系统信息表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 系统信息表 insert(MyBatis-Generator)
     */
    int insert(SystemInfo record);

    /**
     * 系统信息表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(SystemInfo record);

    /**
     * 系统信息表 selectByExample(MyBatis-Generator)
     */
    List<SystemInfo> selectByExample(SystemInfoExample example);

    /**
     * 系统信息表 selectByPrimaryKey(MyBatis-Generator)
     */
    SystemInfo selectByPrimaryKey(String id);

    /**
     * 系统信息表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") SystemInfo record, @Param("example") SystemInfoExample example);

    /**
     * 系统信息表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") SystemInfo record, @Param("example") SystemInfoExample example);

    /**
     * 系统信息表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(SystemInfo record);

    /**
     * 系统信息表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(SystemInfo record);
}