package com.kingtom.kirin.app.system.dao;

import com.kingtom.kirin.app.system.model.SystemUser;
import com.kingtom.kirin.app.system.model.SystemUserExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SystemUserMapper {
    /**
     * 用户表 countByExample(MyBatis-Generator)
     */
    long countByExample(SystemUserExample example);

    /**
     * 用户表 deleteByExample(MyBatis-Generator)
     */
    int deleteByExample(SystemUserExample example);

    /**
     * 用户表 deleteByPrimaryKey(MyBatis-Generator)
     */
    int deleteByPrimaryKey(String id);

    /**
     * 用户表 insert(MyBatis-Generator)
     */
    int insert(SystemUser record);

    /**
     * 用户表 insertSelective(MyBatis-Generator)
     */
    int insertSelective(SystemUser record);

    /**
     * 用户表 selectByExample(MyBatis-Generator)
     */
    List<SystemUser> selectByExample(SystemUserExample example);

    /**
     * 用户表 selectByPrimaryKey(MyBatis-Generator)
     */
    SystemUser selectByPrimaryKey(String id);

    /**
     * 用户表 updateByExampleSelective(MyBatis-Generator)
     */
    int updateByExampleSelective(@Param("record") SystemUser record, @Param("example") SystemUserExample example);

    /**
     * 用户表 updateByExample(MyBatis-Generator)
     */
    int updateByExample(@Param("record") SystemUser record, @Param("example") SystemUserExample example);

    /**
     * 用户表 updateByPrimaryKeySelective(MyBatis-Generator)
     */
    int updateByPrimaryKeySelective(SystemUser record);

    /**
     * 用户表 updateByPrimaryKey(MyBatis-Generator)
     */
    int updateByPrimaryKey(SystemUser record);
}