package com.kingtom.kirin.app.system.event;

import com.kingtom.kirin.app.system.model.SystemInfo;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/8/23 16:13
 */
public class SystemInfoUpdateEvent extends SystemEvent{

    private SystemInfo oldSystemInfo;

    public SystemInfoUpdateEvent(Object source, SystemInfo oldSystemInfo) {
        super(source);
        this.oldSystemInfo = oldSystemInfo;
    }

    public SystemInfo getOldSystemInfo() {
        return oldSystemInfo;
    }

    public SystemInfo getSystemInfo() {
        return (SystemInfo)getSource();
    }

}
