package com.kingtom.kirin.app.system.model;

import com.kingtom.kirin.core.common.json.JObject;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class SystemInfoExample {
    /**
     * orderByClause
     */
    protected String orderByClause;

    /**
     * distinct
     */
    protected boolean distinct;

    /**
     * oredCriteria
     */
    protected List<Criteria> oredCriteria;

    /**
     * 系统信息表 SystemInfoExample(MyBatis-Generator)
     */
    public SystemInfoExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     * 系统信息表 setOrderByClause(MyBatis-Generator)
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     * 系统信息表 getOrderByClause(MyBatis-Generator)
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     * 系统信息表 setDistinct(MyBatis-Generator)
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     * 系统信息表 isDistinct(MyBatis-Generator)
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     * 系统信息表 getOredCriteria(MyBatis-Generator)
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     * 系统信息表 or(MyBatis-Generator)
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     * 系统信息表 or(MyBatis-Generator)
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     * 系统信息表 createCriteria(MyBatis-Generator)
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     * 系统信息表 createCriteriaInternal(MyBatis-Generator)
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     * 系统信息表 clear(MyBatis-Generator)
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * 系统信息表 GeneratedCriteria(MyBatis-Generator)
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andOtherNameIsNull() {
            addCriterion("other_name is null");
            return (Criteria) this;
        }

        public Criteria andOtherNameIsNotNull() {
            addCriterion("other_name is not null");
            return (Criteria) this;
        }

        public Criteria andOtherNameEqualTo(String value) {
            addCriterion("other_name =", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotEqualTo(String value) {
            addCriterion("other_name <>", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameGreaterThan(String value) {
            addCriterion("other_name >", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameGreaterThanOrEqualTo(String value) {
            addCriterion("other_name >=", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLessThan(String value) {
            addCriterion("other_name <", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLessThanOrEqualTo(String value) {
            addCriterion("other_name <=", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameLike(String value) {
            addCriterion("other_name like", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotLike(String value) {
            addCriterion("other_name not like", value, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameIn(List<String> values) {
            addCriterion("other_name in", values, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotIn(List<String> values) {
            addCriterion("other_name not in", values, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameBetween(String value1, String value2) {
            addCriterion("other_name between", value1, value2, "otherName");
            return (Criteria) this;
        }

        public Criteria andOtherNameNotBetween(String value1, String value2) {
            addCriterion("other_name not between", value1, value2, "otherName");
            return (Criteria) this;
        }

        public Criteria andCodeIsNull() {
            addCriterion("code is null");
            return (Criteria) this;
        }

        public Criteria andCodeIsNotNull() {
            addCriterion("code is not null");
            return (Criteria) this;
        }

        public Criteria andCodeEqualTo(String value) {
            addCriterion("code =", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotEqualTo(String value) {
            addCriterion("code <>", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThan(String value) {
            addCriterion("code >", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeGreaterThanOrEqualTo(String value) {
            addCriterion("code >=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThan(String value) {
            addCriterion("code <", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLessThanOrEqualTo(String value) {
            addCriterion("code <=", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeLike(String value) {
            addCriterion("code like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotLike(String value) {
            addCriterion("code not like", value, "code");
            return (Criteria) this;
        }

        public Criteria andCodeIn(List<String> values) {
            addCriterion("code in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotIn(List<String> values) {
            addCriterion("code not in", values, "code");
            return (Criteria) this;
        }

        public Criteria andCodeBetween(String value1, String value2) {
            addCriterion("code between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andCodeNotBetween(String value1, String value2) {
            addCriterion("code not between", value1, value2, "code");
            return (Criteria) this;
        }

        public Criteria andStateIsNull() {
            addCriterion("state is null");
            return (Criteria) this;
        }

        public Criteria andStateIsNotNull() {
            addCriterion("state is not null");
            return (Criteria) this;
        }

        public Criteria andStateEqualTo(Integer value) {
            addCriterion("state =", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotEqualTo(Integer value) {
            addCriterion("state <>", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThan(Integer value) {
            addCriterion("state >", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("state >=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThan(Integer value) {
            addCriterion("state <", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateLessThanOrEqualTo(Integer value) {
            addCriterion("state <=", value, "state");
            return (Criteria) this;
        }

        public Criteria andStateIn(List<Integer> values) {
            addCriterion("state in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotIn(List<Integer> values) {
            addCriterion("state not in", values, "state");
            return (Criteria) this;
        }

        public Criteria andStateBetween(Integer value1, Integer value2) {
            addCriterion("state between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andStateNotBetween(Integer value1, Integer value2) {
            addCriterion("state not between", value1, value2, "state");
            return (Criteria) this;
        }

        public Criteria andImageLogoIsNull() {
            addCriterion("image_logo is null");
            return (Criteria) this;
        }

        public Criteria andImageLogoIsNotNull() {
            addCriterion("image_logo is not null");
            return (Criteria) this;
        }

        public Criteria andImageLogoEqualTo(String value) {
            addCriterion("image_logo =", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoNotEqualTo(String value) {
            addCriterion("image_logo <>", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoGreaterThan(String value) {
            addCriterion("image_logo >", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoGreaterThanOrEqualTo(String value) {
            addCriterion("image_logo >=", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoLessThan(String value) {
            addCriterion("image_logo <", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoLessThanOrEqualTo(String value) {
            addCriterion("image_logo <=", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoLike(String value) {
            addCriterion("image_logo like", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoNotLike(String value) {
            addCriterion("image_logo not like", value, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoIn(List<String> values) {
            addCriterion("image_logo in", values, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoNotIn(List<String> values) {
            addCriterion("image_logo not in", values, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoBetween(String value1, String value2) {
            addCriterion("image_logo between", value1, value2, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageLogoNotBetween(String value1, String value2) {
            addCriterion("image_logo not between", value1, value2, "imageLogo");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundIsNull() {
            addCriterion("image_background is null");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundIsNotNull() {
            addCriterion("image_background is not null");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundEqualTo(String value) {
            addCriterion("image_background =", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundNotEqualTo(String value) {
            addCriterion("image_background <>", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundGreaterThan(String value) {
            addCriterion("image_background >", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundGreaterThanOrEqualTo(String value) {
            addCriterion("image_background >=", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundLessThan(String value) {
            addCriterion("image_background <", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundLessThanOrEqualTo(String value) {
            addCriterion("image_background <=", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundLike(String value) {
            addCriterion("image_background like", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundNotLike(String value) {
            addCriterion("image_background not like", value, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundIn(List<String> values) {
            addCriterion("image_background in", values, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundNotIn(List<String> values) {
            addCriterion("image_background not in", values, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundBetween(String value1, String value2) {
            addCriterion("image_background between", value1, value2, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andImageBackgroundNotBetween(String value1, String value2) {
            addCriterion("image_background not between", value1, value2, "imageBackground");
            return (Criteria) this;
        }

        public Criteria andSystemTypeIsNull() {
            addCriterion("system_type is null");
            return (Criteria) this;
        }

        public Criteria andSystemTypeIsNotNull() {
            addCriterion("system_type is not null");
            return (Criteria) this;
        }

        public Criteria andSystemTypeEqualTo(String value) {
            addCriterion("system_type =", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotEqualTo(String value) {
            addCriterion("system_type <>", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeGreaterThan(String value) {
            addCriterion("system_type >", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeGreaterThanOrEqualTo(String value) {
            addCriterion("system_type >=", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeLessThan(String value) {
            addCriterion("system_type <", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeLessThanOrEqualTo(String value) {
            addCriterion("system_type <=", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeLike(String value) {
            addCriterion("system_type like", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotLike(String value) {
            addCriterion("system_type not like", value, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeIn(List<String> values) {
            addCriterion("system_type in", values, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotIn(List<String> values) {
            addCriterion("system_type not in", values, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeBetween(String value1, String value2) {
            addCriterion("system_type between", value1, value2, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemTypeNotBetween(String value1, String value2) {
            addCriterion("system_type not between", value1, value2, "systemType");
            return (Criteria) this;
        }

        public Criteria andSystemAddressIsNull() {
            addCriterion("system_address is null");
            return (Criteria) this;
        }

        public Criteria andSystemAddressIsNotNull() {
            addCriterion("system_address is not null");
            return (Criteria) this;
        }

        public Criteria andSystemAddressEqualTo(String value) {
            addCriterion("system_address =", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressNotEqualTo(String value) {
            addCriterion("system_address <>", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressGreaterThan(String value) {
            addCriterion("system_address >", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressGreaterThanOrEqualTo(String value) {
            addCriterion("system_address >=", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressLessThan(String value) {
            addCriterion("system_address <", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressLessThanOrEqualTo(String value) {
            addCriterion("system_address <=", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressLike(String value) {
            addCriterion("system_address like", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressNotLike(String value) {
            addCriterion("system_address not like", value, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressIn(List<String> values) {
            addCriterion("system_address in", values, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressNotIn(List<String> values) {
            addCriterion("system_address not in", values, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressBetween(String value1, String value2) {
            addCriterion("system_address between", value1, value2, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemAddressNotBetween(String value1, String value2) {
            addCriterion("system_address not between", value1, value2, "systemAddress");
            return (Criteria) this;
        }

        public Criteria andSystemPortIsNull() {
            addCriterion("system_port is null");
            return (Criteria) this;
        }

        public Criteria andSystemPortIsNotNull() {
            addCriterion("system_port is not null");
            return (Criteria) this;
        }

        public Criteria andSystemPortEqualTo(String value) {
            addCriterion("system_port =", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortNotEqualTo(String value) {
            addCriterion("system_port <>", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortGreaterThan(String value) {
            addCriterion("system_port >", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortGreaterThanOrEqualTo(String value) {
            addCriterion("system_port >=", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortLessThan(String value) {
            addCriterion("system_port <", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortLessThanOrEqualTo(String value) {
            addCriterion("system_port <=", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortLike(String value) {
            addCriterion("system_port like", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortNotLike(String value) {
            addCriterion("system_port not like", value, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortIn(List<String> values) {
            addCriterion("system_port in", values, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortNotIn(List<String> values) {
            addCriterion("system_port not in", values, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortBetween(String value1, String value2) {
            addCriterion("system_port between", value1, value2, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemPortNotBetween(String value1, String value2) {
            addCriterion("system_port not between", value1, value2, "systemPort");
            return (Criteria) this;
        }

        public Criteria andSystemAppIsNull() {
            addCriterion("system_app is null");
            return (Criteria) this;
        }

        public Criteria andSystemAppIsNotNull() {
            addCriterion("system_app is not null");
            return (Criteria) this;
        }

        public Criteria andSystemAppEqualTo(String value) {
            addCriterion("system_app =", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppNotEqualTo(String value) {
            addCriterion("system_app <>", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppGreaterThan(String value) {
            addCriterion("system_app >", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppGreaterThanOrEqualTo(String value) {
            addCriterion("system_app >=", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppLessThan(String value) {
            addCriterion("system_app <", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppLessThanOrEqualTo(String value) {
            addCriterion("system_app <=", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppLike(String value) {
            addCriterion("system_app like", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppNotLike(String value) {
            addCriterion("system_app not like", value, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppIn(List<String> values) {
            addCriterion("system_app in", values, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppNotIn(List<String> values) {
            addCriterion("system_app not in", values, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppBetween(String value1, String value2) {
            addCriterion("system_app between", value1, value2, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemAppNotBetween(String value1, String value2) {
            addCriterion("system_app not between", value1, value2, "systemApp");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolIsNull() {
            addCriterion("system_protocol is null");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolIsNotNull() {
            addCriterion("system_protocol is not null");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolEqualTo(String value) {
            addCriterion("system_protocol =", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolNotEqualTo(String value) {
            addCriterion("system_protocol <>", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolGreaterThan(String value) {
            addCriterion("system_protocol >", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolGreaterThanOrEqualTo(String value) {
            addCriterion("system_protocol >=", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolLessThan(String value) {
            addCriterion("system_protocol <", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolLessThanOrEqualTo(String value) {
            addCriterion("system_protocol <=", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolLike(String value) {
            addCriterion("system_protocol like", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolNotLike(String value) {
            addCriterion("system_protocol not like", value, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolIn(List<String> values) {
            addCriterion("system_protocol in", values, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolNotIn(List<String> values) {
            addCriterion("system_protocol not in", values, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolBetween(String value1, String value2) {
            addCriterion("system_protocol between", value1, value2, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemProtocolNotBetween(String value1, String value2) {
            addCriterion("system_protocol not between", value1, value2, "systemProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressIsNull() {
            addCriterion("system_web_address is null");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressIsNotNull() {
            addCriterion("system_web_address is not null");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressEqualTo(String value) {
            addCriterion("system_web_address =", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressNotEqualTo(String value) {
            addCriterion("system_web_address <>", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressGreaterThan(String value) {
            addCriterion("system_web_address >", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressGreaterThanOrEqualTo(String value) {
            addCriterion("system_web_address >=", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressLessThan(String value) {
            addCriterion("system_web_address <", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressLessThanOrEqualTo(String value) {
            addCriterion("system_web_address <=", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressLike(String value) {
            addCriterion("system_web_address like", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressNotLike(String value) {
            addCriterion("system_web_address not like", value, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressIn(List<String> values) {
            addCriterion("system_web_address in", values, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressNotIn(List<String> values) {
            addCriterion("system_web_address not in", values, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressBetween(String value1, String value2) {
            addCriterion("system_web_address between", value1, value2, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebAddressNotBetween(String value1, String value2) {
            addCriterion("system_web_address not between", value1, value2, "systemWebAddress");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortIsNull() {
            addCriterion("system_web_port is null");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortIsNotNull() {
            addCriterion("system_web_port is not null");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortEqualTo(String value) {
            addCriterion("system_web_port =", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortNotEqualTo(String value) {
            addCriterion("system_web_port <>", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortGreaterThan(String value) {
            addCriterion("system_web_port >", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortGreaterThanOrEqualTo(String value) {
            addCriterion("system_web_port >=", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortLessThan(String value) {
            addCriterion("system_web_port <", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortLessThanOrEqualTo(String value) {
            addCriterion("system_web_port <=", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortLike(String value) {
            addCriterion("system_web_port like", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortNotLike(String value) {
            addCriterion("system_web_port not like", value, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortIn(List<String> values) {
            addCriterion("system_web_port in", values, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortNotIn(List<String> values) {
            addCriterion("system_web_port not in", values, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortBetween(String value1, String value2) {
            addCriterion("system_web_port between", value1, value2, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebPortNotBetween(String value1, String value2) {
            addCriterion("system_web_port not between", value1, value2, "systemWebPort");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppIsNull() {
            addCriterion("system_web_app is null");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppIsNotNull() {
            addCriterion("system_web_app is not null");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppEqualTo(String value) {
            addCriterion("system_web_app =", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppNotEqualTo(String value) {
            addCriterion("system_web_app <>", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppGreaterThan(String value) {
            addCriterion("system_web_app >", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppGreaterThanOrEqualTo(String value) {
            addCriterion("system_web_app >=", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppLessThan(String value) {
            addCriterion("system_web_app <", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppLessThanOrEqualTo(String value) {
            addCriterion("system_web_app <=", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppLike(String value) {
            addCriterion("system_web_app like", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppNotLike(String value) {
            addCriterion("system_web_app not like", value, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppIn(List<String> values) {
            addCriterion("system_web_app in", values, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppNotIn(List<String> values) {
            addCriterion("system_web_app not in", values, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppBetween(String value1, String value2) {
            addCriterion("system_web_app between", value1, value2, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebAppNotBetween(String value1, String value2) {
            addCriterion("system_web_app not between", value1, value2, "systemWebApp");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolIsNull() {
            addCriterion("system_web_protocol is null");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolIsNotNull() {
            addCriterion("system_web_protocol is not null");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolEqualTo(String value) {
            addCriterion("system_web_protocol =", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolNotEqualTo(String value) {
            addCriterion("system_web_protocol <>", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolGreaterThan(String value) {
            addCriterion("system_web_protocol >", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolGreaterThanOrEqualTo(String value) {
            addCriterion("system_web_protocol >=", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolLessThan(String value) {
            addCriterion("system_web_protocol <", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolLessThanOrEqualTo(String value) {
            addCriterion("system_web_protocol <=", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolLike(String value) {
            addCriterion("system_web_protocol like", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolNotLike(String value) {
            addCriterion("system_web_protocol not like", value, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolIn(List<String> values) {
            addCriterion("system_web_protocol in", values, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolNotIn(List<String> values) {
            addCriterion("system_web_protocol not in", values, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolBetween(String value1, String value2) {
            addCriterion("system_web_protocol between", value1, value2, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemWebProtocolNotBetween(String value1, String value2) {
            addCriterion("system_web_protocol not between", value1, value2, "systemWebProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressIsNull() {
            addCriterion("system_mobile_address is null");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressIsNotNull() {
            addCriterion("system_mobile_address is not null");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressEqualTo(String value) {
            addCriterion("system_mobile_address =", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressNotEqualTo(String value) {
            addCriterion("system_mobile_address <>", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressGreaterThan(String value) {
            addCriterion("system_mobile_address >", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressGreaterThanOrEqualTo(String value) {
            addCriterion("system_mobile_address >=", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressLessThan(String value) {
            addCriterion("system_mobile_address <", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressLessThanOrEqualTo(String value) {
            addCriterion("system_mobile_address <=", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressLike(String value) {
            addCriterion("system_mobile_address like", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressNotLike(String value) {
            addCriterion("system_mobile_address not like", value, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressIn(List<String> values) {
            addCriterion("system_mobile_address in", values, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressNotIn(List<String> values) {
            addCriterion("system_mobile_address not in", values, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressBetween(String value1, String value2) {
            addCriterion("system_mobile_address between", value1, value2, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAddressNotBetween(String value1, String value2) {
            addCriterion("system_mobile_address not between", value1, value2, "systemMobileAddress");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortIsNull() {
            addCriterion("system_mobile_port is null");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortIsNotNull() {
            addCriterion("system_mobile_port is not null");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortEqualTo(String value) {
            addCriterion("system_mobile_port =", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortNotEqualTo(String value) {
            addCriterion("system_mobile_port <>", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortGreaterThan(String value) {
            addCriterion("system_mobile_port >", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortGreaterThanOrEqualTo(String value) {
            addCriterion("system_mobile_port >=", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortLessThan(String value) {
            addCriterion("system_mobile_port <", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortLessThanOrEqualTo(String value) {
            addCriterion("system_mobile_port <=", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortLike(String value) {
            addCriterion("system_mobile_port like", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortNotLike(String value) {
            addCriterion("system_mobile_port not like", value, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortIn(List<String> values) {
            addCriterion("system_mobile_port in", values, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortNotIn(List<String> values) {
            addCriterion("system_mobile_port not in", values, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortBetween(String value1, String value2) {
            addCriterion("system_mobile_port between", value1, value2, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobilePortNotBetween(String value1, String value2) {
            addCriterion("system_mobile_port not between", value1, value2, "systemMobilePort");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppIsNull() {
            addCriterion("system_mobile_app is null");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppIsNotNull() {
            addCriterion("system_mobile_app is not null");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppEqualTo(String value) {
            addCriterion("system_mobile_app =", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppNotEqualTo(String value) {
            addCriterion("system_mobile_app <>", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppGreaterThan(String value) {
            addCriterion("system_mobile_app >", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppGreaterThanOrEqualTo(String value) {
            addCriterion("system_mobile_app >=", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppLessThan(String value) {
            addCriterion("system_mobile_app <", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppLessThanOrEqualTo(String value) {
            addCriterion("system_mobile_app <=", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppLike(String value) {
            addCriterion("system_mobile_app like", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppNotLike(String value) {
            addCriterion("system_mobile_app not like", value, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppIn(List<String> values) {
            addCriterion("system_mobile_app in", values, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppNotIn(List<String> values) {
            addCriterion("system_mobile_app not in", values, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppBetween(String value1, String value2) {
            addCriterion("system_mobile_app between", value1, value2, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileAppNotBetween(String value1, String value2) {
            addCriterion("system_mobile_app not between", value1, value2, "systemMobileApp");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolIsNull() {
            addCriterion("system_mobile_protocol is null");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolIsNotNull() {
            addCriterion("system_mobile_protocol is not null");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolEqualTo(String value) {
            addCriterion("system_mobile_protocol =", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolNotEqualTo(String value) {
            addCriterion("system_mobile_protocol <>", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolGreaterThan(String value) {
            addCriterion("system_mobile_protocol >", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolGreaterThanOrEqualTo(String value) {
            addCriterion("system_mobile_protocol >=", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolLessThan(String value) {
            addCriterion("system_mobile_protocol <", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolLessThanOrEqualTo(String value) {
            addCriterion("system_mobile_protocol <=", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolLike(String value) {
            addCriterion("system_mobile_protocol like", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolNotLike(String value) {
            addCriterion("system_mobile_protocol not like", value, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolIn(List<String> values) {
            addCriterion("system_mobile_protocol in", values, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolNotIn(List<String> values) {
            addCriterion("system_mobile_protocol not in", values, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolBetween(String value1, String value2) {
            addCriterion("system_mobile_protocol between", value1, value2, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andSystemMobileProtocolNotBetween(String value1, String value2) {
            addCriterion("system_mobile_protocol not between", value1, value2, "systemMobileProtocol");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNull() {
            addCriterion("description is null");
            return (Criteria) this;
        }

        public Criteria andDescriptionIsNotNull() {
            addCriterion("description is not null");
            return (Criteria) this;
        }

        public Criteria andDescriptionEqualTo(String value) {
            addCriterion("description =", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotEqualTo(String value) {
            addCriterion("description <>", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThan(String value) {
            addCriterion("description >", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionGreaterThanOrEqualTo(String value) {
            addCriterion("description >=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThan(String value) {
            addCriterion("description <", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLessThanOrEqualTo(String value) {
            addCriterion("description <=", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionLike(String value) {
            addCriterion("description like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotLike(String value) {
            addCriterion("description not like", value, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionIn(List<String> values) {
            addCriterion("description in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotIn(List<String> values) {
            addCriterion("description not in", values, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionBetween(String value1, String value2) {
            addCriterion("description between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andDescriptionNotBetween(String value1, String value2) {
            addCriterion("description not between", value1, value2, "description");
            return (Criteria) this;
        }

        public Criteria andExt1IsNull() {
            addCriterion("ext1 is null");
            return (Criteria) this;
        }

        public Criteria andExt1IsNotNull() {
            addCriterion("ext1 is not null");
            return (Criteria) this;
        }

        public Criteria andExt1EqualTo(String value) {
            addCriterion("ext1 =", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotEqualTo(String value) {
            addCriterion("ext1 <>", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThan(String value) {
            addCriterion("ext1 >", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1GreaterThanOrEqualTo(String value) {
            addCriterion("ext1 >=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThan(String value) {
            addCriterion("ext1 <", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1LessThanOrEqualTo(String value) {
            addCriterion("ext1 <=", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Like(String value) {
            addCriterion("ext1 like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotLike(String value) {
            addCriterion("ext1 not like", value, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1In(List<String> values) {
            addCriterion("ext1 in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotIn(List<String> values) {
            addCriterion("ext1 not in", values, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1Between(String value1, String value2) {
            addCriterion("ext1 between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt1NotBetween(String value1, String value2) {
            addCriterion("ext1 not between", value1, value2, "ext1");
            return (Criteria) this;
        }

        public Criteria andExt2IsNull() {
            addCriterion("ext2 is null");
            return (Criteria) this;
        }

        public Criteria andExt2IsNotNull() {
            addCriterion("ext2 is not null");
            return (Criteria) this;
        }

        public Criteria andExt2EqualTo(String value) {
            addCriterion("ext2 =", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotEqualTo(String value) {
            addCriterion("ext2 <>", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThan(String value) {
            addCriterion("ext2 >", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2GreaterThanOrEqualTo(String value) {
            addCriterion("ext2 >=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThan(String value) {
            addCriterion("ext2 <", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2LessThanOrEqualTo(String value) {
            addCriterion("ext2 <=", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Like(String value) {
            addCriterion("ext2 like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotLike(String value) {
            addCriterion("ext2 not like", value, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2In(List<String> values) {
            addCriterion("ext2 in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotIn(List<String> values) {
            addCriterion("ext2 not in", values, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2Between(String value1, String value2) {
            addCriterion("ext2 between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt2NotBetween(String value1, String value2) {
            addCriterion("ext2 not between", value1, value2, "ext2");
            return (Criteria) this;
        }

        public Criteria andExt3IsNull() {
            addCriterion("ext3 is null");
            return (Criteria) this;
        }

        public Criteria andExt3IsNotNull() {
            addCriterion("ext3 is not null");
            return (Criteria) this;
        }

        public Criteria andExt3EqualTo(JObject<SystemInfoExt3> value) {
            addCriterion("ext3 =", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotEqualTo(JObject<SystemInfoExt3> value) {
            addCriterion("ext3 <>", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThan(JObject<SystemInfoExt3> value) {
            addCriterion("ext3 >", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3GreaterThanOrEqualTo(JObject<SystemInfoExt3> value) {
            addCriterion("ext3 >=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThan(JObject<SystemInfoExt3> value) {
            addCriterion("ext3 <", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3LessThanOrEqualTo(JObject<SystemInfoExt3> value) {
            addCriterion("ext3 <=", value, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3In(List<JObject<SystemInfoExt3>> values) {
            addCriterion("ext3 in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotIn(List<JObject<SystemInfoExt3>> values) {
            addCriterion("ext3 not in", values, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3Between(JObject<SystemInfoExt3> value1, JObject<SystemInfoExt3> value2) {
            addCriterion("ext3 between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andExt3NotBetween(JObject<SystemInfoExt3> value1, JObject<SystemInfoExt3> value2) {
            addCriterion("ext3 not between", value1, value2, "ext3");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIsNull() {
            addCriterion("gmt_create is null");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIsNotNull() {
            addCriterion("gmt_create is not null");
            return (Criteria) this;
        }

        public Criteria andGmtCreateEqualTo(Date value) {
            addCriterion("gmt_create =", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotEqualTo(Date value) {
            addCriterion("gmt_create <>", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateGreaterThan(Date value) {
            addCriterion("gmt_create >", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateGreaterThanOrEqualTo(Date value) {
            addCriterion("gmt_create >=", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateLessThan(Date value) {
            addCriterion("gmt_create <", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateLessThanOrEqualTo(Date value) {
            addCriterion("gmt_create <=", value, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateIn(List<Date> values) {
            addCriterion("gmt_create in", values, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotIn(List<Date> values) {
            addCriterion("gmt_create not in", values, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateBetween(Date value1, Date value2) {
            addCriterion("gmt_create between", value1, value2, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtCreateNotBetween(Date value1, Date value2) {
            addCriterion("gmt_create not between", value1, value2, "gmtCreate");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIsNull() {
            addCriterion("gmt_modified is null");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIsNotNull() {
            addCriterion("gmt_modified is not null");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedEqualTo(Date value) {
            addCriterion("gmt_modified =", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotEqualTo(Date value) {
            addCriterion("gmt_modified <>", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedGreaterThan(Date value) {
            addCriterion("gmt_modified >", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedGreaterThanOrEqualTo(Date value) {
            addCriterion("gmt_modified >=", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedLessThan(Date value) {
            addCriterion("gmt_modified <", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedLessThanOrEqualTo(Date value) {
            addCriterion("gmt_modified <=", value, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedIn(List<Date> values) {
            addCriterion("gmt_modified in", values, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotIn(List<Date> values) {
            addCriterion("gmt_modified not in", values, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedBetween(Date value1, Date value2) {
            addCriterion("gmt_modified between", value1, value2, "gmtModified");
            return (Criteria) this;
        }

        public Criteria andGmtModifiedNotBetween(Date value1, Date value2) {
            addCriterion("gmt_modified not between", value1, value2, "gmtModified");
            return (Criteria) this;
        }
    }

    /**
     * 系统信息表 Criteria(MyBatis-Generator)
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     * 系统信息表 Criterion(MyBatis-Generator)
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}