package com.kingtom.kirin.app.wechat.base;

import com.kingtom.kirin.core.common.exception.AppException;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/31
 */
public interface IWeChatChannel{

    /**
     * 调用微信接口
     *
     * @param api 接口对象，返回值填充到res中
     */
    public <Q, S> void callApi(IWeChatApi<Q, S> api) throws AppException;

}
