package com.kingtom.kirin.app.wechat.base.pubnum.config;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/31
 */
@Configuration(proxyBeanMethods = false)
@ConditionalOnProperty("app.wechat.pubnum.app-id")
@ConfigurationProperties(prefix = "app.wechat.pubnum")
public class WeChatPubNumProperties{

    /**
     * 签名验证token
     */
    private String token;

    private String appId;

    private String appSecret;

    public String getAppId(){
        return appId;
    }

    public void setAppId(String appId){
        this.appId = appId;
    }

    public String getAppSecret(){
        return appSecret;
    }

    public void setAppSecret(String appSecret){
        this.appSecret = appSecret;
    }

    public String getToken(){
        return token;
    }

    public void setToken(String token){
        this.token = token;
    }

}
