package com.kingtom.kirin.app.wechat.model;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

import com.kingtom.kirin.core.common.json.JObject;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 微信用户表表(we_chat_user)(MyBatis-Generator)
 *
 * @author 86181
 * @since 2023/11/1 05:27
 */
public class WeChatUser implements Serializable{

    /**
     * id(we_chat_user.id)(MyBatis-Generator)
     */
    private String id;

    /**
     * 名称(we_chat_user.name)(MyBatis-Generator)
     */
    private String name;

    /**
     * appid(we_chat_user.app_id)(MyBatis-Generator)
     */
    private String appId;

    /**
     * 用户openId(we_chat_user.open_id)(MyBatis-Generator)
     */
    private String openId;

    /**
     * 用户在同一微信开放平台主体下的unionId(we_chat_user.union_id)(MyBatis-Generator)
     */
    private String unionId;

    /**
     * 扩展字段1(we_chat_user.ext1)(MyBatis-Generator)
     */
    private String ext1;

    /**
     * 扩展字段2(we_chat_user.ext2)(MyBatis-Generator)
     */
    private String ext2;

    /**
     * 扩展字段3(we_chat_user.ext3)(MyBatis-Generator)
     */
    private JObject<Map<String, Object>> ext3;

    /**
     * 创建时间(we_chat_user.gmt_create)(MyBatis-Generator)
     */
    private Date gmtCreate;

    /**
     * 更新时间(we_chat_user.gmt_modified)(MyBatis-Generator)
     */
    private Date gmtModified;

    /**
     * 系统ID(we_chat_user.sys_id)(MyBatis-Generator)
     */
    private String sysId;

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * 获取 id(we_chat_user.id)(MyBatis-Generator)
     *
     * @return id
     */
    public String getId(){
        return id;
    }

    /**
     * 设置 id(we_chat_user.id)(MyBatis-Generator)
     *
     * @param id id
     */
    public void setId(String id){
        this.id = id;
    }

    /**
     * 获取 名称(we_chat_user.name)(MyBatis-Generator)
     *
     * @return 名称
     */
    public String getName(){
        return name;
    }

    /**
     * 设置 名称(we_chat_user.name)(MyBatis-Generator)
     *
     * @param name 名称
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取 appid(we_chat_user.app_id)(MyBatis-Generator)
     *
     * @return appid
     */
    public String getAppId(){
        return appId;
    }

    /**
     * 设置 appid(we_chat_user.app_id)(MyBatis-Generator)
     *
     * @param appId appid
     */
    public void setAppId(String appId){
        this.appId = appId;
    }

    /**
     * 获取 用户openId(we_chat_user.open_id)(MyBatis-Generator)
     *
     * @return 用户openId
     */
    public String getOpenId(){
        return openId;
    }

    /**
     * 设置 用户openId(we_chat_user.open_id)(MyBatis-Generator)
     *
     * @param openId 用户openId
     */
    public void setOpenId(String openId){
        this.openId = openId;
    }

    /**
     * 获取 用户在同一微信开放平台主体下的unionId(we_chat_user.union_id)(MyBatis-Generator)
     *
     * @return 用户在同一微信开放平台主体下的unionId
     */
    public String getUnionId(){
        return unionId;
    }

    /**
     * 设置 用户在同一微信开放平台主体下的unionId(we_chat_user.union_id)(MyBatis-Generator)
     *
     * @param unionId 用户在同一微信开放平台主体下的unionId
     */
    public void setUnionId(String unionId){
        this.unionId = unionId;
    }

    /**
     * 获取 扩展字段1(we_chat_user.ext1)(MyBatis-Generator)
     *
     * @return 扩展字段1
     */
    public String getExt1(){
        return ext1;
    }

    /**
     * 设置 扩展字段1(we_chat_user.ext1)(MyBatis-Generator)
     *
     * @param ext1 扩展字段1
     */
    public void setExt1(String ext1){
        this.ext1 = ext1;
    }

    /**
     * 获取 扩展字段2(we_chat_user.ext2)(MyBatis-Generator)
     *
     * @return 扩展字段2
     */
    public String getExt2(){
        return ext2;
    }

    /**
     * 设置 扩展字段2(we_chat_user.ext2)(MyBatis-Generator)
     *
     * @param ext2 扩展字段2
     */
    public void setExt2(String ext2){
        this.ext2 = ext2;
    }

    /**
     * 获取 扩展字段3(we_chat_user.ext3)(MyBatis-Generator)
     *
     * @return 扩展字段3
     */
    public JObject<Map<String, Object>> getExt3(){
        return ext3;
    }

    /**
     * 设置 扩展字段3(we_chat_user.ext3)(MyBatis-Generator)
     *
     * @param ext3 扩展字段3
     */
    public void setExt3(JObject<Map<String, Object>> ext3){
        this.ext3 = ext3;
    }

    /**
     * 获取 创建时间(we_chat_user.gmt_create)(MyBatis-Generator)
     *
     * @return 创建时间
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * 设置 创建时间(we_chat_user.gmt_create)(MyBatis-Generator)
     *
     * @param gmtCreate 创建时间
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * 获取 更新时间(we_chat_user.gmt_modified)(MyBatis-Generator)
     *
     * @return 更新时间
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * 设置 更新时间(we_chat_user.gmt_modified)(MyBatis-Generator)
     *
     * @param gmtModified 更新时间
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * 获取 系统ID(we_chat_user.sys_id)(MyBatis-Generator)
     *
     * @return 系统ID
     */
    public String getSysId(){
        return sysId;
    }

    /**
     * 设置 系统ID(we_chat_user.sys_id)(MyBatis-Generator)
     *
     * @param sysId 系统ID
     */
    public void setSysId(String sysId){
        this.sysId = sysId;
    }

    /**
     * 微信用户表表 equals(MyBatis-Generator)
     */
    @Override
    public boolean equals(Object that){
        if(this == that){
            return true;
        }
        if(that == null){
            return false;
        }
        if(getClass() != that.getClass()){
            return false;
        }
        WeChatUser other = (WeChatUser) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId())) &&
                (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName())) &&
                (this.getAppId() == null ? other.getAppId() == null : this.getAppId().equals(other.getAppId())) &&
                (this.getOpenId() == null ? other.getOpenId() == null : this.getOpenId().equals(other.getOpenId())) &&
                (this.getUnionId() == null ? other.getUnionId() == null :
                        this.getUnionId().equals(other.getUnionId())) &&
                (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1())) &&
                (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2())) &&
                (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3())) &&
                (this.getGmtCreate() == null ? other.getGmtCreate() == null :
                        this.getGmtCreate().equals(other.getGmtCreate())) &&
                (this.getGmtModified() == null ? other.getGmtModified() == null :
                        this.getGmtModified().equals(other.getGmtModified())) &&
                (this.getSysId() == null ? other.getSysId() == null : this.getSysId().equals(other.getSysId()));
    }

    /**
     * 微信用户表表 hashCode(MyBatis-Generator)
     */
    @Override
    public int hashCode(){
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getAppId() == null) ? 0 : getAppId().hashCode());
        result = prime * result + ((getOpenId() == null) ? 0 : getOpenId().hashCode());
        result = prime * result + ((getUnionId() == null) ? 0 : getUnionId().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        result = prime * result + ((getGmtCreate() == null) ? 0 : getGmtCreate().hashCode());
        result = prime * result + ((getGmtModified() == null) ? 0 : getGmtModified().hashCode());
        result = prime * result + ((getSysId() == null) ? 0 : getSysId().hashCode());
        return result;
    }

    /**
     * 微信用户表表 toString(MyBatis-Generator)
     */
    @Override
    public String toString(){
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", name=").append(name);
        sb.append(", appId=").append(appId);
        sb.append(", openId=").append(openId);
        sb.append(", unionId=").append(unionId);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", gmtCreate=").append(gmtCreate);
        sb.append(", gmtModified=").append(gmtModified);
        sb.append(", sysId=").append(sysId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

}