package com.kingtom.kirin.app.wechat.utils;

import cn.hutool.core.util.RandomUtil;
import com.kingtom.kirin.app.wechat.service.WeChatProperties;
import com.kingtom.kirin.core.common.CommonConst;

/**
 * 应用模块名称</p>
 * 代码描述</p>
 * Copyright: Copyright (C) 2023 , Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限责任公司</p>
 *
 * @author wany
 * @since 2023/10/21
 */
public final class WechatUtils{

    public static String findCode(){
        return RandomUtil.randomString(CommonConst.CHARS_abc123, 6);
    }

    public static String findMiniAppId(){
        return WeChatProperties.miniConfig == null ? null : WeChatProperties.miniConfig.getAppId();
    }

    public static String findPubNumAppId(){
        return WeChatProperties.pubNumConfig == null ? null : WeChatProperties.pubNumConfig.getAppId();
    }

    public static String findPubNumToken(){
        return WeChatProperties.pubNumConfig == null ? null : WeChatProperties.pubNumConfig.getToken();
    }

}
