/*
 Navicat Premium Data Transfer

 Source Server         : kingtom_dev_pg
 Source Server Type    : PostgreSQL
 Source Server Version : 140001
 Source Host           : 116.204.115.13:5432
 Source Catalog        : kirin_dev
 Source Schema         : public

 Target Server Type    : PostgreSQL
 Target Server Version : 140001
 File Encoding         : 65001

 Date: 01/09/2023 15:37:37
*/


-- ----------------------------
-- Table structure for conf_info
-- ----------------------------
DROP TABLE IF EXISTS "public"."conf_info";
CREATE TABLE "public"."conf_info" (
    "id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL,
    "name" varchar(1024) COLLATE "pg_catalog"."default" NOT NULL,
    "key" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "value_type" varchar(64) COLLATE "pg_catalog"."default" NOT NULL,
    "value" varchar(1024) COLLATE "pg_catalog"."default",
    "state" int4 NOT NULL,
    "des" varchar(1024) COLLATE "pg_catalog"."default",
    "sys_flag" int4 NOT NULL,
    "ext1" varchar(1024) COLLATE "pg_catalog"."default",
    "ext2" varchar(1024) COLLATE "pg_catalog"."default",
    "ext3" varchar(1024) COLLATE "pg_catalog"."default",
    "ext4" varchar(1024) COLLATE "pg_catalog"."default",
    "ext5" varchar(1024) COLLATE "pg_catalog"."default",
    "gmt_create" timestamp(3) NOT NULL,
    "gmt_modified" timestamp(3) NOT NULL,
    "sys_id" varchar(36) COLLATE "pg_catalog"."default" NOT NULL
)
;
COMMENT ON COLUMN "public"."conf_info"."id" IS '主键';
COMMENT ON COLUMN "public"."conf_info"."name" IS '配置名称';
COMMENT ON COLUMN "public"."conf_info"."key" IS '配置KEY';
COMMENT ON COLUMN "public"."conf_info"."value_type" IS '配置值类型';
COMMENT ON COLUMN "public"."conf_info"."value" IS '配置值内容';
COMMENT ON COLUMN "public"."conf_info"."state" IS '配置状态';
COMMENT ON COLUMN "public"."conf_info"."des" IS '配置描述';
COMMENT ON COLUMN "public"."conf_info"."sys_flag" IS '系统配置标识';
COMMENT ON COLUMN "public"."conf_info"."ext1" IS '扩展字段1';
COMMENT ON COLUMN "public"."conf_info"."ext2" IS '扩展字段2';
COMMENT ON COLUMN "public"."conf_info"."ext3" IS '扩展字段3';
COMMENT ON COLUMN "public"."conf_info"."ext4" IS '扩展字段4';
COMMENT ON COLUMN "public"."conf_info"."ext5" IS '扩展字段5';
COMMENT ON COLUMN "public"."conf_info"."gmt_create" IS '文件创建时间';
COMMENT ON COLUMN "public"."conf_info"."gmt_modified" IS '文件修改时间';
COMMENT ON COLUMN "public"."conf_info"."sys_id" IS '系统ID';
COMMENT ON TABLE "public"."conf_info" IS '环境配置表';

-- ----------------------------
-- Indexes structure for table conf_info
-- ----------------------------
CREATE INDEX "index_conf_info_key" ON "public"."conf_info" USING btree (
    "key" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
    );

-- ----------------------------
-- Primary Key structure for table conf_info
-- ----------------------------
ALTER TABLE "public"."conf_info" ADD CONSTRAINT "conf_info_pkey" PRIMARY KEY ("id");