package ${packageName};

<#list imports as import>
import ${import};
</#list>
import com.kingtom.kirin.app.form.engine.core.IFormBean;
import java.io.Serializable;

public class ${className} implements Serializable,IFormBean {

    <#list fields as field>
    /**
    * ${field.name}
    */
    private ${field.javaType}  ${field.uniqueCode};
    </#list>

    /**
    * serialVersionUID
    */
    private static final long serialVersionUID = 1L;

    <#list fields as field>
    /**
    * 获取 ${field.name}
    * @return ${field.name}
    */
    public ${field.javaType} get${field.upUniqueCode}() {
        return ${field.uniqueCode};
    }

    /**
    * 设置 ${field.name}
    * @param ${field.uniqueCode} ${field.name}
    */
    public void set${field.upUniqueCode}(${field.javaType}  ${field.uniqueCode}) {
        this.${field.uniqueCode} = ${field.uniqueCode};
    }

    </#list>
}