package com.kingtom.kirin.core.common.ref;

/**
 * <p>
 * Copyright: Copyright (C) 2022 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2022/9/23 15:27
 */
public interface IReference {

    /**
     * 根据传入的变量上下文,设置表达式对应的属性值
     *
     * @param value
     * @return
     */
    Object setValue(Object value);

    /**
     * 待补充
     * @return
     */
    Object getValue();

    /**
     * 待补充
     * @param key
     * @return
     */
    IReference next(Object key);

    /**
     * 待补充
     * @return
     */
    Class<? extends Object> getType();

    /**
     * 待补充
     * @return
     */
    Object getBase();

    /**
     * 待补充
     * @return
     */
    Object getName();
}
